var jq = jQuery.noConflict();
var statisticsData;
// 各级列表数据 各级选中数据
var firstData = [];
var secondData = [];
var thirdData = [];
var firstSelData;
var secondSelData;
var thirdSelData;
var selStartTime;
var selEndTime;
var temp = 0;
var privateDatas;
(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
    document.addEventListener("backbutton",onBackKeyDown,false);
    registerEvent();
    // onDeviceReady();
})();

function onDeviceReady() {
    requestDepartmentData();
}

//注册事件
function registerEvent() {
    // 点击区域
    $(document).on("click", '#address-selector', function () {
        if (firstData.length && secondData.length) {
            $('#content').addClass('overflowcontent');
            $('#area-wrapper').show();
        }
    });
    // 点击蒙层
    $(document).on("click", '.area-layer_bottom', function () {
        $('#area-wrapper').hide();
        $('#content').removeClass('overflowcontent');
    });

// 点击区域item
    $(document).on("click", '.area-list_item span', function () {
        $(this).siblings().removeClass("area-litext_active");
        $(this).addClass("area-litext_active");
        var areaText = $('#address-selector');
        var liIndex = $(this).parent('.area-list_item').index();
        var spanLen = $(this).siblings().length + 1;
        var name = $.trim($(this).text());
        var selItem = $(this).index();
        switch (liIndex) {
            case 0: // 一级数据
                firstSelData = firstData[selItem];
                secondData = firstSelData.subData;
                if (secondData.length > 1) {
                    secondSelData = null;
                    getAreaData(secondData, 'secondLevel');
                }
                break;
            case 1: // 二级数据
                secondSelData = firstSelData.subData[selItem];
                if (secondSelData.code === '0') {//点击全部则选中上一层级
                    $('#area-wrapper').hide();
                    $('#content').removeClass('overflowcontent');
                    areaText.text(firstSelData.name);
                    $('.address-area-choose').addClass('address-achoose_active');
                    thirdSelData = null;
                } else {
                    thirdData = secondSelData.subData;
                    if(secondSelData.subData.length > 1){
                        var myStr = '', id = 'areaList';
                        myStr = codeHtml(thirdData);
                        myStr = '<li class="area-list_item" id="thirdLevel">' + myStr + '</li>';
                        $('#thirdLevel').remove();
                        $('#' + id).append(myStr);
                    }
                }
                break;
            case 2: // 三级数据
                thirdSelData = secondSelData.subData[selItem];
                if (thirdSelData.code === '0') {//点击全部则选中上一层级
                    areaText.text(secondSelData.name)
                    thirdSelData = null;
                    $('#area-wrapper').hide();
                    $('#content').removeClass('overflowcontent');
                    if(secondSelData.subData.length > 1){
                        $('.address-area-choose').addClass('address-achoose_active');
                        $('#areaList').children().last().remove();
                    }
                } else {
                    areaText.text(thirdSelData.name)
                    $('#area-wrapper').hide();
                    $('#content').removeClass('overflowcontent');
                }

                break;
        }
    });
    //时间选择器打开的时候，需要关闭地址选择器
    $("#startDatePicker").calendar({
        onOpen: function () {
            $('#area-wrapper').hide()
            $('#content').removeClass('overflowcontent');
        },
        // onClose:function () {
        //     //时间选择器关闭的时候请求刷新数据
        //     refreshView();
        // }
    });
    $("#endDatePicker").calendar({
        onOpen: function () {
            $('#area-wrapper').hide()
            $('#content').removeClass('overflowcontent');
        },
        // onClose:function () {
        //     refreshView();
        // }
    });

    //初始化时间段为当月第一天和最后一天
    var date = new Date();
    date.setDate(1);
    var startTime = ChangeDateFormat(date);
    $("#startDatePicker").val(startTime);
    var endDate = new Date(date.getFullYear(), date.getMonth() + 1, 0);
    date.setDate(endDate.getDate());
    var endTime = ChangeDateFormat(date);
    $("#endDatePicker").val(endTime);
    console.log("startTime="+startTime+",endTime="+endTime);
    var isBackToTj = window.localStorage.getItem("isBackToTj");
    if(isBackToTj){
        var censusData = window.localStorage.getItem("censusData");
        if(censusData != null && censusData.length>=2){
            var censusDatas = censusData.split(",");
            startTime =censusDatas[0];
            endTime = censusDatas[1];
            $("#startDatePicker").val(startTime);
            $("#endDatePicker").val(endTime);
        }
        console.log("startTime="+startTime+",endTime="+endTime);
    }
    console.log(isBackToTj,startTime,endTime);
    $(document).on("click", '.address-item-button', function () {
        var startTime = $('.address-time-container').find('input').eq(0).val();
        var endTime = $('.address-time-container').find('input').eq(1).val();
        window.localStorage.setItem("censusData", startTime+","+endTime);
        refreshView(true);
    });
}

function addTaskEvent() {
    var percentParent = $('.wrap-content').eq(0).find('ul');
    percentParent.on("click", "li", function () {
        var data = statisticsData[$(this).index()];
        if (data.name === '其他') return;
        //0-市局；1-分局；2-监管所；3-网格
        if (data.type === '0' || data.type === '1') {
            window.localStorage.setItem("isBackToTj",true);
            window.location.href = 'statistics/statisticsDepartment.html?uniqueCode=' +
                data.uniqueCode + '&type=' + data.type + '&name=' + data.name + '&startTime=' + selStartTime + '&endTime=' + selEndTime;

        } else if (data.type === '2') {
            window.localStorage.setItem("isBackToTj",true);
            window.location.href = 'statistics/statisticsDetail.html?uniqueCode=' +
                data.uniqueCode + '&type=' + data.type + '&name=' + data.name + '&startTime=' + selStartTime + '&endTime=' + selEndTime;
        }
    });
}

//请求区域数据
function requestDepartmentData() {
    var params = {
        url: "/appinterface/statistics/listRegion.xhtml",
        load_type:"1"
    };
    $.showPreloader("加载中...");
    commonQuery(params, function (data) {
        if (data.success === true && data.data.length) {
            var temp;
            var subData;
            var td;
            // 0-市局；1-分局；2-所；3-网格
            var type = getUserType();
            var depCode = getDepCode();
            var gridCode = getGridCode();
            var parentCode = getParentDepCode();
            if (type === '0') {
                for (var index in data.data) {
                    temp = data.data[index];
                    subData = temp.regulators;
                    td = [];
                    for (var subIndex in subData) {
                        td.push({
                            name: subData[subIndex].regulatorName,
                            code: subData[subIndex].regulatorCode,
                            type: subData[subIndex].type,
                            subData: []
                        });
                    }
                    ;
                    td.unshift({name: '全部', code: '0', type: '0', subData: []});
                    secondData.push({
                        name: temp.branchOfficeName,
                        code: temp.branchOfficeCode,
                        type: temp.type,
                        subData: td
                    });
                }
                secondData.unshift({name: '全部', code: '0', type: '0', subData: []});
                firstData = [
                    {name: '深圳市', code: '0000', type: '0', subData: secondData}
                ];
                //默认选择第一和第二层级的第一项
                firstSelData = firstData[0];
                secondData = firstSelData.subData;
                secondSelData = null;
                thirdSelData = null;
                $('#address-selector').text(firstSelData.name);
                $('.address-area-choose').addClass('address-achoose_active');
                //插入第一层和第二层地址选择器数据
                getAreaData(firstData, 'firstLevel');
                getAreaData(secondData, 'secondLevel');
            } else if (type === '1') {
                for (var index in data.data) {
                    temp = data.data[index];
                    if (temp.branchOfficeCode === parentCode) {
                        subData = temp.regulators;
                        td = [];
                        for (var subIndex in subData) {
                            td.push({
                                name: subData[subIndex].regulatorName,
                                code: subData[subIndex].regulatorCode,
                                type: subData[subIndex].type,
                                subData: []
                            });
                        }
                        ;
                        td.unshift({name: '全部', code: '0', type: '0', subData: []});
                        secondData.push({
                            name: temp.branchOfficeName,
                            code: temp.branchOfficeCode,
                            type: temp.type,
                            subData: td
                        });
                        break;
                    }
                }
                //如果for循环中没有找到到对应的部门。就把他的上级部门信息显示出来(如何思源的账号)
                if(secondData.length <= 0 ){
                    var departmentInFo = getDepartmentInFo();
                    td = [];
                    td.unshift({name: '全部', code: '0', type: '0', subData: []});
                    secondData.push({
                        name: departmentInFo.dep_name,
                        code: departmentInFo.sys_right_department_id,
                        type: departmentInFo.dep_type,
                        subData: td
                    });
                }
                firstData = [
                    {name: '深圳市', code: '0000', type: '0', subData: secondData}
                ];
                //默认选择第一和第二层级的第一项
                firstSelData = firstData[0];
                secondData = firstSelData.subData;
                secondSelData = secondData[0];
                thirdSelData = null;
                $('#address-selector').text(secondSelData.name);
                $('.address-area-choose').addClass('address-achoose_active');
                //插入第一层和第二层地址选择器数据
                getAreaData(firstData, 'firstLevel');
                getAreaData(secondData, 'secondLevel');
            } else {
                for (var index in data.data) {
                    temp = data.data[index];
                    subData = temp.regulators;
                    td = [];
                    for (var subIndex in subData) {
                        if (subData[subIndex].regulatorCode === depCode) {
                            td.push({
                                name: subData[subIndex].regulatorName,
                                code: subData[subIndex].regulatorCode,
                                type: subData[subIndex].type,
                                subData: []
                            });
                            secondData.push({
                                name: temp.branchOfficeName, code: temp.branchOfficeCode, type: temp.type,
                                subData: td
                            });
                            break;
                        }
                    }
                    ;
                    if (td.length > 0) {
                        break;
                    }
                }
                firstData = [
                    {name: '深圳市', code: '0000', type: '0', subData: secondData}
                ];
                //默认选择第一和第二层级的第一项
                firstSelData = firstData[0];
                secondData = firstSelData.subData;
                secondSelData = secondData[0];
                thirdData = secondSelData.subData;
                thirdSelData = thirdData[0];
                $('#address-selector').text(thirdSelData.name);
                $('.address-area-choose').addClass('address-achoose_active');
                //插入第一层和第二层地址选择器数据
                getAreaData(firstData, 'firstLevel');
                getAreaData(secondData, 'secondLevel');
                var myStr = '', id = 'areaList';
                myStr = codeHtml(thirdData);
                myStr = '<li class="area-list_item" id="thirdLevel">' + myStr + '</li>';
                $('#thirdLevel').remove();
                $('#' + id).append(myStr);
            }
            //刷新页面数据
            refreshView(false);
        }else{
            $.hidePreloader();
        }
    }, 'get');
}

//刷新页面数据
function refreshView(showLoading) {
    var startTime = $('.address-time-container').find('input').eq(0).val();
    var endTime = $('.address-time-container').find('input').eq(1).val();
    if (firstData.length && secondData.length && startTime && endTime) {
        var uniqueCode;
        var type;
        if (thirdSelData) {
            if (thirdSelData.type === '0') {
                uniqueCode = secondSelData.code;
                type = secondSelData.type;
            } else {
                uniqueCode = thirdSelData.code;
                type = thirdSelData.type;
            }
        } else {
            if (secondSelData) {
                if (secondSelData.type === '0') {
                    uniqueCode = firstSelData.code;
                    type = firstSelData.type;
                } else {
                    uniqueCode = secondSelData.code;
                    type = secondSelData.type;
                }
            } else {
                uniqueCode = firstSelData.code;
                type = firstSelData.type;
            }
        }
        if (uniqueCode && type) {
            requestData(startTime, endTime, uniqueCode, type,showLoading);
            getTaskCount(startTime, endTime, uniqueCode, type);
            getInspectCount(startTime, endTime, uniqueCode, type);
        }else{
            $.hidePreloader();
        }
    }else{
        $.hidePreloader();
    }
}

//请求统计数据
function requestData(startTime, endTime, uniqueCode, type,showLoading) {
    var params = {
        uniqueCode: uniqueCode,
        startTime: startTime,
        endTime: endTime,
        type: type,
        url: "/appinterface/statistics/task.xhtml",
        load_type:(showLoading?"0":"1")
    };

    commonQuery(params, function (data) {
        if (data.success === true) {
            statisticsData = data.data;
            selStartTime = startTime;
            selEndTime = endTime;
            StatisticsView(uniqueCode,type,startTime,endTime,false);
        }else{
            $.hidePreloader();
        }
    });
}

/**
 * @return {string}
 */
function ChangeDateFormat(date) {
    var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
    var currentDate = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
    return date.getFullYear() + "-" + month + "-" + currentDate;
}

function setTaskCount(total,completedQty,uncompletedQty){
    jq("#taskTotal").show;
    jq("#taskTotal").html('<span>'+total+'</span><br/>总数');
        jq("#taskSuccess").show;
        jq("#taskSuccess").html('<span>'+completedQty+'</span><br/>已完成');
            jq("#taskFail").show;
            jq("#taskFail").html('<span>'+uncompletedQty+'</span><br/>未完成');
}

function setInspectCount(unInspectQty,inspectQty,unLicensedQty){
    jq("#unInspectQty").show;
    jq("#unInspectQty").html('<span>'+unInspectQty+'</span><br/>未检查餐厅');
        jq("#inspectQty").show;
        jq("#inspectQty").html('<span>'+inspectQty+'</span><br/>已检查餐厅');
            jq("#unLicensedQty").show;
            jq("#unLicensedQty").html('<span>'+unLicensedQty+'</span><br/>已提交无证经营');
             $.hidePreloader();
}

//填充页面数据
function StatisticsView(uniqueCode,type,startTime,endTime,showLoading) {
    var hasNext = true;
    var percentParent = $('.wrap-content').eq(0).find('ul');
    percentParent.empty();
    var percentStr = '';
    var detailParent = $('.flex-list').eq(0);
    detailParent.empty();
    var detailStr = '<li>'
    if(type === '0'){
        detailStr += '<p>分局</p>';
    }else if(type === '1'){
        detailStr += '<p>监管所</p>';
    }else{
        detailStr += '<p>网格</p>';
        hasNext = false;
    }


    // if (thirdSelData) {
    //     if (thirdSelData.type === '0') {
    //         detailStr += '<p>监管所</p>';
    //     } else {
    //         detailStr += '<p>网格</p>';
    //         hasNext = false;
    //     }
    // } else {
    //     if (secondSelData) {
    //         if (secondSelData.type === '0') {
    //             detailStr += '<p>分局</p>';
    //         } else {
    //             detailStr += '<p>监管所</p>';
    //         }
    //     } else {
    //         detailStr += '<p>分局</p>';
    //     }
    // }
    detailStr += '<p>总数</p>' +
        '<p>已完成</p>' +
        '<p>未完成</p>' +
        '<p>完成率</p></li>';

    for (var index in statisticsData) {
        var proportionRate = statisticsData[index].proportionRate;
        var completionRate = statisticsData[index].completionRate;
        percentStr += '<li class="progress">' +
        '<span class="f-name">' + statisticsData[index].name + '</span>' +
            '<div class="f-progress">' +
            '<div style="width: ' + (proportionRate ? proportionRate : '0%') + ';" class="f-bar"></div>' +
            '</div>' +
            '<span class="f-percent">' + (proportionRate ? proportionRate : '0%') + '</span>' +
            ((statisticsData[index].name === '其他' || hasNext === false) ?
                    '&nbsp;&nbsp;' :
                    ('<img class="f-icon" src="../images/common/icon_small_arrow.png" alt=""/>')
            ) +
            '</li>';
        detailStr +=
            '<li><p>' + statisticsData[index].name + '</p>' +
            '<p>' + statisticsData[index].total + '</p>' +
            '<p>' + statisticsData[index].completedQty + '</p>' +
            '<p>' + statisticsData[index].uncompletedQty + '</p>' +
            '<p>' + (completionRate ? completionRate : '0%') + '</p></li>';
    }
    percentParent.append(percentStr);
    detailParent.append(detailStr);
    addTaskEvent();
    var workParent = $('.wrap').eq(2);
    if(hasNext == false){
        workParent.show();
        var params = {
            uniqueCode : uniqueCode,
            startTime:startTime,
            endTime:endTime,
            url:"/appinterface/statistics/workload.xhtml",
            load_type:(showLoading?"0":"1")
        };
        commonQuery(params,function (data) {
//            $.hidePreloader();
            if (data.success === true){
                workData = data.data;
                privateDatas = workData;

                workParent = workParent.find('.flex-list');
                workParent.empty();
                var workStr =
                    '<li><p>姓名</p>' +
                    '<p>双随机</p>' +
                    '<p>企管</p>' +
                    '<p>特设</p>' +
                    '<p>餐饮</p>' +
                    '<p>流通</p>' +
                    '<p>生产</p></li>';
                    // '<p>整改</p></li>';
                var rectifi = 0;
                var doublyStochasticCount = 0;
                var managementCount = 0;
                var adHocCount = 0;
                var restaurantCount = 0;
                var circulationCount = 0;
                var productionCount = 0;
                for(var index in workData)
                {
                    workStr +=
                        '<li onclick="showPrivateTasks(\''+index +'\')"><p style="color: #108EE9">'+workData[index].name+'</p>' +
                        '<p>'+workData[index].doublyStochasticCount+'</p>' +
                        '<p>'+workData[index].managementCount+'</p>' +
                        '<p>'+workData[index].adHocCount+'</p>' +
                        '<p>'+workData[index].restaurantCount+'</p>' +
                        '<p>'+workData[index].circulationCount+'</p>' +
                        '<p>'+workData[index].productionCount+'</p></li>';
                        // '<p>'+(workData[index].rectificationCount?workData[index].rectificationCount:0)+'</p></li>';
                    doublyStochasticCount += workData[index].doublyStochasticCount;
                    managementCount += workData[index].managementCount;
                    adHocCount += workData[index].adHocCount;
                    restaurantCount += workData[index].restaurantCount;
                    circulationCount += workData[index].circulationCount;
                    productionCount += workData[index].productionCount;
                    // rectifi += (workData[index].rectificationCount?workData[index].rectificationCount:0);
                }
                workStr +=
                    '<li style="font-size: initial; font-weight: bolder;"><p>合计:</p>' +
                    '<p>'+doublyStochasticCount+'</p>' +
                    '<p>'+managementCount+'</p>' +
                    '<p>'+adHocCount+'</p>' +
                    '<p>'+restaurantCount+'</p>' +
                    '<p>'+circulationCount+'</p>' +
                    '<p>'+productionCount+'</p></li>';
                    // '<p>'+rectifi+'</p></li>';
                workParent.append(workStr);
                $.hidePreloader();
            }
        });
    }else{
        //市局界面需要关闭loading
       $.hidePreloader();
        workParent.hide();
    }

}

/** 地区选择器
 *  各级数据格式为 [{name: ''}] 其中name为必传
 *  二级，三级数据需要自己放 {name: '全部'}
 **/
// 区域选择器添加数据
function getAreaData(myData, id) {
    var myStr = '';
    myStr = codeHtml(myData);
    $('#' + id).html(myStr);
}

function codeHtml(myData) {
    var myStr = '', tempStr = '';
    $.each(myData, function (index, item) {
        if (index === 0) { // 数组第一个数据高亮
            tempStr = '<span class="area-litem_text area-litext_active"';
        } else {
            tempStr = '<span class="area-litem_text"';
        }
        // seldata = JSON.stringify(item);
        myStr += [
            tempStr,
            '>',
            item.name,
            '</span>'
        ].join('')
    });
    return myStr
}
function onBackKeyDown() {
    //用户点击确定，退出app
    if (temp == 0) { //temp为0代表尚未弹出confirm
        temp = 1;//temp为1代表已弹出confirm对话框，从而不再触发返回事件
        // if(confirm("信息尚未保存,是否退出?")){
        navigator.app.exitApp();
        // }
    } else if (temp == 1) {
        //temp为1时不执行任何操作
    }
}

function init_home() {
    window.location.replace('index_new.html');
}

function init_xqzt() {
    window.location.replace('index2.html');
}

function init_spjg() {
    window.location.href = 'index4.html';
}

function init_zhcx() {
    window.location.replace('ydjg_new/query.html');
}

function init_my() {
    window.location.href = 'ydjg_new/my.html';
}

function intentToTaskCount(){
    var startTime = $('.address-time-container').find('input').eq(0).val();
    var endTime = $('.address-time-container').find('input').eq(1).val();
    gotoTaskCount(startTime,endTime);
}

function intentToInspectCount(){
    var startTime = $('.address-time-container').find('input').eq(0).val();
    var endTime = $('.address-time-container').find('input').eq(1).val();
    gotoInspectCount(startTime,endTime);
}

function  showPrivateTasks(index) {
    var item = privateDatas[index];
    window.localStorage.setItem("isBackToTj",true);
    window.location.href = 'transact/privatetasks.html?name='+ item.name + '&userId=' + item.userId + '&startTime=' + selStartTime + '&endTime=' + selEndTime;
}
