var jq = jQuery.noConflict();

var ipconfig = window.localStorage.getItem('urlconfig');


(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
})();

function onDeviceReady() {
    initData();
}

/**
 *  加载数据信息
 */
function initData() {
    $.showPreloader("正在加载");
    var id = window.localStorage.getItem('id');

    var params = getFormData("dialog");

    params['urlType'] = 'cases.jbxx';
    params['id'] = id;
    params['url'] = "appinterface/query/queryMethod.xhtml";

    commonQuery(params,function (data) {
        try {
            if (data != null) {
                jq("#ajmc").html(data.data[0].CASENAME);
                jq("#ajbh").html(data.data[0].CASENO);
                jq("#aybh").html(data.data[0].CASESOURCENO);
                jq("#ajlx").html(data.data[0].CASEMODEL);
                jq("#ajly").html(data.data[0].CASESOURCE);
                jq("#afsj").html(data.data[0].CASETIME);
                jq("#dsrmc").html(data.data[0].LITIGANTNAME);
                jq("#zjh").html(data.data[0].LITIGANTCERNO);
                jq("#afd").html(data.data[0].CASESPOT);
                jq("#larq").html(data.data[0].CASEREGISTERTIME);
                jq("#jcqk").html(data.data[0].CASESUMMARY);
                jq("#bary").html(data.data[0].UNDERTAKER);
                jq("#cbdw").html(data.data[0].CASEDEP);
            } else {
                $.toast("数据加载失败。");
            }
            $.hidePreloader();

        } catch (e) {
        } finally {
            $.hidePreloader();
        }
    });
    // console.log(JSON.stringify(params));
    // jq.ajax({
    //     url: ipconfig + "appinterface/query/queryMethod.xhtml",
    //     type: 'post',
    //     data: {},
    //     async: true,
    //     dataType: "json",
    //     success: function (data, textStatus) {
    //         try {
    //             if (data != null) {
    //                 jq("#ajmc").html(CASENAME);
    //                 jq("#ajbh").html(CASENO);
    //                 jq("#aybh").html(CASESOURCENO);
    //                 jq("#ajlx").html(CASEMODEL);
    //                 jq("#ajly").html(CASESOURCE);
    //                 jq("#afsj").html(CASETIME);
    //                 jq("#dsrmc").html(LITIGANTNAME);
    //                 jq("#zjh").html(LITIGANTCERNO);
    //                 jq("#afd").html(CASESPOT);
    //                 jq("#larq").html(CASEREGISTERTIME);
    //                 jq("#jcqk").html(CASESUMMARY);
    //                 jq("#bary").html(UNDERTAKER);
    //                 jq("#cbdw").html(CASEDEP);
    //             } else {
    //                 $.toast("数据加载失败。");
    //             }
    //             $.hidePreloader();
    //
    //         } catch (e) {
    //         } finally {
    //             $.hidePreloader();
    //         }
    //     },
    //     error: function (data, textStatus) {
    //         $.hidePreloader();
    //         $.alert("服务链接异常。");
    //     }
    // });
}

