define(["artTemplate","text!tpls/inquire/annualReportDetails.html","queryCommon","inquire/annualReportInfo"],function(art,annualReportDetailsTpl,queryCommonJs){
    return {
    	params : null,
        setParams: function (entId,entType,fromJs) {
            this.params = {
                'entId':entId,
                'entType':entType,
                'fromJs':fromJs
            };
        },
        getParams: function () {
            return this.params;
        },
    	init: function(){
    		var params = this.params;
	        jq(".module-container").html(annualReportDetailsTpl);

	        // 返回上一个页面 1
            jq(".back").click(function(){
                var formJs = require(params.fromJs);
                formJs.init();
            });

            //加载数据
            //整理参数
        	var searchParams = {
        		'urlType':'annualReport.getnblist',
                'entId':params.entId,
        		'entType':params.entType
        	};
        	//调用查询方法
        	queryCommonJs.query(searchParams, function (data) {
                //数据加载
                var annualReportDetailDataTpl = jq("#annualReportDetailDataTpl").html();
                var annualReportDetailDataHtml = art.render(annualReportDetailDataTpl, data);
                jq("#task-list").html(annualReportDetailDataHtml);
        	});
	    }
    };
});

function showAnnualReportInfo (ancheId) {
    var listJs = require("inquire/annualReportDetails");
    var infoJs = require("inquire/annualReportInfo");
    var params = listJs.getParams();

    infoJs.setParams(params.entId,ancheId,params.entType,params.fromJs);
    infoJs.init();
}
