define(["artTemplate","text!tpls/inquire/case.html","queryCommon","inquire/caseDetails"],function(art,caseTpl,queryCommonJs){
    return {
    	listCache: null,
    	putListCache: function (data) {
            this.listCache = data;
        },
        clearCache: function () {
            this.listCache = null;
        },
        loadData: function () {
        	var params = getFormData("dialog");

        	params['urlType'] = 'cases';
        	params['pageSize'] = 100;
        	
        	//调用查询方法 1
        	queryCommonJs.query(params, function (data) {
        		//缓存数据
        		var caseJs = require("inquire/case");
            	caseJs.putListCache(data);

            	//列表数据加载
        		var caseItemListTpl = jq("#caseItemList").html();
	            art.defaults.escape=false;
	            var caseItemListHtml = art.render(caseItemListTpl, data.data);
	            jq("#task-list").html(caseItemListHtml);
	            //隐藏查询框
	            hideSearchDialog();
        	});
        },
    	init: function(){
	        jq(".module-container").html(caseTpl);
            //隐藏菜单
            hideFootbar(jq("#homeTipImg"));
	        // 返回上一个页面
            jq(".back").click(function(){
                var inquireJs = require("inquire/inquire");
                inquireJs();
            });

	        jq("#searchBtn").click(function () {
	        	showSearchDialog();
	        });

	        jq("#cancel").click(function() {
	        	hideSearchDialog();
	        });

	        jq("#queryBtn").click(function () {
	        	var caseJs = require("inquire/case");
            	caseJs.loadData();
	        });

	        //加载列表
            if (null != this.listCache) {
                //有缓存数据
                var caseItemListTpl = jq("#caseItemList").html();
	            art.defaults.escape=false;
	            var caseItemListHtml = art.render(caseItemListTpl, this.listCache.data);
	            jq("#task-list").html(caseItemListHtml);
            } else {
            	var caseJs = require("inquire/case");
            	caseJs.loadData();
            }
	    }
    };
});

function showCaseDetails (id,parentUrl) {
    var caseDetailsJs = require("inquire/caseDetails");
    caseDetailsJs.setParams(id,parentUrl);
    caseDetailsJs.init();
}