define(["artTemplate","text!tpls/inquire/license.html","queryCommon","inquire/licenseDetails"],function(art,licenseTpl,queryCommonJs){
    return {
    	listCache: null,
    	putListCache: function (data) {
            this.listCache = data;
        },
        clearCache: function () {
            this.listCache = null;
        },
        loadData: function () {
        	var params = getFormData("dialog");

        	params['urlType'] = 'foodLicence';
        	params['pageSize'] = 100;

        	//调用查询方法 ces
        	queryCommonJs.query(params, function (data) {
        		//缓存数据
        		var annualReportJs = require("inquire/license");
            	annualReportJs.putListCache(data);

            	//列表数据加载
        		var licenseItemListTpl = jq("#licenseItemList").html();
	            art.defaults.escape=false;
	            var licenseItemListHtml = art.render(licenseItemListTpl, data.data);
	            jq("#task-list").html(licenseItemListHtml);
	            //隐藏查询框
	            hideSearchDialog();
        	});
        },
    	init: function(){
	        jq(".module-container").html(licenseTpl);
	        _license_initQueryDialog();
	        //隐藏菜单
            hideFootbar(jq("#homeTipImg"));
	        // 返回上一个页面
            jq(".back").click(function(){
                var inquireJs = require("inquire/inquire");
                inquireJs();
            });

	        jq("#searchBtn").click(function () {
	        	showSearchDialog();
	        });

	        jq("#cancel").click(function() {
	        	hideSearchDialog();
	        });

	        jq("#queryBtn").click(function () {
	        	var annualReportJs = require("inquire/license");
            	annualReportJs.loadData();
	        });

	        //加载列表
            if (null != this.listCache) {
                //有缓存数据
                var licenseItemListTpl = jq("#licenseItemList").html();
	            art.defaults.escape=false;
	            var licenseItemListHtml = art.render(licenseItemListTpl, this.listCache.data);
	            jq("#task-list").html(licenseItemListHtml);
            } else {
            	var annualReportJs = require("inquire/license");
            	annualReportJs.loadData();
            }
	    }
    };
});

function _license_initQueryDialog () {
	var fjEl = jq("#fj");

	//初始化分局
	var fjOptionHtml = "<option value=''>请选择</option>";
	jq.each(_FJ_LIST, function (code, lable) {
		var optionHtml = "<option value='"+code+"'>"+lable+"</option>";
		fjOptionHtml += optionHtml;
	});
	fjEl.html(fjOptionHtml);
}

function _license_changeFj () {
	var ksEl = jq("#ks");
	var fj = jq("#fj").val();

	//初始化科所
	var ksOptionHtml = "<option value=''>请选择</option>";
	jq.each(_KS_LIST[fj], function (i, v) {
		var optionHtml = "<option value='"+v.ksCode+"'>"+v.ksName+"</option>";
		ksOptionHtml += optionHtml;
	});
	ksEl.html(ksOptionHtml);
}

function showlicenseDetails (id,licenseType,parentUrl) {
    var licenseDetailsJs = require("inquire/licenseDetails");
    licenseDetailsJs.setParams(id,licenseType,parentUrl);
    licenseDetailsJs.init();
}