var jq = jQuery.noConflict();
var temp = 0;  //临时变量，用来区分返回键点击事件，为0时触发confirm，为1时，不执行任何操作

var username = '';
(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
})();

function onDeviceReady() {
    //删除记录的tab标记
    window.localStorage.removeItem('message_tab');
    window.localStorage.removeItem('addressBook_tab');
    window.localStorage.removeItem('business_tab');

    // 自定义单选框，点击切换样式
    jq('.remember-pwd').click(function () {
        jq(this).toggleClass('active');
        window.localStorage.setItem('jzmm', jq("#jzmm").hasClass('active'));
    });

    //如果本地没有存imei，调用插件获取imei
    if (window.localStorage.getItem('imei') == null) {
        getIMEI();
    }

    //回显记住密码
    if (window.localStorage.getItem('jzmm') == 'true') {
        jq('#jzmm').addClass('active');
    }
    jq('#username').val(window.localStorage.getItem('username'));
    jq('#password').val(window.localStorage.getItem('password'));

    document.addEventListener("backbutton", onBackKeyDown, false);
}

function showAlert(content) {
    console.log("content --- " + JSON.stringify(content))
    if (undefined == content || null == content) {
        window.localStorage.setItem('checkUpdate', "true");
        return;
    }
    window.localStorage.setItem('urlconfig', content.urlconfig);
}


//返回按键触发事件
function onBackKeyDown() {
    if (temp == 0) { //temp为0代表尚未弹出confirm
        temp = 1;//temp为1代表已弹出confirm对话框，从而不再触发返回事件
        $.confirm('确定退出应用？', function () {
            navigator.app.exitApp();  //用户点击确定，退出app
        }, function () {
            temp = 0;  //如果用户点击取消，使temp恢复为0
        });
    } else if (temp == 1) {
        //temp为1时不执行任何操作
    }
}

function doLogin() {


    username = jq("#username").val();
    var password = jq("#password").val();
    var jzmm = jq("#jzmm").hasClass("active");
    // if (username == null || username.length == 0) {
    //     cordova.exec(null,null,'WidgetPlugin','toast',['用户名不能为空']);
    //     return;
    // }
    // if (password == null || password.length == 0) {

    //     return;
    // }
    var params = {
        url: "appinterface/login/doLogin.xhtml",
        userName: username,
        password: window.BASE64.encoder(password),
        model: device.model,
        platform: device.platform,
        version: device.version,
        manufacturer: device.manufacturer,
        imei: window.localStorage.getItem('imei')
    };

    commonQuery(params, function (data) {
        if (data.success == true) {
            cordova.exec(null, null, 'WidgetPlugin', 'toast', [data.message]);
            //都记住用户名
            if (username.indexOf("@") != -1) {
                var arr = username.split("@");
                window.localStorage.setItem('username', arr[0]);
                window.localStorage.setItem('userid', arr[0]);
            } else {
                window.localStorage.setItem('username', username);
                window.localStorage.setItem('userid', username);
            }
            window.sessionStorage.setItem('password', window.BASE64.encoder(password));
            // window.sessionStorage.setItem('token',data.data.token);
            //保存userInfo
            setUserLocalStorage('userInfo', JSON.stringify(data.data.user));
            //设置设备别名
            cordova.exec(null, null, 'JpushPlugin', 'setAlias', [username]);
            //设置设备tag
            cordova.exec(null, null, 'JpushPlugin', 'setTags', [data.data.tags]);

            isupdate();
            //逻辑处理完之后，页面跳转
            // window.location.href = 'index.html';
        } else {
            cordova.exec(null, null, 'WidgetPlugin', 'toast', [data.message]);
        }

    });
}

function openGesture() {
    cordova.exec(function (result) {
        if (result == 'success') {
            window.location.href = 'index_new.html';
        } else if (result == 'fail') {
            //登陆失败，主要表现为没输密码按下了返回键
            navigator.app.exitApp();
        } else if (result == 'reset') {
            //重置，主要用于用户忘记了密码，点了右上角的重置按钮时
            window.location.href = 'xtgnsz/reset_gesture.html';
        }
    }, null, 'GestureLock', 'openGestureClock', []);
}

function getIMEI() {
    cordova.exec(function (result) {
        window.localStorage.setItem('imei', result)
    }, function (error) {
        console.log("getIMEI Error");
    }, 'DeviceInfo', 'getIMEI', []);
}

function isupdate() {
    var params = {
        url: "appinterface/packages/queryVersionList.xhtml",
    };
    commonQuery(params, function (data) {
        var resultmap = data.data;
        if (null != resultmap && null != resultmap.packagesModel) {
            window.localStorage.setItem("newestVersion", resultmap.packagesModel.versionNo);
            window.localStorage.setItem("updateContent", resultmap.packagesModel.updateContent);
            window.localStorage.setItem("updata_id", resultmap.uploadModel.vchr_id);
            window.localStorage.setItem("vchr_domain", resultmap.uploadModel.vchr_domain);
            window.localStorage.setItem("vchr_entityid", resultmap.uploadModel.vchr_entityid);
            isdowbkoad();
        } else {
            window.location.href = 'index_new.html';
        }
    });

}

function isdowbkoad() {
    cordova.exec(function (success) {
        if (success == true) {
            var token = window.sessionStorage.getItem("token");
            $.confirm('发现新版本，立刻更新？', function () {
                //用户点击确定，下载更新apk，并进入页面
                cordova.exec(function (success) {

                    }, function (error) {
                        console.log("VersionUpdate error>>update" + error);
                    }, "VersionUpdate", "update",
                    [window.localStorage.getItem('urlconfig') + "/appinterface/packages/download.xhtml?token=" + token + "&id=" + window.localStorage.getItem('updata_id') + "&vchr_domain=" + window.localStorage.getItem('vchr_domain') + "&vchr_entityid=" + window.localStorage.getItem('vchr_entityid'), window.localStorage.getItem('newestVersion'), window.localStorage.getItem('updateContent')]);

            }, function () {
                //如果用户点击取消，进入页面
                //逻辑处理完之后，页面跳转
                window.location.href = 'index_new.html';
            });
        } else {
            window.location.href = 'index_new.html';
        }
    }, function (error) {
        window.location.href = 'index_new.html';

    }, "VersionUpdate", "checkUpdate", [window.localStorage.getItem('newestVersion')]);
}

getFromAndroid = function (userid) {
    alert(userid);
}