var jq = jQuery.noConflict();
var lastIndex = 0;
// 加载flag   下拉加载更多的参数
var loading = false;
//总页数
var pageCount;
//第几页
var pageNo = 1 ;
//每页条数
var pageSize = 10 ;
var arrayObj =[];
var ipconfig = window.localStorage.getItem('urlconfig');

(function () {
    document.addEventListener("deviceready",onDeviceReady,false);
})();

function onDeviceReady() {
    initDataYcmlzr();
    initEvent();
    form.onsubmit = function() {
        pageNo=1;
        initDataYcmlzr();
        return false;
    };
}

//异常名录载入列表
function initDataYcmlzr() {
    jq("#rowCount").html('');
    var key = jq("#search").val();
    var userName =  window.localStorage.getItem('username');

    var params = {
        key:key,
        page: pageNo,
        rows: pageSize,
        userName:userName,
        urlType:"annualReport",
        url:"/appinterface/abnormalDirectory/findEntList.xhtml"
    };

    commonQuery(params,function (data) {
        try{
            if(data!=null){
                jq("#totalCount").html("共"+data.data.rowCount+"条企业信息");
                pageCount = data.data.pageCount;
                if(pageCount == 0 && pageNo ==1){
                    $.hidePreloader();
                    cordova.exec(null,null,'WidgetPlugin','toast',['未查询到相关数据。']);
                    // $.alert("未查询到相关数据。");
                    return;
                }
                if (pageNo <= pageCount) {
                    if(data.data.pageNo == 1){
                        addItems(JSON.stringify(data.data.resultList));
                    }else{
                        addItems(JSON.stringify(data.data.resultList));
                    }
                }
            }else{
                cordova.exec(null,null,'WidgetPlugin','toast',['数据加载失败。']);
            }
            $.hidePreloader();
        }catch (e){
        }finally {
            dissmisLoad();
            loading = false;
        }
    });
}

function addItems(data) {
    var dataList = JSON.parse(data);
    var html = '';
    if(pageNo == '1'){
          $('#ycmlzr').empty();
    }

    for (var i = 0; i <dataList.length; i++) {
        var fr = '';
        var linkPhone = '';
        if (dataList[i].lerepname!=null){
            fr = dataList[i].lerepname;
        }
        if (dataList[i].linkPhone!=null){
            linkPhone = dataList[i].linkPhone;
        }
        html += '<li class="dailytask-list_item">' +
            '<div class="dailytask-litem_top" onclick="loadData(\'' + JSON.stringify(dataList[i]).replace(/"/g, '&quot;') + '\');">' +
            '<img class="dailytask-rightarrow" src="../../images/dailytask/icon_rarrow.svg" alt="rightArrow" />' +
            '<h1 class="dailytask-litop_title">' + dataList[i].entName + '</h1>' +
            '<div class="dailytask-litop_text">地址：' + dataList[i].addr + '</div>' +
            '<div class="dailytask-litop_text">' +dataList[i].regNo  + '</div>' +
            '</div>' +
            '</li>';
    }
    // 添加新条目

        $('#ycmlzr').append(html);

    if(pageNo==1){
        $.attachInfiniteScroll($('.infinite-scroll'));
        if (lastIndex > 9) {
            $('.infinite-scroll-preloader').show();
        }
    }
}

function dissmisLoad() {
    if (pageNo > pageCount) {
        // 加载完毕，则注销无限加载事件，以防不必要的加载
        $.detachInfiniteScroll($('.infinite-scroll'));
        // 删除加载提示符
        $('.infinite-scroll-preloader').hide();
        if(pageNo != 1){
            cordova.exec(null,null,'WidgetPlugin','toast',['暂无更多数据。']);
        }
        return;
    }
}

function initEvent() {
    // 注册'infinite'事件处理函数
    $(document).on('infinite', '.infinite-scroll-bottom',function() {

        // 如果正在加载，则退出
        if (loading) return;
        // 设置flag
        loading = true;
        pageNo ++;
        // 添加新条目
            initDataYcmlzr();
    });

}


function loadData(data) {
    var qydata = JSON.parse(data);
    qydata.entid = qydata.entId;
    qydata.entname = qydata.entName;
    qydata.entregno = qydata.regNo;
    window.localStorage.setItem('dataList',JSON.stringify(qydata));
    isEntId();

}


function isEntId() {
    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
        var params = {
            regNo: qydata.entregno,
            entName: qydata.entname,
            entId: qydata.entid,
            userName: window.localStorage.getItem('username'),
            url: "/appinterface/abnormalDirectory/checkIsSameAddrByEntId.xhtml"
        };
    commonQuery(params, function (data) {

        if (data.success && data.data.flag == "true") {
            qydata.newEntId = data.data.entId;
            window.localStorage.setItem("dataList",JSON.stringify(qydata));
            window.history.back(-1);
        } else {
            $.alert(data.message, function () {
                // window.location.href = '../../ydjg_html/index_new.html';
            });
        }
    });
}