var jq = jQuery.noConflict();
var  myPhotoBrowser;
var urlconfig = window.localStorage.getItem('urlconfig');
var username = window.localStorage.getItem('username');
var query = false;;
var fileNameArr = [];
var reBackArr = [];

(function () {
    document.addEventListener("deviceready",onDeviceReady,false);
    document.addEventListener("backbutton", onBackKeyDown, false);
}());

function onDeviceReady() {
    if ("yb" == window.localStorage.getItem("queryType")) {
        jq("input[type='radio']").attr("disabled", "disabled");
        jq("input[type='checkbox']").attr("disabled", "disabled");
        jq("input[type='text']").attr("disabled", "disabled");
        jq("#zgyj").val(" ");
        jq("#bcsm").val(" ");
        jq("#pz").hide();
        jq("#Submit").hide();
        jq("#title").html("查看说明");
    }else {
        jq("#title").html("添加说明");
        jq("#Submit").show();
        jq("#zgyj").attr('placeholder',"点击输入整改建议");
        jq("#bcsm").attr('placeholder',"点击输入补充说明");
    }

    getQuery();
    queryPicturesList();
}

function getQuery(){
    var params = {
        taskid:window.localStorage.getItem('taskid'),
        recordid:window.localStorage.getItem('recordid'),
        url: "appinterface/task/querySitejcxfj.xhtml"
    };

    commonQuery(params, function(data) {
        console.log(data);
        if(data != null ){
            if(data.data.task == null){
                if ("yb" == window.localStorage.getItem("queryType")) {
                    jq("#zgyj").val(" ");
                    jq("#bcsm").val(" ");
                }
                query = true;
            }else {
                if(data.data.task.proposal != null){
                    jq("#zgyj").val(data.data.task.proposal);
                }
                if(data.data.task.remark != null){
                    jq("#bcsm").val(data.data.task.remark);
                }
            }
        }
    });
}


function onBackKeyDown() {
    if (myPhotoBrowser && myPhotoBrowser.opened){
        myPhotoBrowser.close();
        $('.photo-browser-popup').remove();
        $('.modal-overlay-visible').remove();
        return;
    }
    cordova.exec(function (success) {
        if (success!=true){
            if("yb" == window.localStorage.getItem("queryType")){
                history.back(-1);
            }else {
                $.confirm('信息尚未保存,是否退出?', function () {
                    // 退出页面删除已提交图片
                    deleteAllPictures();
                    history.back(-1);
                }, function () {
                    $.hidePreloader();
                });
            }
        }
    }, function (error) {

    }, "WidgetPlugin", "getKeyboard", []);
}

function Submit() {
    if(jq("#zgyj").val().length > 500){
        $.toast("整改建议输入过长，最大为500");
        return;
    }
    if(jq("#bcsm").val().length > 500){
        $.toast("补充说明输入过长，最大为500");
        return;
    }
    var sssss = jq("#imgNumber").find('img').length;

    $.showPreloader("正在保存数据..");
    if(sssss <2  && (jq("#zgyj").val() == '' || jq("#zgyj").val() == ' ') && (jq("#bcsm").val() == '' || jq("#bcsm").val() == ' ')){
        var params = {
            taskid:window.localStorage.getItem('taskid'),
            recordid:window.localStorage.getItem('recordid'),
            url: "appinterface/task/deleteSitejcxfj.xhtml"
        };
    }else if(query == true){
        var params = {
            taskid:window.localStorage.getItem('taskid'),
            recordid:window.localStorage.getItem('recordid'),
            proposal:jq("#zgyj").val(),
            remark:jq("#bcsm").val(),
            url: "appinterface/task/toSavejcxfj.xhtml"
        };
    }else {
        var params = {
            taskid:window.localStorage.getItem('taskid'),
            recordid:window.localStorage.getItem('recordid'),
            proposal:jq("#zgyj").val(),
            remark:jq("#bcsm").val(),
            url: "appinterface/task/updateSitejcxfj.xhtml"
        };
    }
    commonQuery(params, function(data) {
        console.log(data);
        if(data != null ){
            if(data.success == true){
                $.toast(data.message);
                history.back(-1);
            }
        }
    });
}

//将表单转成json object
jq.fn.serializeObject = function() {
    var o = {};
    var a = this.serializeArray();
    jq.each(a, function() {
        if (o[this.name] !== undefined) {
            if (!o[this.name].push) {
                o[this.name] = [o[this.name]];
            }
            o[this.name].push(this.value || '');
        } else {
            o[this.name] = this.value || '';
        }
    });
    return o;
};
function uuid() {
    var s = [];
    var hexDigits = "0123456789abcdef";
    for (var i = 0; i < 36; i++) {
        s[i] = hexDigits.substr(Math.floor(Math.random() * 0x10), 1);
    }
    s[14] = "4";  // bits 12-15 of the time_hi_and_version field to 0010
    s[19] = hexDigits.substr((s[19] & 0x3) | 0x8, 1);  // bits 6-7 of the clock_seq_hi_and_reserved to 01
    s[8] = s[13] = s[18] = s[23] = "";

    var uuid = s.join("");
    return uuid;
}

//拍照
function addpicClicked() {
    var sourceType;
    // sourceType = navigator.camera.PictureSourceType.CAMERA;
    // getPic(sourceType);
    //如果需要从相册选择，把上边两行删除，把下边的注释放开；如果只需要相机，把下边注掉，上边两行放开
    $.modal({
        title: '请选择照片来源',
        buttons: [
            {
                text: '相机',
                onClick: function () {
                    //从相机获取
                    loadImage('camera');
                }
            },
            {
                text: '相册',
                onClick: function () {
                    //从相册获取
                    loadImage('album');
                }
            },
            {
                text: '取消',
                onClick: function () {
                    // click_temp = 0;

                }
            }
        ]
    });
}

function loadImage(lx) {
    if(lx == "camera"){
        var sourceType = navigator.camera.PictureSourceType.CAMERA;
        getPic(sourceType);
    }else{
        fnPicker();
    }
}

function getPic(sourceType) {
    navigator.camera.getPicture(function(imageURI){
        var fileName = uuid()+'.jpg';
        var fileURL = cordova.file.externalRootDirectory + '/hangyjx/photo/' +fileName;
        var fileTransfer = new FileTransfer();
        fileTransfer.download(
            imageURI, fileURL,
            function (entry) {
                cordova.exec(function(data){
                    var datas = {
                        'taskId': window.localStorage.getItem('taskid'),
                        'domain': "ygjg_12_"+window.localStorage.getItem('recordid'),
                        'fileName': data.fileName,
                        'userName': window.localStorage.getItem("username"),
                        'fileContent': data.data,
                        'url': "/appinterface/upload/savePictures.xhtml"
                    };

                    commonQuery(datas, function(result) {
                        console.info("图片上传成功");
                        reBackArr.push(result.data.id);
                        queryPicturesList();
                    });

                },null,'ReadFilePlugin','readAsBinaryString',[fileName]);
            },

            function (error) {
                console.log("download error code" + error.code);
            },

            false, {
                headers: {
                    "Authorization": "Basic dGVzdHVzZXJuYW1lOnRlc3RwYXNzd29yZA=="
                }
            }
        );
    }, onLoadImageFail, {
        quality: 25,
        destinationType: navigator.camera.DestinationType.FILE_URI,
        sourceType: sourceType
    });
}

function onLoadImageFail(message) {
    //    navigator.notification.alert("拍照失败，原因：" + message, null, "警告");
    //    $.toast("拍照失败，原因：" + message);
}
function fnPicker(){
    fileNameArr = [];
    window.imagePicker.getPictures(
        function(urlarr) {//成功时返回的图片列表
            for(var i=0; i<urlarr.length; i++){
                var fileName = uuid()+'.jpg';
                fileNameArr.push(fileName);
                var fileURL = cordova.file.externalRootDirectory + '/hangyjx/photo/' +fileName;
                var fileTransfer = new FileTransfer();
                fileTransfer.download(
                    urlarr[i], fileURL,
                    function (entry) {

                    },

                    function (error) {
                        console.log("download error code" + error.code);
                    },

                    false, {
                        headers: {
                            "Authorization": "Basic dGVzdHVzZXJuYW1lOnRlc3RwYXNzd29yZA=="
                        }
                    }
                );
            }
            uploadImage();
        }, onFail,//失败调用
        {
            maximumImagesCount:5  //参数
        });
}

function uploadImage() {
    for (var i = 0; i < fileNameArr.length; i++) {
        cordova.exec(function (data) {
            var datas = {
                'taskId': window.localStorage.getItem('taskid'),
                'domain': "ygjg_12_" + window.localStorage.getItem('recordid'),
                'fileName': data.fileName,
                'userName': window.localStorage.getItem("username"),
                'fileContent': data.data,
                'url': "/appinterface/upload/savePictures.xhtml"
            };
            commonQuery(datas, function (result) {
                console.info("图片上传成功");
                reBackArr.push(result.data.id);
                queryPicturesList();
            });
        }, null, 'ReadFilePlugin', 'readAsBinaryString', [fileNameArr[i]]);
    }
}

function onFail(){

}

function showPictures(data) {
    jq(".img-box").not('.upload-box').remove();
    if (currentImageURIArr) {
        currentImageURIArr.splice(0, currentImageURIArr.length)
    }
    data.data.reverse();
    var num = data.data.length - 1;
    for (var i = 0; i < data.data.length; i++) {
        var url = urlconfig + "/appinterface/upload/showPictures.xhtml?userName=" + window.localStorage.getItem('username') + "&id=" + data.data[i].VCHR_ID;
        currentImageURIArr.push(url);
        if ('yb' == window.localStorage.getItem("queryType")) {
            var temp =
                '<div class="img-box">' +
                '<span id="add' + num + '"></span>' +
                '<img src="" onerror="this.style.display=\'none\'" onclick="viewpic(\'' + num + '\')" id="' + num + '" name="photokeng">' +
                '</div>'
        } else {
            var temp =
                '<div class="img-box">' +
                '<span class="close" onclick="deletepic(\'' + num + '\', \'' + data.data[i].VCHR_ID + '\')" id="add' + num + '"></span>' +
                '<img src="" onerror="this.style.display=\'none\'" onclick="viewpic(\'' + num + '\')" id="' + num + '" name="photokeng">' +
                '</div>'
        }
        jq(".img-pnl").prepend(temp);
        jq("#add" + num).next().attr("src", url);
        num--;
    }
    currentImageURIArr.reverse();
}

var myPhotoBrowser;

function viewpic(id, type) {
    myPhotoBrowser = $.photoBrowser({
        photos: currentImageURIArr,
        type: 'popup',
        initialSlide: id,  //初始显示的照片index
        ofText: "/",
        swipeToClose: false,    //是否可以滑动关闭（上下滑动）
    });
    myPhotoBrowser.open();
}

function deletePictures() {
    var params = {
        id: window.localStorage.getItem('vchr_id'),
        url: "/appinterface/upload/deletePictures.xhtml"
    };
    commonQuery(params, function (data) {
        var id = window.localStorage.getItem("picid");
        var src = jq("#" + id).attr("src");
        currentImageURIArr.splice(jq.inArray(src, currentImageURIArr), 1);
        jq("#" + id).parent().remove();
    })
}

function deleteAllPictures() {
    var params = {
        id: reBackArr.join(),
        url: "/appinterface/upload/deletePictures.xhtml"
    };
    commonQuery(params, function (data) {

    })
}

function deletepic(id, vchr_id) {
    var src = jq("#" + id + "").next().attr("src");
    if (src != "") {
        window.localStorage.setItem("picid", id);
        window.localStorage.setItem("vchr_id", vchr_id);
        $.confirm(
            '确定要删除吗', // message
            onConfirm,            // callback to invoke with index of button pressed
            '提示',           // title
            ['确定', '取消']     // buttonLabels
        );
    }
}

function onConfirm(buttonIndex) {
    deletePictures();
}

function queryPicturesList() {
    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
    var params = {
        taskid: window.localStorage.getItem('taskid'),
        domain: "ygjg_12_"+window.localStorage.getItem('recordid'),
        userName: window.localStorage.getItem('username'),
        url: "appinterface/upload/queryPicturesList.xhtml"
    };

    commonQuery(params, function (data) {
        if (data.success == true) {
            showPictures(data);
        } else {
            $.alert(data.message);
        }
    });
}
