var jq = jQuery.noConflict();
var urlconfig = window.localStorage.getItem('urlconfig');
var username = window.localStorage.getItem('username');
var currentImageURIArr = [];
var reBackArr = [];
var num = 0;
var fileNameArr = [];
(function () {
    document.addEventListener("backbutton", onBackKeyDown, false);
    document.addEventListener("deviceready", onDeviceReady, false);
}());

function onDeviceReady() {
    var ycmldata = JSON.parse(window.localStorage.getItem('dataList'));
    var userInfo = JSON.parse(getUserLocalStorage('userInfo'));

    jq("#entName").val(ycmldata.entName);
    jq("#operatorDept").val(userInfo.departmentInfo.dep_name);
    jq("#dz").val(ycmldata.addr);
    jq("#fr").val(ycmldata.lerep);
    jq("#czbm").val(window.localStorage.getItem('deptname'));
    jq("#recordId").val(ycmldata.id);
    jq("#imei").val(window.localStorage.getItem('imei'));
    jq("#decideId").val(ycmldata.decideId);
    jq("#userName").val(username);
    jq("#unitGis").val(ycmldata.unitGis);
    jq("#remark").val(ycmldata.remark);
    // jq("#removeDesc").val();
    jq("#sender").val(ycmldata.sender);
    jq("#tel").val(ycmldata.tel);
    jq("#removeReason").val(ycmldata.removeReason);
    jq("#operatorDesc").val("移出异常名录");

    jq("#infowareid").val(uuid());
    getJbrs();
    // getSprs();

    loadDraft(ycmldata.id);
}

function onBackKeyDown() {
    if (isPhotoBrowerShowing()) {
        return;
    }

    confirmSaveDraft();
}

/**
 * 显示缓存数据
 * @param data
 */
function echoForm(obj) {
    // 移出理由
    if (obj.removeDesc != "" && obj.removeDesc != undefined) {
        showChoice(obj.removeDesc, obj.removeDescName, '.open-respondent-ycly');
    }

    // 检查人员
    if (obj.verifier != "" && obj.verifier != undefined) {
        showChoice(obj.verifier, obj.verifier, '.open-jcr');
    }

    // 审批人
    if (obj.apprerId != "" && obj.apprerId != undefined) {
        showChoice(obj.apprers, obj.apprers, '.open-apprer');
    }

    for (var key in obj) {
        jq("[name='" + key + "']").val(obj[key]);
    }
    queryPicturesList();
}

function fnPicker() {
    fileNameArr = [];
    window.imagePicker.getPictures(
        function (urlarr) {//成功时返回的图片列表
            for (var i = 0; i < urlarr.length; i++) {
                var fileName = uuid() + '.jpg';
                fileNameArr.push(fileName);
                var fileURL = cordova.file.externalRootDirectory + '/hangyjx/photo/' + fileName;
                var fileTransfer = new FileTransfer();
                fileTransfer.download(
                    urlarr[i], fileURL,
                    function (entry) {

                    },

                    function (error) {
                        console.log("download error code" + error.code);
                    },

                    false, {
                        headers: {
                            "Authorization": "Basic dGVzdHVzZXJuYW1lOnRlc3RwYXNzd29yZA=="
                        }
                    }
                );
            }
            uploadImage();
        }, onFail,//失败调用
        {
            maximumImagesCount: 5  //参数
        });

}

function uploadImage() {
    for (var i = 0; i < fileNameArr.length; i++) {
        cordova.exec(function (data) {
            var datas = {
                'taskId': jq("#infowareid").val(),
                'fileName': data.fileName,
                'userName': window.localStorage.getItem("username"),
                'fileContent': data.data,
                'url': "/appinterface/upload/savePictures.xhtml"
            };

            commonQuery(datas, function (result) {
                console.info("图片上传成功");
                reBackArr.push(result.data.id);
                queryPicturesList();
            });

        }, null, 'ReadFilePlugin', 'readAsBinaryString', [fileNameArr[i]]);
    }
}

function onFail() {

}

function getPic(sourceType) {
    navigator.camera.getPicture(function (imageURI) {
        var fileName = uuid() + '.jpg';
        var fileURL = cordova.file.externalRootDirectory + '/hangyjx/photo/' + fileName;
        var fileTransfer = new FileTransfer();
        fileTransfer.download(
            imageURI, fileURL,
            function (entry) {
                cordova.exec(function (data) {
                    var datas = {
                        'taskId': jq("#infowareid").val(),
                        'fileName': data.fileName,
                        'userName': window.localStorage.getItem("username"),
                        'fileContent': data.data,
                        'url': "/appinterface/upload/savePictures.xhtml"
                    };

                    commonQuery(datas, function (result) {
                        console.info("图片上传成功");
                        reBackArr.push(result.data.id);
                        queryPicturesList();
                    });
                }, null, 'ReadFilePlugin', 'readAsBinaryString', [fileName]);
            },

            function (error) {
                console.log("download error code" + error.code);
            },

            false, {
                headers: {
                    "Authorization": "Basic dGVzdHVzZXJuYW1lOnRlc3RwYXNzd29yZA=="
                }
            }
        );
    }, onLoadImageFail, {
        quality: 25,
        destinationType: navigator.camera.DestinationType.FILE_URI,
        sourceType: sourceType
    });
}

function onLoadImageFail(message) {
    //    navigator.notification.alert("拍照失败，原因：" + message, null, "警告");
    //    $.toast("拍照失败，原因：" + message);
}

function loadImage(lx) {
    if (lx == "camera") {
        var sourceType = navigator.camera.PictureSourceType.CAMERA;
        getPic(sourceType);
    } else {
        fnPicker();
    }
}

function getJbrs() {
    var params = {
        userName: username,
        url: "/appinterface/abnormalDirectory/findOperatorAndApprer.xhtml"
    };

    commonQuery(params, function (data) {
        var sprarr = data.data.APPRLIST;
        var jbrarr = data.data.OPERLIST;
        if (sprarr.length > 0) {
            var temp = '';
            for (var i = 0; i < sprarr.length; i++) {
                // temp='<option value="'+sprarr[i].CODE+'">'+sprarr[i].NAME+'</option>';
                temp = ' <li> <label class="input-box input-box_checkbox"> ' +
                    '<input type="radio" hidden name="respondent" value="' + sprarr[i].CODE + '"> ' +
                    '<span class="icon"></span> ' +
                    '<span class="txt">' + sprarr[i].NAME + '</span> ' +
                    '</label> </li>';
                jq("#apprer").append(temp);
            }
        }

        if (jbrarr.length > 0) {
            var temp = '';
            for (var a = 0; a < jbrarr.length; a++) {
                // temp += '<option value="' + jbrarr[a].USERID + '">' + jbrarr[a].USERNAME + '</option>';
                temp += '<li> <label class="input-box input-box_checkbox"> ' +
                    '<input type="checkbox" hidden name="auditor" value="' + jbrarr[a].USERID + '"> ' +
                    '<span class="icon"></span> <span class="txt">' + jbrarr[a].USERNAME + '</span> ' +
                    '</label> </li>';
            }

            jq("#jcr").append(temp);
        }
    });
}

function getSprs() {
    var params = {
        userName: username,
        usertype: 'sp',
        url: "/appinterface/zxjbSearch/perList.xhtml"
    };

    commonQuery(params, function (data) {
        var arr = data.data;
        if (arr.length > 0) {
            var temp = '';
            for (var i = 0; i < arr.length; i++) {
                temp += '<option value="' + arr[i].sys_user_name + '">' + arr[i].user_name + '</option>';
            }
            jq("#apprer").append(temp);
        }
    });
}

function upload_data() {
    var removeDesc = jq("#removeDesc").val();
    if (removeDesc == "") {
        $.toast("请选择移出(恢复)理由！");
        return;
    }
    var verifiDesc = jq("#verifiDesc").val();
    if (verifiDesc == "" || verifiDesc == null || verifiDesc == undefined) {
        $.toast("请输入核查情况！");
        return;
    }

    var verifier = jq("#verifier").val();
    if (verifier == "") {
        $.toast("请选择检查人员");
        return;
    }

    var operatorDept = jq("#operatorDept").val();
    if (operatorDept == "" || operatorDept == null || operatorDept == undefined) {
        $.toast("请填写操作部门");
        return;
    }

    var operatorDesc = jq("#operatorDesc").val();
    if (operatorDesc == "" || operatorDesc == null || operatorDesc == undefined) {
        $.toast("请填写办理意见");
        return;
    }

    var apprers = jq("#apprers").val();
    if (apprers == "") {
        $.toast("请选择审批人");
        return;
    }

    var length = $(".img-pnl").children(".img-box").length;
    // console.log("目前有多少张图片="+length);
    if (length <= 1) {
        $.alert("请上传现场照片");
        return;
    }

    $.modal({
        title: '确认提交以上信息?',
        buttons: [
            {
                text: '取消',
                onClick: function () {
                }
            },
            {
                text: '确认提交',
                onClick: function () {
                    submit();
                }
            },
        ]
    });

}

function submit() {

    var userInfo = JSON.parse(getUserLocalStorage("userInfo"));
    var ycmldata = JSON.parse(window.localStorage.getItem('dataList'));
    var info_data = jq("#form1").serializeObject();
    info_data.apprerId = jq("#apprerId").val();
    info_data.apprer = jq("#apprers").val();
    info_data.operator = userInfo.user_name;//经办人
    info_data.operatorer = userInfo.sys_right_user_id;//帐号
    info_data.operatorDeptNo = userInfo.departmentInfo.sys_right_department_id;//帐号
    info_data.abnormalType = ycmldata.abnormalType;
    info_data.annexID = jq("#infowareid").val();//附件ID
    // jq("#jcr option:selected").each(function () {
    //     jcrlist.push($(this).text());
    // });
    info_data.verifier = jq("#verifier").val(); //操作人
    info_data.url = "/appinterface/abnormalDirectory/dealRemove.xhtml";

    console.log(JSON.stringify(info_data))

    commonQuery(info_data, function (data) {
        if (data.success) {
            $.alert(data.message, function () {
                clearDraft();
                onBack();
            });
        } else {
            $.alert(data.message);
        }
    });
}

//将表单转成json object
jq.fn.serializeObject = function () {
    var o = {};
    var a = this.serializeArray();
    jq.each(a, function () {
        if (o[this.name] !== undefined) {
            if (!o[this.name].push) {
                o[this.name] = [o[this.name]];
            }
            o[this.name].push(this.value || '');
        } else {
            o[this.name] = this.value || '';
        }
    });
    return o;
};

function uuid() {
    var s = [];
    var hexDigits = "0123456789abcdef";
    for (var i = 0; i < 36; i++) {
        s[i] = hexDigits.substr(Math.floor(Math.random() * 0x10), 1);
    }
    s[14] = "4";  // bits 12-15 of the time_hi_and_version field to 0010
    s[19] = hexDigits.substr((s[19] & 0x3) | 0x8, 1);  // bits 6-7 of the clock_seq_hi_and_reserved to 01
    s[8] = s[13] = s[18] = s[23] = "";

    var uuid = s.join("");
    return uuid;
}

function queryPicturesList() {
    var params = {
        taskid: jq("#infowareid").val(),
        userName: window.localStorage.getItem('username'),
        url: "appinterface/upload/queryPicturesList.xhtml"
    };

    commonQuery(params, function (data) {
        if (data.success == true) {
            showPictures(data.data)
        } else {
            $.alert(data.message);
        }
    });
}

function deletepic(id, vchr_id) {
    var src = jq("#" + id + "").next().attr("src");
    if (src != "") {
        window.localStorage.setItem("picid", id);
        window.localStorage.setItem("vchr_id", vchr_id);
        $.confirm(
            '确定要删除吗', // message
            onConfirm,            // callback to invoke with index of button pressed
            '提示',           // title
            ['确定', '取消']     // buttonLabels
        );
    }
}

function onConfirm(buttonIndex) {
    var params = {
        id: window.localStorage.getItem('vchr_id'),
        url: "/appinterface/upload/deletePictures.xhtml"
    };
    commonQuery(params, function (data) {
        var id = window.localStorage.getItem("picid");
        var src = jq("#" + id).next().attr("src");
        currentImageURIArr.splice(jq.inArray(src, currentImageURIArr), 1);
        jq("#" + id).parent().remove();
    })

}

function viewpic(id, type) {
    var index = currentImageURIArr.length - id - 1;
    var myPhotoBrowserStandalone = $.photoBrowser({
        photos: currentImageURIArr,
        type: 'popup',
        initialSlide: index,  //初始显示的照片index
        ofText: "/",
        swipeToClose: false,    //是否可以滑动关闭（上下滑动）
    });
    myPhotoBrowserStandalone.open();

}