//拍照
function addpicClicked() {
    var sourceType;
    // sourceType = navigator.camera.PictureSourceType.CAMERA;
    // getPic(sourceType);
    //如果需要从相册选择，把上边两行删除，把下边的注释放开；如果只需要相机，把下边注掉，上边两行放开
    $.modal({
        title: '请选择照片来源',
        buttons: [
            {
                text: '相机',
                onClick: function () {
                    //从相机获取
                    loadImage('camera');
                }
            },
            {
                text: '相册',
                onClick: function () {
                    //从相册获取
                    loadImage('album');
                }
            },
            {
                text: '取消',
                onClick: function () {
                }
            }
        ]
    });
}


function showPictures(data, url) {
    jq(".img-box").not('.upload-box').not("#imgboxjzr")
        .not("#imgboxjcr").remove();
    if (currentImageURIArr) {
        currentImageURIArr.splice(0, currentImageURIArr.length)
    }

    if (reBackArr) {
        reBackArr.splice(0, reBackArr.length)
    }

    var picUrl;
    if (url == undefined || url.length == 0) {
        picUrl = "/appinterface/upload/showPictures.xhtml";
    } else {
        picUrl = url;
    }
    var num = data.length - 1;
    var urlconfig = window.localStorage.getItem("urlconfig");
    for (var i = 0; i < data.length; i++) {
        // 过滤检查人、见证人签名
        if (undefined != data[i].VCHR_DOMAIN) {
            if (data[i].VCHR_DOMAIN == 'jcr' || data[i].VCHR_DOMAIN == 'jzr' || data[i].VCHR_DOMAIN == 'jcr2' || data[i].VCHR_DOMAIN == 'sdhc') {
                continue;
            }
        }

        var url = urlconfig + picUrl + "?userName=" + window.localStorage.getItem('username') + "&id=" + data[i].VCHR_ID;
        currentImageURIArr.push(url);
        if ('yb' == window.localStorage.getItem("queryType")) {
            var temp =
                '<div class="img-box">' +
                '<span id="add' + num + '"></span>' +
                '<img src="" onerror="this.style.display=\'none\'" onclick="viewpic(\'' + num + '\')" id="' + num + '" name="photokeng">' +
                '</div>'
        } else {
            var temp =
                '<div class="img-box">' +
                '<span class="close" onclick="deletepic(\'' + num + '\', \'' + data[i].VCHR_ID + '\')" id="add' + num + '"></span>' +
                '<img src="" onerror="this.style.display=\'none\'" onclick="viewpic(\'' + num + '\')" id="' + num + '" name="photokeng">' +
                '</div>'
        }

        if (reBackArr && reBackArr.indexOf(data[i].VCHR_ID) == -1) {
            reBackArr.push(data[i].VCHR_ID);
        }

        jq(".img-pnl").prepend(temp);
        jq("#add" + num).next().attr("src", url);
        num--;
    }
}


function uploadSigntureImage(imageBase64, domain) {
    console.log(domain)
    console.log(imageBase64)

    var fileName = uuid() + '.jpg';
    var datas = {
        'taskId': jq("#infowareid").val(),
        'fileName': fileName,
        'domain': domain,
        'userName': window.localStorage.getItem("username"),
        'fileContent': imageBase64,
        'url': "/appinterface/upload/savePictures.xhtml"
    };
    commonQuery(datas, function (result) {
        console.info("图片上传成功");
        showSignturePictures(domain, result.data.id)
    });
}

function showAllSignturePictures(data) {
    for (var i = 0; i < data.length; i++) {
        // 检查人、见证人签名
        if (data[i].VCHR_DOMAIN == 'jcr' || data[i].VCHR_DOMAIN == 'jzr' || data[i].VCHR_DOMAIN == 'jcr2') {
            showSignturePictures(data[i].VCHR_DOMAIN, data[i].VCHR_ID);
        }
    }
}

function showSignturePictures(domain, imageId) {
    var urlconfig = window.localStorage.getItem("urlconfig");
    console.log("domain---: " + domain)
    console.log("imageId---: " + imageId)
    var picUrl = "/appinterface/upload/showPictures.xhtml";

    var url = urlconfig + picUrl + "?userName=" + window.localStorage.getItem('username') + "&id=" + imageId;
    if ('yb' == window.localStorage.getItem("queryType")) {
        var temp =
            '<div class="img-box" id="imgbox' + domain + '">' +
            '<span id="add' + domain + '"></span>' +
            '<img src="" onerror="this.style.display=\'none\'" onclick="viewSignturePic(\'' + url + '\')" id="' + domain + '" name="photokeng">' +
            '</div>'
        //当不是检查人和见证人时。签名时的点击事件
        if (domain != 'jcr' && domain != 'jzr' && domain != 'jcr2') {
            // 移除打开签名页面点击事件
            jq("#" + domain + "Signture").attr('onclick', '').unbind('click');
        }
    } else {
        var temp =
            '<div class="img-box" id="imgbox' + domain + '">' +
            '<span class="close" onclick="deletepic(\'' + domain + '\', \'' + imageId + '\')" id="add' + domain + '"></span>' +
            '<img src="" onerror="this.style.display=\'none\'" id="' + domain + '" name="photokeng">' +
            '</div>'
    }
    jq("#" + domain + "Signture").empty();
    jq("#" + domain + "Signture").prepend(temp);
    jq("#add" + domain).next().attr("src", url);
}

//下载文件
function downloadFile(uri, name, showFile) {
    if (showFile) {
        $.showPreloader("正在下载");
    }
    var fileTransfer = new FileTransfer();
    var type = name.split('.');
    var fileURL = cordova.file.externalRootDirectory + '/hyjx/' + name;
    fileTransfer.download(
        uri, fileURL,
        function (entry) {
            if (showFile) {
                cordova.exec(function (result) {
                    $.hidePreloader();
                }, function (error) {
                    $.hidePreloader();
                }, 'FileIntentPlugin', type[1], [entry.fullPath]);
            }
        },

        function (error) {
            $.hidePreloader();
            console.log("download error code" + error.code);
        }
    );
}

var myPhotoBrowser;

function viewpic(id, type) {
    myPhotoBrowser = $.photoBrowser({
        photos: currentImageURIArr,
        type: 'popup',
        initialSlide: id,  //初始显示的照片index
        ofText: "/",
        swipeToClose: false,    //是否可以滑动关闭（上下滑动）
    });
    myPhotoBrowser.open();
}

function viewSignturePic(url) {
    var images = [url]
    myPhotoBrowser = $.photoBrowser({
        photos: images,
        type: 'popup',
        initialSlide: 0,  //初始显示的照片index
        ofText: "/",
        swipeToClose: false,    //是否可以滑动关闭（上下滑动）
    });
    myPhotoBrowser.open();
}

function deletePictures() {
    var params = {
        id: window.localStorage.getItem('vchr_id'),
        url: "/appinterface/upload/deletePictures.xhtml"
    };
    commonQuery(params, function (data) {
        var id = window.localStorage.getItem("picid");
        var src = jq("#" + id).attr("src");
        currentImageURIArr.splice(jq.inArray(src, currentImageURIArr), 1);
        jq("#" + id).parent().remove();
    })
}

function deletepic(id, vchr_id) {
    var src = jq("#" + id + "").next().attr("src");
    if (src != "") {
        window.localStorage.setItem("picid", id);
        window.localStorage.setItem("vchr_id", vchr_id);
        $.confirm(
            '确定要删除吗', // message
            onConfirm,            // callback to invoke with index of button pressed
            '提示',           // title
            ['确定', '取消']     // buttonLabels
        );
    }
}

function deleteAllPictures() {
    if (null == reBackArr || reBackArr.length == 0) {
        return;
    }

    var params = {
        id: reBackArr.join(),
        url: "/appinterface/upload/deletePictures.xhtml"
    };
    commonQuery(params, function (data) {
    })
}

function isPhotoBrowerShowing() {
    if (myPhotoBrowser && myPhotoBrowser.opened) {
        myPhotoBrowser.close();
        $('.photo-browser-popup').remove();
        $('.modal-overlay-visible').remove();
        return true;
    }
    return false;
}

function onConfirm(buttonIndex) {
    deletePictures();
}

function echoForm(obj) {
    for (var key in obj) {
        jq("[name='" + key + "']").val(obj[key]);
    }
}