var jq = jQuery.noConflict();
;(function f($) {
    var
        _showPreloader = $.showPreloader,
        _hidePreloader = $.hidePreloader;

    if (_showPreloader && _hidePreloader) {
        $.showPreloader = function () {
            var $show = _showPreloader.apply(this, arguments);
            $('.modal-overlay').css('opacity', 0);
            return $show;
        };
        $.hidePreloader = function () {
            _hidePreloader();
            $('.modal-overlay').css('opacity', null);
        };
    }
})($);

function commonQuery(params, callBack,method){
	//查询接口
	var urlconfig = window.localStorage.getItem("urlconfig");
	var myData = new Date();
	var time = myData.getTime()+"";
	var appKey="ydjgApp";
	var pwd = "f11bbd4d0df54de0a0c0354383894e65";
	var sign =  hex_md5(appKey+time+pwd);
	params['sign']=sign;
	params['time']=time;
	params['appKey']=appKey;
	if(!method){
	    method = 'post';
    }

    if(params.load_type!="1"){
        $.showPreloader("加载中...");
    }

	jq.ajax({
        url: urlconfig+params.url,
        type: method,
        data: params,
        async: true,
        scriptCharset : "utf-8",
        dataType: "json",
        success: function (data, textStatus) {
            // console.log(urlconfig + params.url)
            // console.log(JSON.stringify(params))
            // console.log(JSON.stringify(data))
            if(params.load_type!="1") {
                $.hidePreloader();
            }
            $('.modal-overlay').css('opacity', 1)
            if (data.success == false && data.message == 'signValidError') {
                $.alert("身份验证失败，请重新登录。");
            } else {
                callBack(data);
            }
        },
        error: function (data, textStatus) {
            // console.log(urlconfig + params.url)
            // console.log(JSON.stringify(params))
            if(params.load_type!="1") {
                $.hidePreloader();
            }
            $.closeModal();
            $.alert("提示：服务链接异常");
        }
    });
}

function queryUrlParam(name) {
        // var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
        // var r = window.location.search.substr(1).match(reg);
        // if (r != null) return unescape(r[2]); return null;
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return decodeURI(r[2]); return null;
}

function queryUserInfo() {
    var params = {
        userName: window.localStorage.getItem("username"),
        url: "/appinterface/login/getUserByName.xhtml",
        load_type: '1'
    };

    commonQuery(params, function (data) {
        if (data.success && data.data) {
            setUserLocalStorage('userType', data.data.type);
            setUserLocalStorage('userInfo', JSON.stringify(data.data.user));
        }
    });
}

function setUserLocalStorage(key,value) {
    if(window.localStorage.getItem('username')){
        var userName = window.localStorage.getItem('username');
        window.localStorage.setItem(userName + '_' + key,value);
    }
}

function getUserLocalStorage(key) {
    if(window.localStorage.getItem('username')){
        var userName = window.localStorage.getItem('username');
        return window.localStorage.getItem(userName + '_' + key);
    }
}