define(["artTemplate", "report/placereport", "text!tpls/report/taskedit.html", "text!tpls/report/placereport.html","queryCommon"], function (art, placereportJS, taskeditTpl, placereportTpl) {
    return {
        params : null,
        setParams: function (taskId, entId, entName, queryType) {
            this.params = {
                'taskId':taskId,
                'entId':entId,
                'entName': entName,
                'queryType': queryType
            };
        },
        getParams: function () {
            return this.params;
        },
        initTask: function () {
            var params = this.params;

            jq(".module-container").html(taskeditTpl);
            jq("#entName").text(params.entName);
            // 返回上一个页面
            jq(".back").click(function(){
                var taskListJs = require("report/taskList");
                taskListJs.initTaskList();
            });

            loadTaskData(art, params);
        }
    };
});

/**
 * 下一步
 * @return 
 */
function nextPagePlacereport () {
    //获取参数
    var taskedit = require("report/taskedit");
    var params = taskedit.getParams();

    if ("yb" == params.queryType) {
        //下一步 
        var checkRemarkJs = require("report/checkRemark");
        checkRemarkJs.setParams(params.taskId, params.entId, params.entName, params.queryType);
        checkRemarkJs.init();
    } else {
        // 保存内容，进行下一步
        var datas = getFormData("taskItemsId");
        //携带参数
        $.extend(datas, params);

        datas['url'] = "appinterface/task/toSaveFeed.xhtml";
        var queryCommonJs = require("queryCommon");
        queryCommonJs.commonQuery(datas, function (data) {
            if (data.success == true) {
                //下一步 
                var checkRemarkJs = require("report/checkRemark");
                checkRemarkJs.setParams(params.taskId, params.entId, params.entName);
                checkRemarkJs.init();
            } else {
                $.alert(data.message);
            }
        });
    }
}

/*
 * 加载任务详细数据
 */
function loadTaskData(art, params) {
    params['url'] = "appinterface/task/toFeedPage.xhtml";
    var queryCommonJs = require("queryCommon");
    queryCommonJs.commonQuery(params, function (data) {
        if (data.success == true) {
            var taskItemListTpl = $("#taskItemList").html();
            art.defaults.escape=false;
            var taskItemListHtml = art.render(taskItemListTpl, data.data);
            jq("#taskItemsId").html(taskItemListHtml);
        } else {
            $.alert(data.message);
        }
    });

}