var uniqueCode;
var type;
var name;
var selStartTime;
var selEndTime;
var statisticsData;
var workData;
(function () {
    document.addEventListener("deviceready",onDeviceReady,false);
    uniqueCode = queryUrlParam('uniqueCode');
    type = queryUrlParam('type');
    name = queryUrlParam('name');
    selStartTime = queryUrlParam('startTime');
    selEndTime = queryUrlParam('endTime');
    $('.title').text(name);
    registerEvent();
    // onDeviceReady();
})();

function onDeviceReady() {
    refreshView();
}

//注册事件
function registerEvent() {
    $("#startDatePicker").calendar({
        onOpen: function () {
            $('#area-wrapper').hide()
        },
        // onClose:function () {
        //     refreshView();
        // }
    })
    $("#endDatePicker").calendar({
        onOpen: function () {
            $('#area-wrapper').hide()
        },
        // onClose:function () {
        //     refreshView();
        // }
    })
    $("#startDatePicker").val(selStartTime);
    $("#endDatePicker").val(selEndTime);
    $(document).on("click",'.address-item-button',function(){
        refreshView();
    });
}
//刷新页面数据
function refreshView() {
    var startTime = $('.address-time-container').find('input').eq(0).val();
    var endTime = $('.address-time-container').find('input').eq(1).val();
    if(!uniqueCode || !type || !name || !startTime || !endTime)return;
    requestData(startTime,endTime,uniqueCode,type);
}

//请求统计数据
function requestData(startTime,endTime,uniqueCode,type) {
    // var params = {
    //     uniqueCode : uniqueCode,
    //     startTime:startTime,
    //     endTime:endTime,
    //     url:"/appinterface/statistics/workload.xhtml"
    // };
    //
    // commonQuery(params,function (data) {
    //     if (data.success === true){
    //         workData = data.data;
    //         StatisticsView();
    //     }
    // });
    var params = {
        uniqueCode : uniqueCode,
        startTime:startTime,
        endTime:endTime,
        type:type,
        url:"/appinterface/statistics/task.xhtml",
        load_type:"1"
    };
    $.showPreloader("加载中...");
    commonQuery(params,function (data) {
        if (data.success === true){
            statisticsData = data.data
            var params = {
                uniqueCode : uniqueCode,
                startTime:startTime,
                endTime:endTime,
                url:"/appinterface/statistics/workload.xhtml",
                load_type:"1"
            };

            commonQuery(params,function (data) {
                $.hidePreloader();
                if (data.success === true){
                    workData = data.data;
                }
                StatisticsView();
            });
        }
    });
}

//填充页面数据
function StatisticsView() {
    var percentParent = $('.wrap-content').eq(0).find('ul');
    percentParent.empty();
    var percentStr = '';
    var detailParent = $('.flex-list').eq(0);
    detailParent.empty();
    var detailStr =
        '<li><p>网格</p>' +
        '<p>总数</p>' +
        '<p>已完成</p>'+
        '<p>未完成</p>'+
        '<p>完成率</p></li>';
    var per;
    for(var index in statisticsData)
    {
        // per = statisticsData[index].completionRate;
        // percentStr += '<li class="progress">'+
        //     '<span class="f-name f-long-name">'+statisticsData[index].name+'</span>'+
        //     '<div class="f-progress">'+
        //     '<div style="width: '+(per?per:0)+';" class="f-bar"></div>'+
        //     '</div>'+
        //     '<span class="f-percent">'+(per?per:0)+'</span>'+
        //     '</li>';
        var proportionRate = statisticsData[index].proportionRate;
        var completionRate = statisticsData[index].completionRate;
        percentStr += '<li class="progress">' +
            '<span class="f-name">' + statisticsData[index].name + '</span>' +
            '<div class="f-progress">' +
            '<div style="width: ' + (proportionRate ? proportionRate : '0%') + ';" class="f-bar"></div>' +
            '</div>' +
            '<span class="f-percent">' + (proportionRate ? proportionRate : '0%') + '</span>' +
            // ((statisticsData[index].name === '其他') ?
            //         '&nbsp;&nbsp;' :
            //         ('<img class="f-icon" src="../images/common/icon_small_arrow.png" alt=""/>')
            // ) +
            '</li>';
        detailStr  +=
            '<li><p>'+statisticsData[index].name+'</p>'+
            '<p>'+statisticsData[index].total+'</p>'+
            '<p>'+statisticsData[index].completedQty+'</p>'+
            '<p>'+statisticsData[index].uncompletedQty+'</p>'+
            '<p>'+(completionRate?completionRate:0)+'</p></li>';
    }
    percentParent.append(percentStr);
    detailParent.append(detailStr);

    var workParent = $('.flex-list').eq(1);
    workParent.empty();
    var workStr =
        '<li><p>姓名</p>' +
        '<p>双随机</p>' +
        '<p>企管</p>' +
        '<p>特设</p>' +
        '<p>餐饮</p>' +
        '<p>流通</p>' +
        '<p>生产</p></li>';
        // '<p>整改</p></li>';
    var rectifi = 0;
    var doublyStochasticCount = 0;
    var managementCount = 0;
    var adHocCount = 0;
    var restaurantCount = 0;
    var circulationCount = 0;
    var productionCount = 0;
    for(var index in workData)
    {
        workStr +=
            '<li onclick="showPrivateTasks(\''+index +'\')"><p style="color: #108EE9">'+workData[index].name+'</p>' +
            '<p>'+workData[index].doublyStochasticCount+'</p>' +
            '<p>'+workData[index].managementCount+'</p>' +
            '<p>'+workData[index].adHocCount+'</p>' +
            '<p>'+workData[index].restaurantCount+'</p>' +
            '<p>'+workData[index].circulationCount+'</p>' +
            '<p>'+workData[index].productionCount+'</p></li>';
            // '<p>'+(workData[index].rectificationCount?workData[index].rectificationCount:0)+'</p></li>';
        doublyStochasticCount += workData[index].doublyStochasticCount;
        managementCount += workData[index].managementCount;
        adHocCount += workData[index].adHocCount;
        restaurantCount += workData[index].restaurantCount;
        circulationCount += workData[index].circulationCount;
        productionCount += workData[index].productionCount;
        // rectifi += (workData[index].rectificationCount?workData[index].rectificationCount:0);
    }
    workStr +=
        '<li style="font-size: initial; font-weight: bolder;"><p>合计:</p>' +
        '<p>'+doublyStochasticCount+'</p>' +
        '<p>'+managementCount+'</p>' +
        '<p>'+adHocCount+'</p>' +
        '<p>'+restaurantCount+'</p>' +
        '<p>'+circulationCount+'</p>' +
        '<p>'+productionCount+'</p></li>';
        // '<p>'+rectifi+'</p></li>';
    workParent.append(workStr);
}
/**
 * @return {string}
 */
function ChangeDateFormat(date) {
    var month = date.getMonth() + 1 < 10 ? "0" + (date.getMonth() + 1) : date.getMonth() + 1;
    var currentDate = date.getDate() < 10 ? "0" + date.getDate() : date.getDate();
    return date.getFullYear() + "-" + month + "-" + currentDate;
}

function  showPrivateTasks(index) {
    var item = workData[index];
    var startTime = $('.address-time-container').find('input').eq(0).val();
    var endTime = $('.address-time-container').find('input').eq(1).val();
    window.location.href = '../transact/privatetasks.html?name='+ item.name + '&userId=' + item.userId + '&startTime=' + startTime + '&endTime=' + endTime;
}