var jq = jQuery.noConflict();
var lastIndex = 0;
// 加载flag   下拉加载更多的参数
var loading = false;
//总页数
var pageCount = {pageCount1: 0, pageCount2: 0, pageCount3: 0, pageCount4: 0};
//第几页
var pageNo = {pageNo1: 1, pageNo2: 1, pageNo3: 1, pageNo4: 1};

//每页条数
var pageSize = 10;

// 1-报检过期；2-定检不合格；3-即将过期未报检；4-无维修
var currentType = '1';

var ipconfig = window.localStorage.getItem('urlconfig');

(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
})();

function onDeviceReady() {
    currentType = window.localStorage.getItem('equipmentIndex')
    var title;
    if(currentType === '1') title = '报检过期';
    if(currentType === '2') title = '定检不合格';
    if(currentType === '3') title = '即将到期未报检';
    if(currentType === '4') title = '无维保';
    // jq("#mytitle").html(window.localStorage.getItem("title"));
    jq("#mytitle").html(title);
    initData();
    initEvent();

    form.onsubmit = function () {
        pageNo = {pageNo1: 1, pageNo2: 1, pageNo3: 1, pageNo4: 1};
        jq("#totalCount").html('');
        $('#add_li').empty();
        $('.infinite-scroll-preloader').remove();
        initData();
        return false;
    };
}

function init_jyqk(dataList) {
    window.localStorage.setItem("dataList", dataList);
    window.location.href = '../../ydjg_html/ydjg_new/business_circumstance.html';
}

function addItems(data) {

    // jq("#totalCount" + currentType).html('共' + data.pageInfo.totalCount + '家企业');
    jq("#totalCount").html('共' + data.pageInfo.totalCount + '台设备');

    var html = '';
    for (var i = 0; i < data.items.length; i++) {
        var item = data.items[i];

        var report = item.report && item.report == true ? '已报检' : '未报检';
        var reportClass = item.report && item.report == true ? "dailytask-status-ok" : "dailytask-status-no";
        if (currentType == "1") {
            html += '<li class="dailytask-list_item">' +
                '         <div class="dailytask-litem_top">' +
                '               <div class="dailytask-litop_titlewarp">' +
                '                   <div class="dailytask-litop_title">' + item.name + '</div>' +
                '                   <div class="' + reportClass + '">' + report + '</div>' +
                '               </div>' +
                '               <div class="dailytask-litop_text">地址：' + item.address + '</div>' +
                '               <div class="dailytask-litop_text">' +
                '                   <div class="dailytask-littext_item">' + item.registerCode + '</div>' +
                '                   <div class="dailytask-littext_item">' + item.equipment + '</div>' +
                '               </div>' +
                '               <div class="dailytask-litop_textwrap">' +
                '                   <div class="dailytask-litwrap_item">负责人: ' + item.director + '</div>' +
                '                   <div class="dailytask-litwrap_item">联系电话：' + item.phone + '</div>' +
                '               </div>' +
                '               <div class="dailytask-litop_text">' +
                '                   <div class="dailytask-littext_item">有效期至：' + item.expiration + '</div>' +
                '                   <div class="dailytask-littext_item">逾期天数：<span class="red">' + item.overdueDays + '</span></div>' +
                '               </div>' +
                '          </div>' +
                '          <div class="dailytask-litem_btm">' +
                '               <div class="dailytask-libtm_item">' +
                '                   <img class="dailytask-libtmi_icon" src="../../images/ij/icon_tele.svg">' +
                '                   <a class="dailytask-libitem_text" href="tel:' + item.phone + '" >联系Ta</a>' +
                '               </div>' +
                '          </div>' +
                '     </li>';
        } else if (currentType == "2") {
            html += '<li class="dailytask-list_item">' +
                '         <div class="dailytask-litem_top">' +
                '             <div class="dailytask-litop_title">' + item.name + '</div>' +
                '             <div class="dailytask-litop_text">地址：' + item.address + '</div>' +
                '             <div class="dailytask-litop_text">' +
                '                 <div class="dailytask-littext_item">' + item.registerCode + '</div>' +
                '                 <div class="dailytask-littext_item">' + item.equipment + '</div>' +
                '             </div>' +
                '             <div class="dailytask-litop_textwrap">' +
                '                 <div class="dailytask-litwrap_item">负责人: ' + item.director + '</div>' +
                '                 <div class="dailytask-litwrap_item">联系电话：' + item.phone + '</div>' +
                '             </div>' +
                '          </div>' +
                '          <div class="dailytask-litem_btm">' +
                '               <div class="dailytask-libtm_item">' +
                '                   <img class="dailytask-libtmi_icon" src="../../images/ij/icon_tele.svg">' +
                '                   <a class="dailytask-libitem_text" href="tel:' + item.phone + '" >联系Ta</a>' +
                '               </div>' +
                '          </div>' +
                '     </li>';
        } else if (currentType == "3") {
            html += '<li class="dailytask-list_item">' +
                '         <div class="dailytask-litem_top">' +
                '             <div class="dailytask-litop_title">' + item.name + '</div>' +
                '             <div class="dailytask-litop_text">地址：' + item.address + '</div>' +
                '             <div class="dailytask-litop_text">' + item.registerCode + '</div>' +
                '             <div class="dailytask-litop_textwrap">' +
                '                 <div class="dailytask-litwrap_item">负责人: ' + item.director + '</div>' +
                '                 <div class="dailytask-litwrap_item">联系电话：' + item.phone + '</div>' +
                '             </div>' +
                '             <div class="dailytask-litop_text">' +
                '                 <div class="dailytask-littext_item">有效期至：' + item.expiration + '</div>' +
                '                 <div class="dailytask-littext_item">剩余天数：<span>' + item.remainingDays + '</span></div>' +
                '             </div>' +
                '          </div>' +
                '          <div class="dailytask-litem_btm">' +
                '               <div class="dailytask-libtm_item">' +
                '                   <img class="dailytask-libtmi_icon" src="../../images/ij/icon_tele.svg">' +
                '                   <a class="dailytask-libitem_text" href="tel:' + item.phone + '" >联系Ta</a>' +
                '               </div>' +
                '          </div>' +
                '     </li>';
        } else if (currentType == "4") {
            html += '<li class="dailytask-list_item">' +
                '         <div class="dailytask-litem_top">' +
                '             <div class="dailytask-litop_title">' + item.name + '</div>' +
                '             <div class="dailytask-litop_text">地址：' + item.address + '</div>' +
                '             <div class="dailytask-litop_text">' + item.registerCode + '</div>' +
                '             <div class="dailytask-litop_textwrap">' +
                '                 <div class="dailytask-litwrap_item">负责人: ' + item.director + '</div>' +
                '                 <div class="dailytask-litwrap_item">联系电话：' + item.phone + '</div>' +
                '             </div>' +
                '          </div>' +
                '          <div class="dailytask-litem_btm">' +
                '               <div class="dailytask-libtm_item">' +
                '                   <img class="dailytask-libtmi_icon" src="../../images/ij/icon_tele.svg">' +
                '                   <a class="dailytask-libitem_text" href="tel:' + item.phone + '" >联系Ta</a>' +
                '               </div>' +
                '          </div>' +
                '     </li>';
        }
    }

    // 添加新条目
    // $('#add_li' + currentType).append(html);
    $('#add_li').append(html)

    if (getPageNo() == 1) {
        $.attachInfiniteScroll($('.infinite-scroll'));
    }
}

function getPageNo() {
    return pageNo['pageNo' + currentType]
}

function updatePageNo() {
    var number = getPageNo();
    pageNo['pageNo' + currentType] = number + 1;
}

function getPageCount() {
    return pageCount['pageCount' + currentType]
}

function setPageCount(totalCount) {
    pageCount['pageCount' + currentType] = totalCount;
}

function callPhone(phone) {
    alert(phone);
}

function initEvent() {
    // 注册'infinite'事件处理函数
    $(document).on('infinite', '.infinite-scroll-bottom', function () {
        if (getPageNo() > getPageCount()) {
            return;
        }
        // 如果正在加载，则退出
        if (loading) return;
        // 设置flag
        loading = true;
        updatePageNo();
        // 添加新条目
        initData();
    });
}

function dissmisLoad() {
    if (getPageNo() > getPageCount()) {
        // 加载完毕，则注销无限加载事件，以防不必要的加载
        // $.detachInfiniteScroll($('.infinite-scroll'));
        // 删除加载提示符
        $('.infinite-scroll-preloader').remove();
        if (getPageCount() > 0) {
            $('.infinite-scroll').append('<div class="infinite-scroll-preloader" style="padding-top: 25px;\n' +
                '    font-size: 15px;"><div>暂无更多数据</div></div>');
        }
        // if (getPageNo() != 1) {
        //     $.toast('暂无更多数据。');
        // }
        return;
    }
}

function changeType(type) {
    currentType = type;
    if (getPageCount() == 0) {
        initData();
    }
}

/**
 *  加载列表数据
 */
function initData() {
    var userType = getUserType();
    var pageNo = getPageNo();
    var key = jq("#search").val();
    var params = {
        userName : window.localStorage.getItem('username'),
        searchCondition: key,
        stateType: currentType,
        pageNumber: pageNo,
        pageSize: pageSize,
        type: userType,
        uniqueCode: userType === "3" ? getGridCode() : getDepCode(),
        url: "appinterface/warning/equipment.xhtml"
    };

    commonQuery(params, function (data) {
        try {
            if (data != null) {
                setPageCount(data.data.pageInfo.totalPage)
                if (getPageCount() === 0 && getPageNo() === 1) {
                    $.hidePreloader();
                    jq("#totalCount").html('共' + data.data.pageInfo.totalCount + '台设备');
                    cordova.exec(null, null, 'WidgetPlugin', 'toast', ['未查询到相关数据。']);
                    return;
                }
                if (getPageNo() <= getPageCount()) {
                    if (data.data.pageInfo.pageNumber === 1) {
                        addItems(data.data);
                    } else {
                        addItems(data.data);
                    }
                }
            } else {
                cordova.exec(null, null, 'WidgetPlugin', 'toast', ['数据加载失败。']);
            }
            $.hidePreloader();
        } catch (e) {
        } finally {
            dissmisLoad();
            loading = false;
        }
    });
}