var jq = jQuery.noConflict();
var lastIndex = 0;
// 加载flag   下拉加载更多的参数
var loading = false;

//每页条数
var pageSize = 10;

//总页数
var pageCount = {pageCount1: 0, pageCount2: 0, pageCount3: 0, pageCount4: 0};
//第几页
var pageNo = {pageNo1: 1, pageNo2: 1, pageNo3: 1, pageNo4: 1};

var ipconfig = window.localStorage.getItem('urlconfig');

var currentType = 1;

var businessLicensePagetype = window.localStorage.getItem('businessLicensePagetype');;

(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
    // onDeviceReady()
})();

function onDeviceReady() {
    var title;
    if(businessLicensePagetype === '1') title = '食品经营许可证预警(餐饮)';
    if(businessLicensePagetype === '2') title = '食品经营许可证预警(流通)';
    if(businessLicensePagetype === '3') title = '食品经营许可证预警(生产)';
    jq("#mytitle").html(title);
    initData();
    initEvent();

    form.onsubmit = function () {
        pageNo = {pageNo1: 1, pageNo2: 1, pageNo3: 1, pageNo4: 1};
        jq("#totalCount").html('');
        $('#add_li').empty();
        $('.infinite-scroll-preloader').remove();
        initData();
        return false;
    };
}


function init_jyqk(dataList) {
    window.localStorage.setItem("dataList", dataList);
    window.location.href = '../../ydjg_html/ydjg_new/business_circumstance.html';
}

function changeType(type) {
    currentType = type;
    initData()
    var arr = document.getElementsByClassName("tab-link");
    for (var i=0;i<arr.length;i++) {
        if(i === (type -1)) {
            arr[i].classList.add("active")
        } else {
            arr[i].classList.remove("active")
        }
    }
    $('#add_li').empty();
    jq("#totalCount").html('');
    pageNo = {pageNo1: 1, pageNo2: 1, pageNo3: 1, pageNo4: 1};
}

function getPageNo() {
    return pageNo['pageNo' + currentType]
}

function updatePageNo() {
    var number = getPageNo();
    pageNo['pageNo' + currentType] = number + 1;
}

function getPageCount() {
    return pageCount['pageCount' + currentType]
}

function setPageCount(totalCount) {
    pageCount['pageCount' + currentType] = totalCount;
}

function addItems(data) {
    jq("#totalCount").html('共' + data.pageInfo.totalCount + '家企业');
    if(getPageNo() === 1){
        $('#add_li').empty();
    }
    var tipStr = (currentType === 1)?'过期天数:':'剩余天数:';
    var html = '';
    for (var i = 0; i < data.items.length; i++) {
        var item = data.items[i];

        html += '<li class="dailytask-list_item">' +
            '            <div class="dailytask-litem_top">' +
            '                <h1 class="dailytask-litop_title">' + item.name + '</h1>' +
            '                <div class="dailytask-litop_textwrap">' +
            '                    <span class="dailytask-litwrap_item">地址：' + item.address + '</span>' +
            '                </div>' +
            '                <div class="dailytask-litop_text">' +
            '                    <span>' + item.permitNo + '</span>' +
            '                </div>' +
            '                <div class="dailytask-litop_textwrap">' +
            '                    <span class="dailytask-litwrap_item">负责人：' + item.director + '</span>' +
            '                    <span class="dailytask-litwrap_item">联系电话：' + item.phone + '</span>' +
            '                </div>' +
            '                <div class="dailytask-litop_text">' +
            '                    <span class="dailytask-littext_item">有效期至：' + item.expiration + '</span>' +
            '                    <span class="dailytask-littext_item">' + tipStr + item.remainingDays + '</span>' +
            '                </div>' +
            '            </div>' +
            '            <a class="dailytask-litem_btm" href="tel:' + item.phone + '"><span class="dailytask-libtm_item">' +
            '                <img class="dailytask-libtmi_icon" src="../../images/dailytask/icon_phone.svg" alt="icon_phone"/>' +
            '                <span class="dailytask-libitem_text">联系Ta</span>' +
            '            <span></a>' +
            '        </li>';
    }
    // 添加新条目
    $('#add_li').append(html);
    if (getPageNo() === 1) {
        $.attachInfiniteScroll($('.infinite-scroll'));
    }
}

function initEvent() {
    // 注册'infinite'事件处理函数
    $(document).on('infinite', function () {
        if (getPageNo() > getPageCount()) {
            return;
        }
        // 如果正在加载，则退出
        if (loading) return;
        // 设置flag
        loading = true;
        updatePageNo();
        // 添加新条目
        initData();
    });
}

function dissmisLoad() {
    if (getPageNo() >= getPageCount()) {
        // 加载完毕，则注销无限加载事件，以防不必要的加载
        $.detachInfiniteScroll($('.infinite-scroll'));
        $('.infinite-scroll-preloader').remove();
        if (getPageCount() > 0) {
            $('.infinite-scroll').append('<div class="infinite-scroll-preloader" style="font-size: 15px;"><div>暂无更多数据</div></div>');
        }
        // if (pageNo != 1){
        //     cordova.exec(null, null, 'WidgetPlugin', 'toast', ['暂无更多数据。']);
        // }
        return;
    }
}

/**
 *  加载列表数据
 */
function initData() {
    var userType = getUserType();
    var pageNo = getPageNo();
    var key = jq("#search").val();
    var days = '';
    if(currentType === 2){
        days = 90;
    }
    if(currentType === 3){
        days = 50;
    }
    var url;
    if(businessLicensePagetype === '1') url = "appinterface/warning/foodV2BusinessLicense.xhtml";
    if(businessLicensePagetype === '2') url = "appinterface/warning/foodV2CirculationLicense.xhtml";
    if(businessLicensePagetype === '3') url = "appinterface/warning/foodV2ProductLicense.xhtml";
    var params = {
        userName : window.localStorage.getItem('username'),
        searchCondition: key,
        pageNumber: pageNo,
        pageSize: pageSize,
        type: userType,
        days:days,
        // uniqueCode: userType == "3" ? getGridCode() : getDepCode(),
        uniqueCode:getUniqueCode(),
        url: url
    };

    commonQuery(params, function (data) {
        try {
            if (data != null) {
                setPageCount(data.data.pageInfo.totalPage);
                if (getPageCount() === 0 && getPageNo() === 1) {
                    $.hidePreloader();
                    jq("#totalCount").html('共' + data.data.pageInfo.totalCount + '家企业');
                    cordova.exec(null, null, 'WidgetPlugin', 'toast', ['未查询到相关数据。']);
                    $('#add_li').empty();
                    return;
                }
                if (getPageNo() <= getPageCount()) {
                    if (data.data.pageInfo.pageNumber === 1) {
                        addItems(data.data);
                    } else {
                        addItems(data.data);
                    }
                }
            } else {
                cordova.exec(null, null, 'WidgetPlugin', 'toast', ['数据加载失败。']);
            }
            $.hidePreloader();
        } catch (e) {
        } finally {
            dissmisLoad();
            loading = false;
        }
    });
}

function setScanResult(result) {
    jq("#search").val(result);
    pageNo['pageNo' + currentType] = 1;
    initData();
}