var jq = jQuery.noConflict();
var lastIndex = 0;
// 加载flag   下拉加载更多的参数
var loading = false;
//总页数
var pageCount;
//第几页
var pageNo = 1;
//每页条数
var pageSize = 10;
var arrayObj = [];
var ipconfig = window.localStorage.getItem('urlconfig');

(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
})();

function onDeviceReady() {
    jq("#mytitle").html(window.localStorage.getItem("title"));
    if ('B100'!==window.localStorage.getItem('TypeCode')) {
        $('#search_scan').show();
    }
    initData();
    initEvent();

    form.onsubmit = function () {
        pageNo = 1;
        jq("#totalCount").html('');
        $('.infinite-scroll-preloader').remove();
        initData();
        return false;
    };
}


function init_jyqk(dataList) {
    window.localStorage.setItem("dataList", dataList);
    window.location.href = '../../ydjg_html/ydjg_new/business_circumstance.html';
}


//扫描二维码
function scanBarcode() {
    cordova.plugins.barcodeScanner.scan(function (result) {
        console.log("scanner---------" + JSON.stringify(result));
        var url = result.text;
        if (url.indexOf("http://") == 0 || url.indexOf("https://") == 0) {
            //以http://开头直接跳转，否则给它补上
            window.location.href = url;
        } else {
            window.location.href = "http://" + url;
        }

    }, function (error) {
        console.log("Scanner Error " + error);
    }, {
        preferFrontCamera: true, // iOS and Android
        showFlipCameraButton: true, // iOS and Android
        showTorchButton: true, // iOS and Android
        torchOn: true, // Android, launch with the torch switched on (if available)
        prompt: "Place a barcode inside the scan area", // Android
        resultDisplayDuration: 500, // Android, display scanned text for X ms. 0 suppresses it entirely, default 1500
        formats: "QR_CODE,PDF_417", // default: all but PDF_417 and RSS_EXPANDED
        orientation: "landscape", // Android only (portrait|landscape), default unset so it rotates with the device
        disableAnimations: true, // iOS
        disableSuccessBeep: false // iOS
    });
}

function addItems(data) {
    var dataList = JSON.parse(data);
    if (pageNo == '1') {
        $('#add_li').empty();
    }
    var html = '';
    var phoneNum = '';
    for (var i = 0; i < dataList.length; i++) {
        var fr = '';
        if (dataList[i].lerep != null) {
            fr = dataList[i].lerep;
        }
        if (dataList[i].phoneNum != null) {
            phoneNum = dataList[i].phoneNum;
        }
        html += '<li class="dailytask-list_item">' +
            '<div class="dailytask-litem_top" onclick="init_Info(\'' + JSON.stringify(dataList[i]).replace(/"/g, '&quot;') + '\');">' +
            '<img class="dailytask-rightarrow" src="../../images/dailytask/icon_rarrow.svg" alt="rightArrow" />' +
            '<h1 class="dailytask-litop_title">' + dataList[i].entName + '</h1>' +
            '<div class="dailytask-litop_text_adr">地址：' + dataList[i].address + '</div>' +
            '<div class="dailytask-litop_text">' + dataList[i].regNo + '</div>' +
            '<div class="dailytask-litop_textwrap">' +
            '<span class="dailytask-litwrap_item">负责人：' + fr + '</span>' +
            '<span class="dailytask-litwrap_item">联系电话：' + phoneNum + '</span></div></div>' +
            '<div class="dailytask-litem_btm">' +
            '<a href="tel:' + phoneNum + '" class="dailytask-libtm_item">' +
            '<img class="dailytask-libtmi_icon" src="../../images/dailytask/icon_phone.svg" alt="icon_phone" />' +
            '<span class="dailytask-libitem_text">联系Ta</span></a>' +
            '<div class="dailytask-libtm_item">' +
            '<img class="dailytask-libtmi_icon" src="../../images/dailytask/icon_daohang.svg" alt="icon_daohang" />' +
            '<span class="dailytask-libitem_text" onclick="gotodhMap(\'' + dataList[i].address + '\',\'' + dataList[i].enterpriseName + '\');" id="dtdh">导航</span></div></div></li>';
        var qydata = {
            addr: dataList[i].addr,
            entname: dataList[i].entname,
        };
        arrayObj.push(qydata);
    }
    // 添加新条目
    $('#add_li').append(html);
    if (pageNo == 1) {
        $.attachInfiniteScroll($('.infinite-scroll'));
        if (lastIndex > 9) {
            $('.infinite-scroll-preloader').show();
        }
    }
}


function initEvent() {
    // 注册'infinite'事件处理函数
    $(document).on('infinite', '.infinite-scroll-bottom', function () {

        // 如果正在加载，则退出
        if (loading) return;
        // 设置flag
        loading = true;
        pageNo++;
        // 添加新条目
        initData();

    });

    // // 点击列表弹出弹窗
    // $('.dailytask-list').on('click', '.dailytask-litem_top', function () {
    //     $.popup('.popup-situation');
    // });
    // // 点击蒙层隐藏弹窗
    // $(document).on('click', '.popup-overlay', function () {
    //     $.closeModal('.popup-situation');
    // }).on('click', '.p3-popup-button', function () {
    //     var value = $('.popup-situation input:checked').map(function () {
    //         return $(this)[0].value
    //     }).get().join('、')
    //
    //     // 餐饮服务单位食品安全巡查
    //     if (value == "C007") {
    //         gotoTaskSecurityCheck();
    //     } else {
    //         window.localStorage.setItem('taskTypeCode', value);
    //         window.location.href = 'checkInfo.html';
    //     }
    // });
    // 点击导航按钮弹出弹窗
    $('.dailytask-list').on('click', '#dtdh', function () {
        $.popup('.popup-dtdh');
    });
    $(document).on('click', '.popup-overlay', function () {
        $.closeModal('.popup-dtdh');
    });

}

//跳转地图（H5）
function gotodhMap(addr, entname) {

    cordova.exec(function (result) {
        // alert(result);
        window.localStorage.setItem('apkList', result);
    }, function (error) {
        console.log("Location Plugin Error");
    }, "ApkListPlugin", "", []);


    arrayObj = [];
    var MapData = {
        addr: addr,
        entname: entname,
    };
    arrayObj.push(MapData)
    window.localStorage.setItem('arrayObj', JSON.stringify(arrayObj));

}


function dissmisLoad() {
    if (pageNo > pageCount) {
        // 加载完毕，则注销无限加载事件，以防不必要的加载
        $.detachInfiniteScroll($('.infinite-scroll'));
        // 删除加载提示符
        $('.infinite-scroll-preloader').remove();
        if (pageNo != 1) {
            $('.infinite-scroll').append('<div class="infinite-scroll-preloader"><div>暂无更多数据</div></div>');
            cordova.exec(null, null, 'WidgetPlugin', 'toast', ['暂无更多数据。']);
        }
        return;
    }
}

/**
 *  加载列表数据
 */
function initData() {
    var key = jq("#search").val();
    var TypeCode = window.localStorage.getItem('TypeCode');
    var userName = window.localStorage.getItem('username');
    var params = {
        searchKey: key,
        recentdays: "0",
        pageNumber: pageNo,
        pageSize: pageSize,
        businessId: TypeCode,
        userName: userName,
        url: "appinterface/activeInspection/queryEnterpriseList.xhtml"
    };

    commonQuery(params, function (data) {
        try {
            if (data != null) {
                pageCount = data.data.pageInfo.totalPage;
                if (pageCount == 0 && pageNo == 1) {
                    $.hidePreloader();
                    cordova.exec(null, null, 'WidgetPlugin', 'toast', ['未查询到相关数据。']);
                    jq("#totalCount").html('共' + data.data.pageInfo.totalCount + '家企业');
                    $('#add_li').empty();
                    return;
                }
                jq("#totalCount").html('共' + data.data.pageInfo.totalCount + '家企业');
                if (pageNo <= pageCount) {
                    if (data.data.pageNo == 1) {
                        addItems(JSON.stringify(data.data.items));
                    } else {
                        addItems(JSON.stringify(data.data.items));
                    }
                }
            } else {
                cordova.exec(null, null, 'WidgetPlugin', 'toast', ['数据加载失败。']);
            }
        } catch (e) {
        } finally {
            dissmisLoad();
            loading = false;
        }
        loadTaskType();
    });
}

function getJwd(dtdhType) {
    var qydata = JSON.parse(window.localStorage.getItem('arrayObj'));
    $.showPreloader("加载中..");
    var url = "";
    if (dtdhType == "bd") {
        var params = {};
        url = "http://api.map.baidu.com/geocoder/v2/?address=" + qydata[0].addr + "&output=json&ak=371WZUHBHUeqstdtnCHbkfYs1a7LMD7x";
    } else {
        url = "http://restapi.amap.com/v3/geocode/geo";
        var params = {
            key: "f30c9d52b003c2b3ac089e2672e18baf",
            address: qydata[0].addr
        };
    }

    jq.ajax({
        url: url,
        type: 'post',
        data: params,
        async: true,
        dataType: "json",
        success: function (data, textStatus) {
            $.hidePreloader();
            if (dtdhType == "bd") {
                if (data.status == "0") {
                    cordova.exec(function (result) {
                        alert(result);
                    }, function (error) {
                        console.log("Location Plugin Error");
                    }, "ApkListPlugin", dtdhType, [qydata[0].addr, data.result.location.lat, data.result.location.lng]);
                }
            } else {
                if (data.status == "1") {
                    var location = data.geocodes[0].location.split(",");
                    cordova.exec(function (result) {
                        alert(result);
                    }, function (error) {
                        console.log("Location Plugin Error");
                    }, "ApkListPlugin", dtdhType, [qydata[0].addr, location[0], location[1]]);
                }
            }
        },
        error: function (data, textStatus) {
            $.hidePreloader();
            $.alert("提示：服务链接异常");
        }
    });
}


function loadTaskType() {
    var TypeCode = window.localStorage.getItem("TypeCode");
    var params = {
        taskTypeCode: TypeCode,
        url: "/appinterface/activeInspection/queryTaskTypeList.xhtml"
    };

    commonQuery(params, function (data) {
        var arr = data.data;
        if (arr.length > 0) {
            var temp = '';
            jq("#TaskType").empty();
            for (var i = 0; i < arr.length; i++) {
                temp += '<li><label class="input-box input-box_radio">' +
                    '<input type="radio" hidden name="from" checked value="' + arr[i].taskTypeCode + '">' +
                    '<span class="icon"></span>' +
                    '<span class=txt">' + arr[i].taskTypeName + '</span>' +
                    '</label>' +
                    '</li>';
            }
            jq("#TaskType").append(temp);
        }
    });
}

function loadData(dataList) {
    window.localStorage.setItem("dataList", dataList);
}

function init_Info(dataList) {
    window.localStorage.setItem("dataList", dataList);
    window.localStorage.setItem("jyqk_type", "");
    window.location.href = 'checkInfo.html';
}

function setScanResult(result) {
    jq("#search").val(result);
    pageNo=1;
    initData();
}


function gotoMap(type) {
    if ('0'==type){
        window.location.href = '../../ydjg_html/dtdh/map.html';
    } else if ('1'==type){
        var apklist = window.localStorage.getItem('apkList');
             if (apklist.indexOf("百度地图") > -1) {
                getJwd("bd");
             } else {
                cordova.exec(null, null, 'WidgetPlugin', 'toast', ['请安装百度地图。']);
             }
    }else{
        var apklist = window.localStorage.getItem('apkList');
             if (apklist.indexOf("高德地图") > -1) {
                getJwd("gd");
             } else {
                cordova.exec(null, null, 'WidgetPlugin', 'toast', ['请安装高德地图。']);
             }
    }
}

