var jq = jQuery.noConflict();
var lastIndex = 0;
// 加载flag   下拉加载更多的参数
var loading = false;
//总页数
var pageCount;
//第几页
var pageNo = 1;
//每页条数
var pageSize = 10;
var ipconfig = window.localStorage.getItem('urlconfig');

(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
    document.activeElement.blur();
})();

function onDeviceReady() {
    jq("#mytitle").html(window.localStorage.getItem("title"));
    initData();
    initEvent();

    form.onsubmit = function () {
        pageNo = 1;
        jq("#totalCount").html('');
        $('.infinite-scroll-preloader').remove();
        initData();
        return false;
    };
}


function init_jyqk(dataList) {
    window.localStorage.setItem("dataList", dataList);
    window.location.href = '../../ydjg_html/ydjg_new/business_circumstance.html';
}

function addItems(data) {
    var dataList = JSON.parse(data);
    if(pageNo == '1'){
        $('#add_li').empty();
    }
    var html = '';
    for (var i = 0; i < dataList.length; i++) {
        html += '<li class="dailytask-list_item">' +
            '<div class="dailytask-litem_top" onclick="loadData(\'' + JSON.stringify(dataList[i]).replace(/"/g, '&quot;') + '\');">' +
            '<img class="dailytask-rightarrow" src="../../images/dailytask/icon_rarrow.svg" alt="rightArrow" />' +
            '<h1 class="dailytask-litop_title">' + dataList[i].casename + '</h1>' +
            '<div class="dailytask-litop_text">案件来源：' + dataList[i].casesource + '</div>' +
            '<div class="dailytask-litop_text">案件编号：' + dataList[i].caseno + '</div>' +
            '<div class="dailytask-litop_textwrap">' +
            '<span class="dailytask-litwrap_item">当前环节：' + dataList[i].casestate + '</span>' +
            '<span class="dailytask-litwrap_item">办理人：' + dataList[i].undertaker + '</span></div></div>' +
            '</li>';
    }
    // 添加新条目
    $('#add_li').append(html);
    if (pageNo == 1) {
        $.attachInfiniteScroll($('.infinite-scroll'));
        if (lastIndex > 9) {
            $('.infinite-scroll-preloader').show();
        }
    }
}


function initEvent() {
    // 注册'infinite'事件处理函数
    $(document).on('infinite', '.infinite-scroll-bottom', function () {

        // 如果正在加载，则退出
        if (loading) return;
        // 设置flag
        loading = true;
        pageNo++;
        // 添加新条目
        initData();

    });
}


function dissmisLoad() {
    if (pageNo > pageCount) {
        // 加载完毕，则注销无限加载事件，以防不必要的加载
        $.detachInfiniteScroll($('.infinite-scroll'));
        // 删除加载提示符
        $('.infinite-scroll-preloader').remove();
        if (pageNo != 1) {
            $('.infinite-scroll').append('<div class="infinite-scroll-preloader"><div>暂无更多数据</div></div>');
            cordova.exec(null, null, 'WidgetPlugin', 'toast', ['暂无更多数据。']);
        }
        return;
    }
}

/**
 *  加载列表数据
 */
function initData() {
    var key = jq("#search").val();
    var userName = window.localStorage.getItem('username');

    var params = {
        key: key,
        pageNumber: pageNo,
        pageNumberpageSize: pageSize,
        userName: userName,
        url: "appinterface/case/caseList.xhtml"
    };

    commonQuery(params, function (data) {
        try {
            if (data != null) {
                pageCount = data.data.pageInfo.totalPage;
                jq("#totalCount").html('共' + data.data.pageInfo.totalCount + '条待办案件');
                if (pageCount == 0 && pageNo == 1) {
                    $.hidePreloader();
                    cordova.exec(null, null, 'WidgetPlugin', 'toast', ['未查询到相关数据。']);
                    return;
                }
                if (pageNo <= pageCount) {
                    if (data.data.pageNo == 1) {
                        addItems(JSON.stringify(data.data.items));
                    } else {
                        addItems(JSON.stringify(data.data.items));
                    }
                }
            } else {
                cordova.exec(null, null, 'WidgetPlugin', 'toast', ['数据加载失败。']);
            }
        } catch (e) {
        } finally {
            dissmisLoad();
            loading = false;
        }
    });
}

function loadData(data) {
    window.localStorage.setItem('ajxxdata',data);
    window.location.href = 'case_Info.html';
}
