var jq = jQuery.noConflict();
var urlconfig = window.localStorage.getItem('urlconfig');
var username = window.localStorage.getItem('username');
var info_data;
var num = 0;
var currentImageURIArr = [];
var reBackArr = [];
var fileNameArr = [];
(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
    document.addEventListener("backbutton", onBackKeyDown, false);
}());

function onBackKeyDown() {
    if (isPhotoBrowerShowing()) {
        return;
    }
    $.confirm('信息尚未保存,是否退出?', function () {
        history.back(-1)
    }, function () {

    });
}

function onDeviceReady() {
    var zfajData = JSON.parse(window.localStorage.getItem("ajxxdata"));
    jq("#ajmc").html(zfajData.casename);
    jq("#lasj").html(zfajData.caseregistertime);
    jq("#jcjl").html();

    jq("#bnry").html(zfajData.undertaker);
    jq("#infowareid").val(uuid());
    initData(zfajData.id);
}

function fnPicker() {
    fileNameArr = [];
    window.imagePicker.getPictures(
        function (urlarr) {//成功时返回的图片列表
            for (var i = 0; i < urlarr.length; i++) {
                var fileName = uuid() + '.jpg';
                fileNameArr.push(fileName);
                var fileURL = cordova.file.externalRootDirectory + '/hangyjx/photo/' + fileName;
                var fileTransfer = new FileTransfer();
                fileTransfer.download(
                    urlarr[i], fileURL,
                    function (entry) {

                    },

                    function (error) {
                        console.log("download error code" + error.code);
                    },

                    false, {
                        headers: {
                            "Authorization": "Basic dGVzdHVzZXJuYW1lOnRlc3RwYXNzd29yZA=="
                        }
                    }
                );
            }
            uploadImage();
        }, onFail,//失败调用
        {
            maximumImagesCount: 5  //参数
        });

}

function uploadImage() {
    for (var i = 0; i < fileNameArr.length; i++) {
        cordova.exec(function (data) {
            var datas = {
                'taskId': jq("#infowareid").val(),
                'fileName': data.fileName,
                'userName': window.localStorage.getItem("username"),
                'fileContent': data.data,
                'businessType': 'szcase',
                'url': "/appinterface/upload/savePictures.xhtml"
            };
            commonQuery(datas, function (result) {
                console.info("图片上传成功");
                reBackArr.push(result.data.id);
                queryPicturesList();
            });
        }, null, 'ReadFilePlugin', 'readAsBinaryString', [fileNameArr[i]]);
    }
}

function onFail() {

}

function getPic(sourceType) {
    navigator.camera.getPicture(function (imageURI) {
        var fileName = uuid() + '.jpg';
        var fileURL = cordova.file.externalRootDirectory + '/hangyjx/photo/' + fileName;
        var fileTransfer = new FileTransfer();
        fileTransfer.download(
            imageURI, fileURL,
            function (entry) {
                cordova.exec(function (data) {
                    var datas = {
                        'taskId': jq("#infowareid").val(),
                        'fileName': data.fileName,
                        'userName': window.localStorage.getItem("username"),
                        'fileContent': data.data,
                        'businessType': 'szcase',
                        'url': "/appinterface/upload/savePictures.xhtml"
                    };

                    commonQuery(datas, function (result) {
                        console.info("图片上传成功");
                        reBackArr.push(result.data.id);
                        queryPicturesList();
                    });

                }, null, 'ReadFilePlugin', 'readAsBinaryString', [fileName]);
            },

            function (error) {
                console.log("download error code" + error.code);
            },

            false, {
                headers: {
                    "Authorization": "Basic dGVzdHVzZXJuYW1lOnRlc3RwYXNzd29yZA=="
                }
            }
        );
    }, onLoadImageFail, {
        quality: 25,
        destinationType: navigator.camera.DestinationType.FILE_URI,
        sourceType: sourceType
    });
}

function onLoadImageFail(message) {
    //    navigator.notification.alert("拍照失败，原因：" + message, null, "警告");
    //    $.toast("拍照失败，原因：" + message);
}

function loadImage(lx) {
    if (lx == "camera") {
        var sourceType = navigator.camera.PictureSourceType.CAMERA;
        getPic(sourceType);
    } else {
        fnPicker();
    }
}



function Submit() {
    $.showPreloader("正在保存数据..");
    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
    var userInfo = JSON.parse(getUserLocalStorage("userInfo"));
    // var jcrlist = [];
    // var jlbrlist = [];
    // jq("#jcr option:selected").each(function () {
    //     jcrlist.push($(this).text());
    // });
    // jq("#shrid option:selected").each(function () {
    //     jlbrlist.push($(this).text());
    // });
    info_data = jq("#form1").serializeObject();
    info_data.apprerId = jq("#shrid").val();
    info_data.apprer = jq("#shr").val();
    info_data.abnormalId = jq("#abnormal").val();
    info_data.abnormalRemarkId = jq("#abnormalRemark").val();
    info_data.abnormalCanTelId = jq("#abnormalCanTelId").val();
    info_data.imei = window.localStorage.getItem('imei');
    info_data.operator = userInfo.user_name; //经办人
    info_data.operatorDeptNo = ""; //操作部门ID
    info_data.annexID = jq("#infowareid").val();//附件ID
    info_data.entId = qydata.entid;//企业唯一表示
    info_data.regNo = qydata.entregno;//企业注册号
    info_data.entName = qydata.entname;//企业名称
    info_data.unitGis = "";//企业所属辖区
    info_data.addr = qydata.addr;//企业地址
    info_data.userName = window.localStorage.getItem('username');
    info_data.verifier = jq("#verifier").val();
    info_data.url = "/appinterface/abnormalDirectory/saveUnableContactByEntId.xhtml";
    var wsData = JSON.stringify(info_data);
    cordova.exec(function (result) {
        $.hidePreloader();
        var filePath = cordova.file.externalRootDirectory + "droidtext/现场笔录.pdf"
        fileWsContent(filePath);
    }, function (error) {
        $.hidePreloader();
        // console.log("WsPlugin Plugin Error");
    }, "WsPlugin", "openXcjcblWs", [wsData, "1"]);

}

function uuid() {
    var s = [];
    var hexDigits = "0123456789abcdef";
    for (var i = 0; i < 36; i++) {
        s[i] = hexDigits.substr(Math.floor(Math.random() * 0x10), 1);
    }
    s[14] = "4";  // bits 12-15 of the time_hi_and_version field to 0010
    s[19] = hexDigits.substr((s[19] & 0x3) | 0x8, 1);  // bits 6-7 of the clock_seq_hi_and_reserved to 01
    s[8] = s[13] = s[18] = s[23] = "";

    var uuid = s.join("");
    return uuid;
}

//将表单转成json object
jq.fn.serializeObject = function () {
    var o = {};
    var a = this.serializeArray();
    jq.each(a, function () {
        if (o[this.name] !== undefined) {
            if (!o[this.name].push) {
                o[this.name] = [o[this.name]];
            }
            o[this.name].push(this.value || '');
        } else {
            o[this.name] = this.value || '';
        }
    });
    return o;
};



function queryPicturesList() {
    var params = {
        id: jq("#infowareid").val(),
        userName: window.localStorage.getItem('username'),
        url: "/appinterface/case/attachmentlist.xhtml"
    };

    commonQuery(params, function (data) {
        if (data.success == true) {
            showPictures(data.data);
        } else {
            $.alert(data.message);
        }
    });
}

//拍照
function addpicClicked() {
    var sourceType;
    // sourceType = navigator.camera.PictureSourceType.CAMERA;
    // getPic(sourceType);
    //如果需要从相册选择，把上边两行删除，把下边的注释放开；如果只需要相机，把下边注掉，上边两行放开
    $.modal({
        title: '请选择照片来源',
        buttons: [
            {
                text: '相机',
                onClick: function () {
                    //从相机获取
                    loadImage('camera');
                }
            },
            {
                text: '相册',
                onClick: function () {
                    //从相册获取
                    loadImage('album');
                }
            },
            {
                text: '取消',
                onClick: function () {
                    // click_temp = 0;

                }
            }
        ]
    });
}


function showPictures(data, url) {
    jq(".img-box").not('.upload-box').remove();
    if (currentImageURIArr) {
        currentImageURIArr.splice(0, currentImageURIArr.length)
    }

    var picUrl;
    if (url == undefined || url.length == 0){
        picUrl = "appinterface/upload/showPicturesCase.xhtml";
    }else {
        picUrl = url;
    }

    var num = data.length - 1;
    for (var i = 0; i < data.length; i++) {
        var url = urlconfig + picUrl + "?userName=" + window.localStorage.getItem('username') + "&attachmentid=" + data[i].VCHR_ID;
        currentImageURIArr.push(url);
        if ('yb' == window.localStorage.getItem("queryType")) {
            var temp =
                '<div class="img-box">' +
                '<span id="add' + num + '"></span>' +
                '<img src="" onerror="this.style.display=\'none\'" onclick="viewpic(\'' + num + '\')" id="' + num + '" name="photokeng">' +
                '</div>'
        } else {
            var temp =
                '<div class="img-box">' +
                '<span class="close" onclick="deletepic(\'' + num + '\', \'' + data[i].VCHR_ID + '\')" id="add' + num + '"></span>' +
                '<img src="" onerror="this.style.display=\'none\'" onclick="viewpic(\'' + num + '\')" id="' + num + '" name="photokeng">' +
                '</div>'
        }
        jq(".img-pnl").prepend(temp);
        jq("#add" + num).next().attr("src", url);
        num--;
    }
}

var myPhotoBrowser;

function viewpic(id, type) {
    var index = currentImageURIArr.length - id - 1;
    myPhotoBrowser = $.photoBrowser({
        photos: currentImageURIArr,
        type: 'popup',
        initialSlide: index,  //初始显示的照片index
        ofText: "/",
        swipeToClose: false,    //是否可以滑动关闭（上下滑动）
    });
    myPhotoBrowser.open();
}


function deletePictures() {
    var params = {
        vchr_id: window.localStorage.getItem('vchr_id'),
        url: "/appinterface/case/deleteAttachment.xhtml"
    };
    commonQuery(params, function (data) {
        var id = window.localStorage.getItem("picid");
        var src = jq("#" + id).attr("src");
        currentImageURIArr.splice(jq.inArray(src, currentImageURIArr), 1);
        jq("#" + id).parent().remove();
    })
}

function deletepic(id, vchr_id) {
    var src = jq("#" + id + "").next().attr("src");
    if (src != "") {
        window.localStorage.setItem("picid", id);
        window.localStorage.setItem("vchr_id", vchr_id);
        $.confirm(
            '确定要删除吗', // message
            onConfirm,            // callback to invoke with index of button pressed
            '提示',           // title
            ['确定', '取消']     // buttonLabels
        );
    }
}

function isPhotoBrowerShowing() {
    if (myPhotoBrowser && myPhotoBrowser.opened) {
        myPhotoBrowser.close();
        $('.photo-browser-popup').remove();
        $('.modal-overlay-visible').remove();
        return true;
    }
    return false;
}

function onConfirm(buttonIndex) {
    deletePictures();
}

function initData(id) {
    var userName = window.localStorage.getItem('username');

    var params = {
        id: id,
        userName: userName,
        url: "/appinterface/case/queryCaseInfoById.xhtml"
    };

    commonQuery(params, function (data) {
        jq("#cbdw").html(data.data.casedep);
    });
}