function PersonOverlay(obj, point) {
    this._obj = obj;
    this._point = point;
}
PersonOverlay.prototype = new BMap.Overlay();
PersonOverlay.prototype.initialize = function (map) {
// 保存map对象实例
    this._map = map;
    // 创建div元素，作为自定义覆盖物的容器
    var p = document.createElement("p");
    p.setAttribute('class','map-icon');
    var img = document.createElement("img");
    img.setAttribute('src','../../img/select.png');
    p.appendChild(img);

    var span = document.createElement("span");
    span.setAttribute('class','tooltip tooltip3');
    span.innerText = this._obj.name;
    p.appendChild(span);
// 将div添加到覆盖物容器中
    map.getPanes().markerPane.appendChild(p);
// 保存div实例
    this._p = p;
// 需要将div元素作为方法的返回值，当调用该覆盖物的show、
// hide方法，或者对覆盖物进行移除时，API都将操作此元素。
    return p;
};
PersonOverlay.prototype.draw = function () {
// 根据地理坐标转换为像素坐标，并设置给容器
    var position = this._map.pointToOverlayPixel(this._point);
    this._p.style.left = position.x + "px";
    this._p.style.top = position.y + "px";
};

//调用方式
// map.addOverlay(new PersonOverlay({name: "abc"}, point));