var jq = jQuery.noConflict();
var map;
var lat;
var lon;
(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
})();

function onDeviceReady() {
    cordova.exec(function (result) {
         lat = result.lat;
         lon = result.lon;

        map.clearOverlays();
        var dataList = JSON.parse(window.localStorage.getItem('arrayObj'));
        for (var i = 0; i <dataList.length; i++) {
            loadList(dataList[i]);

        }
    },function (error) {
        console.log("Location Plugin Error");
    },"LocationPlugin","getLocation",[]);

    //百度地图api功能，GPS功能-单点沿直线运动
    map = new BMap.Map("allmap");
    map.centerAndZoom(new BMap.Point(lat, lon), 12);  //缩放层级为12
    map.addControl(new BMap.MapTypeControl());   //添加地图类型控件
    map.enableScrollWheelZoom(true);
    function showInfo(e) {
        document.getElementById("start").value = e.point.lng + "," + e.point.lat;

        alert("起点的经纬度为：" + e.point.lng + "," + e.point.lat);
    }
    map.addEventListener("click", showInfo);

    function showInfo2(e2) {
        document.getElementById("end").value = e2.point.lng + "," + e2.point.lat;

        alert("终点的经纬度为："+e2.point.lng + "," + e2.point.lat);
    }
    map.addEventListener("rightclick",showInfo2);



}


function drive() {

    // //从输入框中获取起始点的坐标
    // var alng, alat, blng, blat;
    //
    // alng = document.getElementById("start").value.split(",")[0];
    // alat = document.getElementById("start").value.split(",")[1];
    // blng = document.getElementById("end").value.split(",")[0];
    // blat = document.getElementById("end").value.split(",")[1];

    //     alert(alng + "\t" + alat + "\n" + blng + "\t" + blat);


    //var myP1 = new BMap.Point(116.715375, 39.515095);  //起点设置为，河北廊坊站
    //var myP2 = new BMap.Point(115.402794, 27.738408);  //终点设置为，江西新干站
    //116.715375, 39.515095  115.402794, 27.738408



}


//加载列表数据
function loadList(qydata) {
    jq.ajax({
        url: "http://api.map.baidu.com/geocoder/v2/?address="+qydata.addr+"&output=json&ak=371WZUHBHUeqstdtnCHbkfYs1a7LMD7x",
        type: 'post',
        data: {
        },
        async: true,
        dataType: "json",
        success: function (data, textStatus) {
            // $.hidePreloader();
            var person = data.result.location;
            var point = new BMap.Point(person.lng,person.lat);
            var myP1 = new BMap.Point(lon,lat);
            var myP2 = new BMap.Point(person.lng,person.lat);


            var driving2 = new BMap.DrivingRoute(map,
                {
                    renderOptions: { //结果呈现设置
                        map: map,
                        autoViewport: true,  //检索结束后自动调整地图视野
                        enableDragging: true   //起终点可进行拖拽
                    },
                    policy: BMAP_DRIVING_POLICY_LEAST_TIME //驾车方案的策略配置,最少时间


                });    //创建一个驾车导航实例

            driving2.search(myP1, myP2);    //显示检索路线
        },
        error: function (data, textStatus) {
            $.hidePreloader();
            $.alert("提示：服务链接异常。");
        }
    });
}
