var jq = jQuery.noConflict();

var temp = 0;

(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
    document.addEventListener("backbutton", onBackKeyDown, false);
})();

function onDeviceReady() {
    // 获取缓存数据
    loadCacheHomeData();

    getIMEI();
    isUpdate();

    loadHomeData();
    loadHomeData2();
    getUserInfo();
}

//获取平安政务通传过来的参数
function showAlert(content) {
    console.log("content --- " + JSON.stringify(content))
    if (undefined == content || null == content) {
        return;
    }
    window.localStorage.setItem('username', content.username); //用户名
    window.localStorage.setItem('deptname', content.deptname);//部门名称

    if (undefined == content.username || null == content.username) {
        console.log("username is null")
    } else {
        loadHomeData();
        loadHomeData2();
        getUserInfo();
    }
}

function changeTab(tab) {
    console.log(tab)

    $("#tabImg1").attr("src", "../images/index/f1.png")
    $("#tabImg2").attr("src", "../images/index/f2.png")
    $("#tabImg3").attr("src", "../images/index/f3.png")
    $("#tabImg4").attr("src", "../images/index/f4.png")

    if ("#tab1" == tab) {
        $("#tabImg1").attr("src", "../images/index/f1_select.png")
    } else if ("#tab2" == tab) {
        $("#tabImg2").attr("src", "../images/index/f2_select.png")
    } else if ("#tab3" == tab) {
        $("#tabImg3").attr("src", "../images/index/f3_select.png")
    } else if ("#tab4" == tab) {
        $("#tabImg4").attr("src", "../images/index/f4_select.png")
    }
}

function loadCacheHomeData() {
    var cacheHomeData1 = getUserLocalStorage("homeData1");
    if (undefined != cacheHomeData1 && cacheHomeData1 != null) {
        var homeData1 = JSON.parse(cacheHomeData1);
        setHomeData(homeData1)
    }

    var cacheHomeData2 = getUserLocalStorage("homeData2");
    if (undefined != cacheHomeData2 && cacheHomeData2 != null) {
        var homeData2 = JSON.parse(cacheHomeData2);
        setHomeData2(homeData2)
    }
    var cacheUserInfo = getUserLocalStorage("userInfo");
    if (undefined != cacheUserInfo && cacheUserInfo != null) {
        var userInfo = JSON.parse(cacheUserInfo);
        var userType = getUserLocalStorage("userType");
        setUserInfo(userInfo);
        gotoRefreshUserInfo(userInfo, userType);
    } else {
        // 清除账号信息
        gotoRefreshUserInfo(null, null);
    }
}

function init_dblb(title, taskTypeCode) {
    window.localStorage.setItem("queryType", "Db");
    // window.location.href = '../ydjg_html/ydjg_new/wddb_query.html';
    window.location.href = '../ydjg_html/transact/backlog.html';
    window.localStorage.setItem("title", title);
    window.localStorage.setItem("taskTypeCode", taskTypeCode);
}

function init_qyjg(taskTypeCode) {
    window.localStorage.setItem("queryType", "Db");
    window.location.href = '../ydjg_html/qyjg/qyjg.html';
    window.localStorage.setItem("taskTypeCode", taskTypeCode);
}

function init_wdgz() {
    window.localStorage.setItem("queryType", "Db");
    window.location.href = '../ydjg_html/transact/todaytaskquery.html';
}

function init_wdrw() {
    window.localStorage.setItem("queryType", "Db");
    // window.location.href = 'transact/mytaskquery.html'
    gotoNewWebPage('transact/mytaskquery.html')
}

function init_wzjy() {
    //异常名录移除
    window.localStorage.setItem("queryType", "Db");
    window.location.href = '../ydjg_html/ydjg_new/ycml_query.html';
}

function init_zrycml() {
    //异常名录载入
    window.localStorage.setItem("queryType", "yczr");
    window.location.href = '../ydjg_html/ydjg_new/ycmlqy_query.html';
}

function init_tsjb() {
    //投诉举报
    window.localStorage.setItem("queryType", "Db");
    window.location.href = '../ydjg_html/ydjg_new/tsjb_query.html';
}

function init_xqzt() {
    window.location.href = './index2.html';
}

function init_zhcx() {
    window.location.href = '../ydjg_html/ydjg_new/query.html';
}

function init_my() {
    window.location.href = '../ydjg_html/ydjg_new/my.html';
}


//扫描二维码
function scanBarcode() {
    cordova.plugins.barcodeScanner.scan(function (result) {
        var url = result.text;
        if (undefined == url || null == url || "" == url) {
            return;
        }
        toTaskCare(url);
        if (url.indexOf("http://") == 0 || url.indexOf("https://") == 0) {
            window.localStorage.setItem('ENTID', url.split("?rid=")[1]);
            // alert("rid="+url.split("?rid=")[1]);
            // window.location.href="enterprise-info.html";
        }
    }, function (error) {
        console.log("Scanner Error " + error);
    }, {
        showFlipCameraButton: true, // iOS and Android
        showTorchButton: true, // iOS and Android
        prompt: "营业执照二维码", // Android
        resultDisplayDuration: 500, // Android, display scanned text for X ms. 0 suppresses it entirely, default 1500
        formats: "QR_CODE,PDF_417", // default: all but PDF_417 and RSS_EXPANDED
        orientation: "portrait", // Android only (portrait|landscape), default unset so it rotates with the device
        disableAnimations: true, // iOS
        disableSuccessBeep: false // iOS
    });
}

function toTaskCare(url) {
    $.showPreloader("正在加载");
    jq.ajax({
        url: url,
        type: 'post',
        data: {},
        async: true,
        dataType: "json",
        success: function (data, textStatus) {
            $.hidePreloader();
        },
        error: function (data, textStatus) {
            //从营业执照二维码返回的地址中截取出许可证号
            var xkzh = data.responseText.split("lblEntSCCode")[1];
            xkzh = xkzh.substring(45, 63);
            window.localStorage.setItem('xkzh', xkzh);
            $.hidePreloader();
            window.location.href = '../ydjg_html/ydjg_new/check-item_checked.html';
            // $.alert("服务链接异常。");
        }
    });
}

function loadWarningCount() {
    getHealthWarningCount(function (data) {
        app.selectList.forEach(function (value) {
            if (value.benchCode === '203') {
                value.bubbles = (data > 99) ? '99+' : data
            }
        })
    });
    getSafetyWarningCount(function (data) {
        app.selectList.forEach(function (value) {
            if (value.benchCode === '204') {
                value.bubbles = (data > 99) ? '99+' : data
            }
        })

    })
}

function loadHomeData() {
    var username = window.localStorage.getItem('username');
    if (undefined == username || null == username) {
        return
    }
    var params = {
        userName: username,
        url: "appinterface/workware/taskCount.xhtml",
        load_type: '1'
    };
    commonQuery(params, function (data) {
        if (data.success == true) {
            if (data.data) {
                setHomeData(data.data);
                setUserLocalStorage("homeData1", JSON.stringify(data.data));
            }
        }
    });
}

function loadHomeData2() {
    var username = window.localStorage.getItem('username');
    if (undefined == username || null == username) {
        return
    }
    var params = {
        userName: username,
        url: "appinterface/workware/taskCount2.xhtml",
        load_type: '1'
    };
    commonQuery(params, function (data) {
        if (data.success == true) {
            if (data.data) {
                setHomeData2(data.data);
                setUserLocalStorage("homeData2", JSON.stringify(data.data));
            }
        }
    });
}

function setHomeData(data) {
    if (undefined == data || null == data) {
        console.log("setHomeData data null")
        return;
    }
    var taskCountArr = data;
    var taskCount = 0;
    var taskQyjg = 0;
    var tskAbnormal = 0;
    $.each(taskCountArr, function (i, taskCountArr) {
        if (taskCountArr.businessCode == "A100") {
            taskQyjg = Number(taskCountArr.allTaskCount);
        }
        if (taskCountArr.businessCode == "ABNORMAL") {
            tskAbnormal = Number(taskCountArr.allTaskCount);
        }
        if (taskCountArr.businessCode == "CASE") {
            jq("#zfaj").html("您有" + taskCountArr.allTaskCount + "件待处理");
        }
        jq("#_" + taskCountArr.businessCode + "_ID").html(taskCountArr.allTaskCount);
        jq("#_" + taskCountArr.businessCode + "_ID").show();
        taskCount = taskCount + Number(taskCountArr.allTaskCount);
    });
    jq("#wddb").html(taskCount);
    taskQyjg = taskQyjg + tskAbnormal;
    if (taskQyjg != 0) {
        jq("#ABNORMAL_A100_ID").html(taskQyjg);
        jq("#ABNORMAL_A100_ID").show();
    }
}

function setHomeData2(data) {
    if (undefined == data || null == data) {
        console.log("setHomeData2 data null")
        return;
    }
    var tzsbCount = Number(data.tsYjCount.overECount) + Number(data.tsYjCount.unqECount) + Number(data.tsYjCount.unrECount) + Number(data.tsYjCount.nomECount);
    if (tzsbCount != "0") {
        jq("#yj_tzsb").show();
        jq("#yj_tzsb").html(tzsbCount);
    }
    if (data.yjCountSc != "0") {
        jq("#yj_scxkz").show();
        jq("#yj_scxkz").html(data.yjCountSc);
    }
    if (data.yjCountLt != "0") {
        jq("#yj_ltxkz").show();
        jq("#yj_ltxkz").html(data.yjCountLt);
    }
    if (data.yjCountCy != "0") {
        jq("#yj_cyxkz").show();
        jq("#yj_cyxkz").html(data.yjCountCy);
    }
}

function setNoticeBubble(number) {
    if (number > 0) {
        jq("#noticeBubble").show();
        jq("#noticeBubble").html(number);
    } else {
        jq("#noticeBubble").hide();
    }
}

function getIMEI() {
    cordova.exec(function (result) {
        window.localStorage.setItem('imei', result)
    }, function (error) {
        console.log("getIMEI Error");
    }, 'DeviceInfo', 'getIMEI', []);
}

//返回按键触发事件
function onBackKeyDown() {
    //用户点击确定，退出app
    if (temp == 0) { //temp为0代表尚未弹出confirm
        temp = 1;//temp为1代表已弹出confirm对话框，从而不再触发返回事件
        // if(confirm("信息尚未保存,是否退出?")){
        navigator.app.exitApp();
        window.localStorage.setItem('checkUpdate', "true");
        // }
    } else if (temp == 1) {
        //temp为1时不执行任何操作
    }
}

//获取服务器APK文件信息
function isUpdate() {
    var checkUpdate = window.localStorage.getItem('checkUpdate');
    console.log("checkUpdate : " + checkUpdate)
    if ("false" == checkUpdate) {
        return;
    }
    var url = window.localStorage.getItem("urlconfig") + "appinterface/packages/queryVersionList.xhtml";
    // $.showPreloader("正在加载");
    jq.ajax({
        url: url,
        type: 'post',
        data: {
            userName: window.localStorage.getItem('username'),
        },
        async: true,
        dataType: "json",
        success: function (data, textStatus) {
            // $.hidePreloader();
            var resultmap = data.data;
            if (null != resultmap && null != resultmap.packagesModel) {
                window.localStorage.setItem("newestVersion", resultmap.packagesModel.versionNo);
                window.localStorage.setItem("updateContent", resultmap.packagesModel.updateContent);
                window.localStorage.setItem("updata_id", resultmap.uploadModel.vchr_id);
                window.localStorage.setItem("vchr_domain", resultmap.uploadModel.vchr_domain);
                window.localStorage.setItem("vchr_entityid", resultmap.uploadModel.vchr_entityid);
                isDowbkoad();
            } else {

            }
        },
        error: function (data, textStatus) {
            // $.hidePreloader();
            $.alert("提示：服务链接异常");
        }
    });

}

function isDowbkoad() {
    cordova.exec(function (success) {
        if (success == true) {
            var userName = window.localStorage.getItem('username');
            window.localStorage.setItem('checkUpdate', "false");
            $.confirm('发现新版本，立刻更新？', function () {
                //用户点击确定，下载更新apk，并进入页面
                cordova.exec(function (success) {

                    }, function (error) {
                        console.log("VersionUpdate error>>update" + error);
                    }, "VersionUpdate", "update",
                    [window.localStorage.getItem('urlconfig') + "/appinterface/packages/download.xhtml?userName=" + userName + "&id=" + window.localStorage.getItem('updata_id') + "&vchr_domain=" + window.localStorage.getItem('vchr_domain') + "&vchr_entityid=" + window.localStorage.getItem('vchr_entityid'), window.localStorage.getItem('newestVersion'), window.localStorage.getItem('updateContent')]);

            }, function () {

            });
        } else {
        }
    }, function (error) {
    }, "VersionUpdate", "checkUpdate", [window.localStorage.getItem('newestVersion')]);
}

function getUserInfo() {
    var username = window.localStorage.getItem('username');
    if (undefined == username || null == username) {
        return
    }
    var params = {
        userName: username,
        url: "/appinterface/login/getUserByName.xhtml",
        load_type: '1'
    };

    commonQuery(params, function (data) {
        if (data.success && data.data) {
            setUserInfo(data.data.user);
            gotoRefreshUserInfo(data.data.user, data.data.type);
            // 获取消息通知数量
            getNoticeCount();
            loadWarningCount();
            setUserLocalStorage('userType', data.data.type);
            setUserLocalStorage('userInfo', JSON.stringify(data.data.user));
        }
    });
}

function setUserInfo(user) {
    if (undefined == user || null == user) {
        console.log("setUserInfo data null")
        return;
    }
    try {
        jq('#title').html([
            '<span class="header-dep">' + user.departmentInfo.dep_name + '</span>',
            '<span class="header-name">(' + user.user_name + ')</span>'
        ].join(''))
    } catch (e) {
        console.log(e);
    }
}

function skip_View(view) {
    window.location.href = view;
}

function init_zfaj() {
    $.alert("正在建设中！");
}

// 预警模块
"use strict";

var app = new Vue({
    el: '#warningList',
    data: {
        selectList: [],
        earlyWarningList: [{
            id: "01",
            sectionTitle: "特种设备预警",
            items: [{
                title: '报检过期',
                benchCode: '101',
                img: '../images/earlyWarning/icon_baojianguoqi.png',
                url: 'warning/equipment.html',
                bubbles: '0'
            }, {
                title: '定检不合格',
                benchCode: '102',
                img: '../images/earlyWarning/icon_dingjianbuhege.png',
                url: 'warning/equipment.html',
                bubbles: '0'
            }, {
                title: '即将到期未报检',
                benchCode: '103',
                img: '../images/earlyWarning/icon_daoqiweibaojian.png',
                url: 'warning/equipment.html',
                bubbles: '0'
            }, {
                title: '无维保',
                benchCode: '104',
                img: '../images/earlyWarning/icon_wuweibao.png',
                url: 'warning/equipment.html',
                bubbles: '0'
            }]
        }, {
            id: "02",
            sectionTitle: "食品餐饮预警",
            items: [{
                title: '许可证到期 （餐饮）',
                benchCode: '202',
                img: '../images/earlyWarning/icon_xukezhengdaoqi1.png',
                url: 'warning/food_business_license.html',
                bubbles: '0'
            }, {
                title: '健康证异常',
                benchCode: '203',
                img: '../images/earlyWarning/icon_jiankangzheng.png',
                url: '',
                bubbles: '0'
            }, {
                title: '食安证到期',
                benchCode: '204',
                img: '../images/earlyWarning/icon_shianzhengdaoqi.png',
                url: '',
                bubbles: '0'
            }]
        }, {
            id: "03",
            sectionTitle: "食品流通预警",
            items: [{
                title: '许可证到期 （流通）',
                benchCode: '302',
                img: '../images/earlyWarning/icon_xukezhengdaoqi2.png',
                url: 'warning/food_business_license.html',
                bubbles: '0'
            }]
        }, {
            id: "04",
            sectionTitle: "食品生产预警",
            items: [{
                title: '许可证到期 （生产）',
                benchCode: '402',
                img: '../images/earlyWarning/icon_xukezhengdaoqi3.png',
                url: 'warning/food_business_license.html',
                bubbles: '0'
            }]
        }]
    },
    methods: {
        itemClick: function itemClick(item) {
            var equipmentIndex;
            if (item.benchCode === '101') equipmentIndex = '1';
            if (item.benchCode === '102') equipmentIndex = '2';
            if (item.benchCode === '103') equipmentIndex = '3';
            if (item.benchCode === '104') equipmentIndex = '4';
            window.localStorage.setItem('equipmentIndex', equipmentIndex);
            var businessLicensePagetype;
            if (item.benchCode === '202') businessLicensePagetype = '1';
            if (item.benchCode === '302') businessLicensePagetype = '2';
            if (item.benchCode === '402') businessLicensePagetype = '3';
            window.localStorage.setItem('businessLicensePagetype', businessLicensePagetype)
            if (item.benchCode === '203') {
                toHealthCertificateWarning();
            } else if (item.benchCode === '204') {
                toSafetyCerWarning();
            } else if (item.benchCode === '201' || item.benchCode === '301' || item.benchCode === '301') {
                toDetectionWarning();
            } else {
                window.location.href = item.url;
            }
        }
    },
    watch: {},
    mounted: function mounted() {
        window.localStorage.setItem('earlyWarningList', JSON.stringify(this.earlyWarningList));
        if (getUserLocalStorage('selectList')) {
            this.selectList = JSON.parse(getUserLocalStorage('selectList'));
        } else {
            var params = {
                userId: window.localStorage.getItem('username'),
                url: "appinterface/workbench/queryIsFirstWorkbench.xhtml",
                load_type: '1'
            };
            commonQuery(params, function (data) {
                if (data.success === true) {
                    if (data.data === '1') {
                        var params = {
                            userId: window.localStorage.getItem('username'),
                            url: "appinterface/workbench/queryWorkbench.xhtml",
                        };
                        commonQuery(params, function (data) {
                            if (data.success === true) {
                                data.data.forEach(function (value) {
                                    app.earlyWarningList.forEach(function (value1) {
                                        value1.items.forEach(function (value2) {
                                            if (value2.benchCode === value.benchCode) {
                                                app.selectList.push(value2);
                                            }
                                        })
                                    })
                                });
                                setUserLocalStorage('selectList', JSON.stringify(app.selectList))
                            }
                        });

                    } else {
                        app.selectList = [{
                            title: '报检过期',
                            benchCode: '101',
                            img: '../images/earlyWarning/icon_baojianguoqi.png',
                            url: 'warning/equipment.html',
                            bubbles: '0'
                        },
                            {
                                title: '许可证到期 （餐饮）',
                                benchCode: '202',
                                img: '../images/earlyWarning/icon_xukezhengdaoqi1.png',
                                url: 'warning/food_business_license.html',
                                bubbles: '0'
                            },
                            {
                                title: '许可证到期 （流通）',
                                benchCode: '302',
                                img: '../images/earlyWarning/icon_xukezhengdaoqi2.png',
                                url: 'warning/food_business_license.html',
                                bubbles: '0'
                            },
                            {
                                title: '许可证到期 （生产）',
                                benchCode: '402',
                                img: '../images/earlyWarning/icon_xukezhengdaoqi3.png',
                                url: 'warning/food_business_license.html',
                                bubbles: '0'
                            }];
                        setUserLocalStorage('selectList', JSON.stringify(app.selectList));
                    }
                } else {
                    app.selectList = [{
                        title: '报检过期',
                        benchCode: '101',
                        img: '../images/earlyWarning/icon_baojianguoqi.png',
                        url: 'warning/equipment.html',
                        bubbles: '0'
                    },
                        {
                            title: '许可证到期 （餐饮）',
                            benchCode: '202',
                            img: '../images/earlyWarning/icon_xukezhengdaoqi1.png',
                            url: 'warning/food_business_license.html',
                            bubbles: '0'
                        },
                        {
                            title: '许可证到期 （流通）',
                            benchCode: '302',
                            img: '../images/earlyWarning/icon_xukezhengdaoqi2.png',
                            url: 'warning/food_business_license.html',
                            bubbles: '0'
                        },
                        {
                            title: '许可证到期 （生产）',
                            benchCode: '402',
                            img: '../images/earlyWarning/icon_xukezhengdaoqi3.png',
                            url: 'warning/food_business_license.html',
                            bubbles: '0'
                        }];
                    setUserLocalStorage('selectList', JSON.stringify(app.selectList));
                }
            });
        }

        var params = {
            userName: window.localStorage.getItem('username'),
            url: "appinterface/workware/taskCount2.xhtml",
            load_type: '1'
        };
        commonQuery(params, function (data) {
            if (data.success === true) {
                app.selectList.forEach(function (value) {
                    if (value.benchCode === '202') {
                        value.bubbles = (data.data.yjCountCy > 99) ? '99+' : data.data.yjCountCy
                    }
                    if (value.benchCode === '302') {
                        value.bubbles = (data.data.yjCountLt > 99) ? '99+' : data.data.yjCountLt
                    }
                    if (value.benchCode === '402') {
                        value.bubbles = (data.data.yjCountSc > 99) ? '99+' : data.data.yjCountSc
                    }
                    if (value.benchCode === '101') {
                        value.bubbles = (data.data.tsYjCount.overECount > 99) ? '99+' : data.data.tsYjCount.overECount
                    }
                    if (value.benchCode === '102') {
                        value.bubbles = (data.data.tsYjCount.unqECount > 99) ? '99+' : data.data.tsYjCount.unqECount
                    }
                    if (value.benchCode === '103') {
                        value.bubbles = (data.data.tsYjCount.unrECount > 99) ? '99+' : data.data.tsYjCount.unrECount
                    }
                    if (value.benchCode === '104') {
                        value.bubbles = (data.data.tsYjCount.nomECount > 99) ? '99+' : data.data.tsYjCount.nomECount
                    }
                })
            }
        });

    }
});



