var temp = 0;
(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
    document.addEventListener("backbutton", onBackKeyDown, false);
    // onDeviceReady();
})();

function onDeviceReady() {
    var commercialSubject = getUserLocalStorage("commercialSubject");
    if (commercialSubject) {
        initData(getUniqueCode(), getUserType(), "1");
    } else {
        initData(getUniqueCode(), getUserType());
    }
}

//初始化数据
function initData(uniqueCode, type, load_type) {
    var params = {
        uniqueCode: uniqueCode,
        type: type,
        url: "appinterface/statistics/commercialSubject.xhtml",
        load_type: load_type
    };

    commonQuery(params, function (data) {
        setUserLocalStorage("commercialSubject", JSON.stringify(data));
        showData(data)
    });
}

function showData(data) {
    var parent;
    var array = data.data;
    for (var index in array) {
        parent = $('.info-title-Type' + array[index].type.toUpperCase());
        if (parent.length > 0) {
            parent = parent.find('.count');
            parent.eq(2).text(array[index].count);
            parent.eq(1).text(array[index].effectCount);
            parent.eq(0).text(array[index].curMonIncCount);
        }
    }
}

function onBackKeyDown() {
    //用户点击确定，退出app
    if (temp == 0) { //temp为0代表尚未弹出confirm
        temp = 1;//temp为1代表已弹出confirm对话框，从而不再触发返回事件
        // if(confirm("信息尚未保存,是否退出?")){
        navigator.app.exitApp();
        // }
    } else if (temp == 1) {
        //temp为1时不执行任何操作
    }
}

function init_cy(type) {
    window.location.href = 'subjectCyQuery.html';
    window.localStorage.setItem("cytype",type);

}

function init_home() {
    window.location.href = 'index_new.html';
}

function init_tjfx() {
    window.localStorage.setItem("isBackToTj",false);
    window.localStorage.setItem("censusData","");
    window.location.href = 'index3.html';
}

function init_spjg() {
    window.location.href = 'index4.html';
}

function init_zhcx() {
    window.location.href = 'ydjg_new/query.html';
}

function init_my() {
    window.location.href = 'ydjg_new/my.html';
}

var app = new Vue({
    el: "#content",
    mounted: function mounted() {
        var subject = getUserLocalStorage("commercialSubject");
        if (subject) {
            showData(JSON.parse(subject))
        }
    }
});

