var jq = jQuery.noConflict();

var ipconfig = window.localStorage.getItem('urlconfig');


(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
})();

function onDeviceReady() {
    initData();
}

/**
 *  加载数据信息
 */
function initData() {
    $.showPreloader("正在加载");
    var entId = window.localStorage.getItem('entId');

    var params = getFormData("dialog");

    params['urlType'] = 'exceptionEntity.getList';
    params['entId'] = entId;
    params['url'] = "appinterface/query/queryMethod.xhtml";

    commonQuery(params, function (data) {
        try {

            if (data.success == true) {
                var html = '';
                for (var i = 0; i < data.data.length; i++) {

                    html +=
                        '<li style="margin-top: .5rem">' +
                        '<table>' +
                        '        <tr>' +
                        '            <td width=30% class="key">载入事由</td>' +
                        '            <td>' + data.data[i].ABNORMALTYPE + '</td>' +
                        '        </tr>\n' +
                        '        <tr>\n' +
                        '            <td width=70% class="key">载入时间</td>' +
                        '            <td>'+ data.data[i].CREATETIME +'</td>' +
                        '        </tr>' +
                        '        <tr>' +
                        '            <td class="key">载入状态</td>' +
                        '            <td>' + data.data[i].BTYPE + '</td>' +
                        '        </tr>' +
                        '        <tr>' +
                        '            <td class="key">载入备注</td>' +
                        '            <td>' + data.data[i].REMARK + '</td>' +
                        '        </tr>' +
                        '    </table>' +
                        '</li>';
                }
                // 添加新条目
                $('#ycxq').append(html);
            } else {
                $.toast("数据加载失败。");
            }
            $.hidePreloader();

        } catch (e) {

        } finally {
            $.hidePreloader();
        }
    });

    // jq.ajax({
    //     url: ipconfig + "appinterface/query/queryMethod.xhtml",
    //     type: 'post',
    //     data: {
    //         "entId" :entId,
    //         "urlType" : "exceptionEntity.getList",
    //     },
    //     async: true,
    //     dataType: "json",
    //     success: function (data, textStatus) {
    //         try {
    //             if (data.success == true) {
    //                 jq("#zrsy").html(data.data[0].ABNORMALTYPE);
    //                 jq("#zrsj").html(data.data[0].CREATETIME);
    //                 jq("#zrzt").html(data.data[0].BTYPE);
    //                 jq("#zrbz").html(data.data[0].REMARK);
    //
    //             } else {
    //                 $.toast("数据加载失败。");
    //             }
    //             $.hidePreloader();
    //
    //         } catch (e) {
    //
    //         } finally {
    //             $.hidePreloader();
    //         }
    //     },
    //     error: function (data, textStatus) {
    //         $.hidePreloader();
    //         $.alert("服务链接异常。");
    //     }
    // });
}

