define(["artTemplate","text!tpls/inquire/blackCardCompanies.html","queryCommon","inquire/blackCardDetails"],function(art,blackCardCompaniesTpl,queryCommonJs){
    return {
    	listCache: null,
    	putListCache: function (data) {
            this.listCache = data;
        },
        clearCache: function () {
            this.listCache = null;
        },
        loadData: function () {
        	var params = getFormData("dialog");
            params['urlType'] = 'blackCardCompanies';
            params['pageSize'] = 100;
        	//调用查询方法
        	queryCommonJs.query(params, function (data) {
        		//缓存数据 1
        		var blackCardCompaniesJs = require("inquire/blackCardCompanies");
            	blackCardCompaniesJs.putListCache(data);

            	//列表数据加载
        		var entItemListTpl = jq("#entItemList").html();
	            art.defaults.escape=false;
	            var entItemListHtml = art.render(entItemListTpl, data.data);
	            jq("#task-list").html(entItemListHtml);
	            //隐藏查询框
	            hideSearchDialog();
        	});
        },
    	init: function(){
	        jq(".module-container").html(blackCardCompaniesTpl);
            //隐藏菜单
            hideFootbar(jq("#homeTipImg"));
	        // 返回上一个页面
            jq(".back").click(function(){
                var inquireJs = require("inquire/inquire");
                inquireJs();
            });

	        jq("#searchBtn").click(function () {
	        	showSearchDialog();
	        });

	        jq("#cancel").click(function() {
	        	hideSearchDialog();
	        });

	        jq("#queryBtn").click(function () {
	        	var blackCardCompaniesJs = require("inquire/blackCardCompanies");
            	blackCardCompaniesJs.loadData();
	        });

	        //加载列表
            if (null != this.listCache) {
                //有缓存数据
                var entItemListTpl = jq("#entItemList").html();
	            art.defaults.escape=false;
	            var entItemListHtml = art.render(entItemListTpl, this.listCache.data);
	            jq("#task-list").html(entItemListHtml);
            } else {
            	var blackCardCompaniesJs = require("inquire/blackCardCompanies");
            	blackCardCompaniesJs.loadData();
            }
	    }
    };
});

function showBlackcardDetails (entId,parentUrl) {
    var blackCardDetailsJs = require("inquire/blackCardDetails");
    blackCardDetailsJs.setParams(entId,parentUrl);
    blackCardDetailsJs.init();
}

