define([
		"artTemplate",
		"text!tpls/inquire/inquire.html", 
		"inquire/quickSearch", 
        "inquire/integratedQuery",
        "inquire/blackCardCompanies",
        "inquire/annualReport",
        "inquire/abnormal",
        "inquire/case",
		"inquire/license"
	],function(art,inquireTpl,quickSearchJs,integratedQueryJs,blackCardCompaniesJs,annualReportJs,abnormalJs,caseJs,licenseJs){
		
    return function(){
        var $inquireTpl=jq(art.render(inquireTpl,{}));
        jq(".module-container").html($inquireTpl);

        jq("#quickSearch").click(function () {
        	quickSearchJs.init();
        });

        jq("#integratedQuery").click(function () {
            integratedQueryJs.init();
        });

        jq("#blackCardCompanies").click(function () {
            blackCardCompaniesJs.init();
        });

        jq("#annualReport").click(function () {
        	annualReportJs.init();
        });

        jq("#abnormal").click(function () {
            abnormalJs.init();
        });

        jq("#case").click(function () {
            caseJs.init();
        });

        jq("#license").click(function () {
            licenseJs.init();
        });
        //展示菜单 1
        showFootbar(jq("#homeTipImg"));
    }
});

function showDetails (entId,entType,parentUrl) {
    var entDetailsJs = require("inquire/entDetails");
    entDetailsJs.setParams(entId,entType,parentUrl);
    entDetailsJs.init();
}

function hideSearchDialog () {
    jq("#displayDiv").hide();
    jq("#dialog").hide();
}

function showSearchDialog () {
    jq("#displayDiv").show();
    jq("#dialog").show();
}