define(["artTemplate","text!tpls/inquire/quickSearch.html","queryCommon","inquire/entDetails"],function(art,quickSearchTpl,queryCommonJs){
    return {
    	listCache: null,
    	putListCache: function (data) {
            this.listCache = data;
        },
        clearCache: function () {
            this.listCache = null;
        },
        loadData: function () {
        	var entName = jq("[name='entName']").val();
        	var regNo = jq("[name='regNo']").val();
        	//整理参数
        	var params = {
        		'urlType':'marketEntity.quickQuery',
        		'entName':entName,
        		'regNo':regNo,
        		'pageSize': 100
        	};
        	//调用查询方法 1
        	queryCommonJs.query(params, function (data) {
        		//缓存数据
        		var quickSearchJs = require("inquire/quickSearch");
            	quickSearchJs.putListCache(data);

            	//列表数据加载
        		var entItemListTpl = jq("#entItemList").html();
	            art.defaults.escape=false;
	            var entItemListHtml = art.render(entItemListTpl, data.data);
	            jq("#task-list").html(entItemListHtml);
	            //隐藏查询框
	            hideSearchDialog();
        	});
        },
    	init: function(){
	        jq(".module-container").html(quickSearchTpl);
            //隐藏菜单
            hideFootbar(jq("#homeTipImg"));
	        // 返回上一个页面
            jq(".back").click(function(){
                var inquireJs = require("inquire/inquire");
                inquireJs();
            });

	        jq("#searchBtn").click(function () {
	        	showSearchDialog();
	        });

	        jq("#cancel").click(function() {
	        	hideSearchDialog();
	        });

	        jq("#queryBtn").click(function () {
	        	var quickSearchJs = require("inquire/quickSearch");
            	quickSearchJs.loadData();
	        });

	        //加载列表
            if (null != this.listCache) {
                //有缓存数据
                var entItemListTpl = jq("#entItemList").html();
	            art.defaults.escape=false;
	            var entItemListHtml = art.render(entItemListTpl, this.listCache.data);
	            jq("#task-list").html(entItemListHtml);
            } else {
            	var quickSearchJs = require("inquire/quickSearch");
            	quickSearchJs.loadData();
            }
	    }
    };
});
