var jq = jQuery.noConflict();
var currentImageURIArr = [];
var loaded = false;
var ipconfig = window.localStorage.getItem('urlconfig');
(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
})();

function onDeviceReady() {
    if (null == window.localStorage.getItem("detaildata")
        && null != window.localStorage.getItem("dataList")) {
        goHistory();
    } else {
        getDetailData();
        queryPicturesList();
    }
}

//获取平安智慧监管过来的参数
function showAlert(content) {
    console.log("content --- " + JSON.stringify(content))
    if (undefined == content || null == content || "" == content) {
        window.localStorage.setItem("dataList", "");
        return;
    }
    for (var key in content) {
        console.log("params key = " + key + "   value = " + content[key]);
        window.localStorage.setItem(key, content[key]);
    }
    queryUserInfo();
    onDeviceReady();
}

function goHistory() {
    if ("" == window.localStorage.getItem("dataList")) {
        return;
    }
    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
    var datas = {
        'entId': qydata.entid,
        'url': "appinterface/abnormalDirectory/showInfoByEntId.xhtml",
    };
    commonQuery(datas, function (result) {
        if (result.success == true) {
            var detaildata = {
                flow: result.data.FLOW,
                id: result.data.ID,
                recordId: result.data.RECORDID
            };
            window.localStorage.setItem("detaildata", JSON.stringify(detaildata));
            getDetailData();
            queryPicturesList();
        } else {
            $.closeModal();
            $.alert(result.message, function () {
                onBack();
            });
        }
    });
}

function getDetailData() {
    if (loaded) {
        return;
    }

    if ("" == window.localStorage.getItem("detaildata")) {
        return;
    }

    var detaildata = JSON.parse(window.localStorage.getItem("detaildata"));

    var params = {
        flow: detaildata.flow,
        recordId: detaildata.recordId,
        id: detaildata.id,
        url: "/appinterface/abnormalDirectory/showInfo.xhtml"
    };

    loaded = true;
    commonQuery(params, function (data) {
        if (data.success && data.data != null) {
            var detail = data.data;
            jq("#qymc").html(detail.entName);//企业名称
            jq("#zcdz").html(detail.addr);//
            jq("#shxydm").html(detail.regNo);
            jq("#fzr").html(detail.contact);
            jq("#lxdh").html(detail.telphone);
            jq("#ly").html(detail.abnormalType);
            jq("#qx").html(detail.abnormalStr);
            // jq("#sfkydhlx").html(detail.);
            jq("#jcqk").html(detail.verifiDesc);
            jq("#jbyj").html(detail.taskoperatorDesc);
            jq("#jbr").html(detail.operator);
            jq("#jcsj").html(detail.estDate);
            jq("#jcr").html(detail.taskoperator);
            jq("#czr").html(detail.operator);
            for (var i = 0; i < detail.auditList.length; i++) {
                var html = '<li><p class="fz18 medium">审批结果：' + detail.auditList[i].auditResult + '</p>' +
                    '<p class="fz12 mt10 lh18 fc-8b">' +
                    '审批意见：' + detail.auditList[i].auditDesc + '<br/>' +
                    '审批人：' + detail.auditList[i].apprer + '<span class="ml10">提交单位：' + detail.auditList[i].sendUnit + '</span><br/>' +
                    '审批时间：' + detail.auditList[i].createTime + '</p> </li>'
                jq("#add_li").append(html);
            }
        } else {
            // jq("#zcjy").addClass("");
        }
    });
}

function queryPicturesList() {
    var detaildata = JSON.parse(window.localStorage.getItem("detaildata"));
    var params = {
        // taskid:"f3d0bd82a69d49c18a3b1e500ed6bd13",
        taskid: detaildata.id,
        domain: "cms_content",
        userName: window.localStorage.getItem('username'),
        url: "appinterface/upload/queryPicturesList.xhtml"
    };

    commonQuery(params, function (data) {
        if (data.success == true) {
            for (var i = 0; i < data.data.length; i++) {
                var url = ipconfig + "/appinterface/upload/showPictures.xhtml?id=" + data.data[i].VCHR_ID;
                if (data.data[i].VCHR_FILETYPE == ".png" || data.data[i].VCHR_FILETYPE == ".JPG" ||
                    data.data[i].VCHR_FILETYPE == ".jpg" || data.data[i].VCHR_FILETYPE == ".PNG") {
                    currentImageURIArr.push(url);
                    var temp = '<div style="width: 32%;margin:0 1% 0 0;float: left;">' +
                        '<p ><img style="display: block;width: 100%;height: 100%;" id="add_' + i + '" onclick="viewSignturePic(\'' + url + '\')"></p>' +
                        '</div>';
                    jq("#add_img").append(temp);
                    jq("#add_" + i).attr("src", url);
                } else {
                    var type = data.data[i].VCHR_ORIGINNAME.split('.');
                    if ("pdf" == type[1]) {
                        url = "../../img/icon-pdf.png";
                    } else if ("doc" == type[1] || "docx" == type[1]) {
                        url = "../../img/icon-word.png";
                    } else {
                        url = "../../img/icon-file.png";
                    }
                    var temp = '<div style="width: 32%;margin:0 1% 0 0;float: left;">' +
                        '<p ><img style="margin: auto;display: block;height: 1.8rem;width: auto" id="add_' + i + '" onclick="downloadFile(\'' + url + '\',\'' + data.data[i].VCHR_ORIGINNAME + '\')"></p>' +
                        '<p style="text-align: center;">' + data.data[i].VCHR_ORIGINNAME + '</p>' +
                        '</div>';
                    jq("#add_img").append(temp);
                    jq("#add_" + i).attr("src", url);
                }
            }
        } else {
            $.alert(data.message);
        }
    });
}

function viewSignturePic(url) {
    var images = [url]
    myPhotoBrowser = $.photoBrowser({
        photos: images,
        type: 'popup',
        initialSlide: 0,  //初始显示的照片index
        ofText: "/",
        swipeToClose: false,    //是否可以滑动关闭（上下滑动）
    });
    myPhotoBrowser.open();
}