var jq = jQuery.noConflict();
var urlconfig = window.localStorage.getItem('urlconfig');
var username = window.localStorage.getItem('username');
var sjdm;

(function () {
    document.addEventListener("backbutton", onBackKeyDown, false);
    document.addEventListener("deviceready", onDeviceReady, false);
}());

function onDeviceReady() {
    // 折叠面板
    $(document).on('click', '.right-link', function () {
        $(this).toggleClass('active');
        $(this).parents('li').eq(0).find('.fold-content').toggle();

    });
    $(document).on('click', 'input[type="radio"]', function () {
        var val = $(this).attr("name");
        if (val.indexOf("_DL_NAME_") != -1) {
            var check = $('input[name=\'' + val + '\']:checked').val();
            console.log($('input[name=\'' + val + '\']:checked').val());

            $('input[name=\'' + val + '\']').prop("checked", false);
            $('input[name=\'' + val + '\'][value=\'' + check + '\']').prop("checked", true);

            $(this).parents('li').find('input[type="radio"]').prop("checked", false);
            $(this).parents('li').find('input[type="radio"][value=\'' + check + '\']').prop("checked", true);
        }
    });

    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
    if ("yb" == window.localStorage.getItem("queryType")) {
        jq("#entname").text(qydata.entname);
    }else {
        jq("#next").show();
    }
    jq("#tasktypename").text(qydata.tasktypename);

    getSprs();
}

//获取平安智慧监管过来的参数
function showAlert(content) {
    console.log("content --- " + JSON.stringify(content))
    if (undefined == content || null == content || "" == content) {
        window.localStorage.setItem("dataList", "");
        return;
    }
    for (var key in content) {
        console.log("params key = " + key + "   value = " + content[key]);
        window.localStorage.setItem(key, content[key]);
    }
    queryUserInfo();
    onDeviceReady();
}

function onBackKeyDown() {
    if("yb" == window.localStorage.getItem("queryType")){
        onBack();
    }else {
        $.confirm('信息尚未保存,是否退出?', function () {
            removeFormTitleData();
            onBack();
        }, function () {
            $.hidePreloader();
        });
    }
}

function getSprs() {
    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
    var params = {
        taskId: qydata.taskid,
        entId: qydata.entid,
        entName: qydata.entname,
        queryType: window.localStorage.getItem("queryType"),
        userName: window.localStorage.getItem("username"),
        url: "/appinterface/task/toFeedPage.xhtml"
    };

    commonQuery(params, function (data) {
        createTemplate(data)
    });
}

function createTemplate(data) {
    var typeCatalogs = data.data.typeCatalogs;
    var task = data.data.task;
    var ItemListHtml = '';
    var xh = 1;
    jq("#taskItemsId").empty();
    if ('C002' == task.tasktypecode || 'F003' == task.tasktypecode ||  'C009' == task.tasktypecode) {
        for (var i = 0; i < typeCatalogs.length; i++) {
            var name = '_DL_NAME_' + i;
            if ('F003' == task.tasktypecode) {
                var radio =
                    "<div class='check-txt'> " +
                    "<input   type='radio' name=\"" + name + "\"   value='1'>合格" +
                    "<input  style='margin-left:1rem;' type='radio' name=\"" + name + "\"   value='2'>不合格" +
                    "<input style='margin-left:1rem;' type='radio' name=\"" + name + "\"  value='3'>不适用</div>" +
                    "</div> ";
            } else {
                var radio =
                    "<div class='check-txt'> " +
                    "<input  type='radio' name=\"" + name + "\"  value='1'>符合" +
                    "<input  style='margin-left:1rem;' type='radio' name=\"" + name + "\"   value='0'>不符合" +
                    "<input  style='margin-left:1rem;' type='radio' name=\"" + name + "\"   value='-1'>不适用</div>" +
                    "</div> ";
            }
            var toitems = typeCatalogs[i].items;
            sjdm = typeCatalogs[i].code;
            var trmp = "<li > <div class='item-content'> " +
                "<div class='item-inner item-diy-inner'> " +
                "<div class='item-title label color4' style='width: 90%'>" +typeCatalogs[i].order + '. ' + typeCatalogs[i].name + "</div> " +
                "<div class='item-input'  style='width: 10%'> " +
                "<a class='right-link active' style='color:#777777;' id=\"" + 'a_' + typeCatalogs[i].code + "\"></a> " +
                "</div> </div> </div> " +
                "<div  class='check-txt'>" + radio +
                "<div class='list-block'> " +
                "<ul style=' padding-left: 0rem' id=\"" + typeCatalogs[i].code + "\"></ul></div> </li>";

            jq("#taskItemsId").append(trmp);

            for (var a = 0; a < toitems.length; a++) {
                var dataTemplate = getDataTemplate(toitems[a].data);
                var tjsmbtn = '<button class="addDescBtn" id=\'' + toitems[a].recordid + '\'  onclick="saveCheckItemPic(\'' + task.taskid + '\',\'' + toitems[a].recordid + '\')">+ 添加说明</button>';
                if ("yb" == window.localStorage.getItem("queryType")) {
                    tjsmbtn = '<button style="display: none;" class="addDescBtn" id=\'' + toitems[a].recordid + '\'  onclick="saveCheckItemPic(\'' + task.taskid + '\',\'' + toitems[a].recordid + '\')">查看说明</button>';
                }
                ItemListHtml =
                    '<li>' +
                    '<div class="item-content">' +
                    '<div class="item-inner item-diy-inner">' +
                    '<div class="item-title hasInput" style="white-space:pre-wrap">' +
                    '<div class="content-block-title check-title">' +typeCatalogs[i].order +"." + toitems[a].chkitemindex + " " + toitems[a].chkitem + '</div>' +
                    dataTemplate +
                    '<div class="item-btngroup">' +
                    tjsmbtn +
                    '</div>' +
                    '</div>' +
                    '</div>' +
                    '</div>' +
                    '</li>';
                jq("#" + sjdm).append(ItemListHtml);
                xh = xh + 1;
            }
        }

        initFormTitleSelectData();
    } else {
        var ItemListHtml = '';
        for (var i = 0; i < typeCatalogs.length; i++) {
            var toitems = typeCatalogs[i].items;
            jq("#taskItemList").val(typeCatalogs[i].name);
            for (var a = 0; a < toitems.length; a++) {
                var dataTemplate = getDataTemplate(toitems[a].data);
                var tjsmbtn = '<button class="addDescBtn" id=\'' + toitems[a].recordid + '\'  onclick="saveCheckItemPic(\'' + task.taskid + '\',\'' + toitems[a].recordid + '\')">+ 添加说明</button>';
                if ("yb" == window.localStorage.getItem("queryType")) {
                    tjsmbtn = '<button style="display: none;" class="addDescBtn" id=\'' + toitems[a].recordid + '\'  onclick="saveCheckItemPic(\'' + task.taskid + '\',\'' + toitems[a].recordid + '\')">查看说明</button>';
                }
                ItemListHtml += '<li>' +
                    '<div class="item-content">' +
                    '<div class="item-inner item-diy-inner">' +
                    '<div class="item-title hasInput" style="white-space:pre-wrap">' +
                    '<div class="content-block-title check-title">' + toitems[a].chkitemindex + ". " + toitems[a].chkitem + '</div>' +
                    dataTemplate +
                    '<div class="item-btngroup">' +
                    tjsmbtn +
                    '</div>' +
                    '</div>' +
                    '</div>' +
                    '</div>' +
                    '</li>';
                xh = xh + 1;
            }
        }
        // if ("yb" != window.localStorage.getItem("queryType")) {
        //     getQuery(task.taskid);
        // }
        jq("#taskItemsId").append(ItemListHtml);
    }
    getQuery(task.taskid);
    if ("yb" == window.localStorage.getItem("queryType")) {
        jq("input[type='radio']").attr("disabled", "disabled");
        jq("input[type='checkbox']").attr("disabled", "disabled");
        jq("input[type='text']").attr("disabled", "disabled");
    }

    jq("input[type='radio']").addClass('define-radio');
    jq("input[type='checkbox']").addClass('define-checkbox');
    jq("input[type='text']").addClass('define-text');

    jq("#tasktypename").show();
//    jq("#taskitemstitle").show();
}

function getDataTemplate(data) {
    var dataTemplate;
    if (data.indexOf('不适用') == -1
        || data.indexOf('不合格') == -1
        || data.indexOf('合格') == -1
        || data.indexOf('符合') == -1
        || data.indexOf('不符合') == -1
        || data.indexOf('无此项') == -1) {
        data = data.replace(/<input type='radio'/g, "<input type='radio'")
        dataTemplate = '<div class="check-txt" style="margin-left:-0.53333333rem;">' + data + '</div>';
    } else {
        dataTemplate = '<div class="item-input check-txt" style="margin-left:-0.53333333rem;">' + data + '</div>'
    }
    return dataTemplate;
}

function init_Jcjg() {
    if ("yb" == window.localStorage.getItem("queryType")) {
        window.location.href = '../../ydjg_html/ydjg_new/dbjcjg.html';
        return;
    }
    var datas = getFormData("taskItemsId");

    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
    datas["taskId"] = qydata.taskid;
    datas["entId"] = qydata.entid;
    datas["entName"] = qydata.entname;
    datas["queryType"] = window.localStorage.getItem("queryType");
    datas["userName"] = username;

    datas["url"] = "/appinterface/task/toSaveFeed.xhtml";

    saveFormTitleData();

    commonQuery(datas, function (data) {
        if (data.success == true) {
            $.alert(data.message);
            window.location.href = '../../ydjg_html/ydjg_new/dbjcjg.html';
        } else {
            $.alert(data.message);
        }
    });
}

function getFormTitleData() {
    var data = {};
    $('.check-txt').each(function (i) {
        var name = $(this).find("input").attr("name");
        var val = $("[name='" + name + "']:checked").val();
        if (undefined !== val) {
            data[name] = val;
        }
    });
    console.log(data)
    return data;
}

/**
 * 检查项标题选择状态缓存
 */
function saveFormTitleData() {
    var data = getFormTitleData();
    if (!$.isEmptyObject(data)) {
        var qydata = JSON.parse(window.localStorage.getItem("dataList"));
        window.localStorage.setItem(qydata.taskid, JSON.stringify(data));
    }
}

/**
 * 检查项标题选择状态初始化
 */
function initFormTitleSelectData() {
    if ("yb" == window.localStorage.getItem("queryType")) {
        return;
    }

    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
    var data = window.localStorage.getItem(qydata.taskid);
    if (undefined !== data && "" != data){
        var selectData = JSON.parse(data);
        for (var key in selectData){
            $('input[name=\'' + key + '\'][value=\'' + selectData[key] + '\']').prop("checked", true);
        }
    }
}

/**
 * 清除检查项标题选择状态
 */
function removeFormTitleData() {
    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
    window.localStorage.removeItem(qydata.taskid);
}

function saveCheckItemPic(taskid, recordid) {
    var _radioVal = $('input[type=radio][name=A_' + recordid + '_A0]:checked').val();
    if (undefined == _radioVal){
        $.toast("请先选择检查项结果")
        return;
    }

    saveFormTitleData();

    window.localStorage.setItem("taskid", taskid);
    window.localStorage.setItem("recordid", recordid);
    window.location.href = 'check_item_sm.html';
    
    var datas = getFormData("taskItemsId");

    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
    datas["taskId"] = qydata.taskid;
    datas["entId"] = qydata.entid;
    datas["entName"] = qydata.entname;
    datas["queryType"] = window.localStorage.getItem("queryType");
    datas["userName"] = username;
    datas["load_type"] = 1;
    datas["url"] = "/appinterface/task/toSaveFeed.xhtml";

    commonQuery(datas, function (data) {

    });
    
    // window.localStorage.setItem("taskid", taskid);
    // window.localStorage.setItem("recordid", recordid);
    // window.location.href = 'check_item_sm.html';

}

function getQuery(taskid){
    var params = {
        taskid:taskid,
        url: "appinterface/task/querySitejcx.xhtml"
    };

    commonQuery(params, function(data) {
        console.log(data);
        if(data.data.task != null){
            for(var i = 0; i < data.data.task.length; i++){
                if("yb" == window.localStorage.getItem("queryType")){
                    jq("#"+data.data.task[i].RECORDID).show();
                    // jq("#"+data.data.task[i].RECORDID).style.display = "block";

                }else {
                    jq("#"+data.data.task[i].RECORDID).html("已添加说明");
                }

            }
        }

    });
}