var jq = jQuery.noConflict();
var myPhotoBrowser;
var urlconfig = window.localStorage.getItem('urlconfig');
var username = window.localStorage.getItem('username');
var invusename = "";
var invuseid = "";
var attachids = [];
var num = 0;
var currentImageURIArr = [];
var reBackArr = [];
var fileNameArr = [];
(function () {
    document.addEventListener("backbutton", onBackKeyDown, false);
    initEvent();
    getDcrs();
    getShrs();
    getCyy();
    pageInit();

    jq("#infowareid").val(window.localStorage.getItem("infowareid"));
    jq("#userName").val(window.localStorage.getItem("username"));

    var addr = window.localStorage.getItem("addr");
    if (null != addr && "" != addr) {
        jq("#invedaddress").val(addr);
        jq("#invplace").val(addr);
    }

    jq("#invuseid").val(getSysUserId());
    jq("#invusename").val(getUserName());

    // 回显本地存储的form数据
    loadDraft(window.localStorage.getItem("infowareid"));
}());

function onBackKeyDown() {
    if (isPhotoBrowerShowing()) {
        return;
    }
    confirmSaveDraft();
}

/**
 * 显示缓存数据
 * @param data
 */
function echoForm(obj) {
    // 临时保存协同检查人
    if (obj.invusename1 != "" && obj.invusename1 != undefined) {
        showChoice(obj.invusename1, obj.invusename1, '.open-inspector');
    }
    if (obj.invedsex != "" && obj.invedsex != undefined) {
        showChoice(obj.invedsex, obj.invedsexName, '.open-respondent-sex');
    }
    if (obj.flag != "" && obj.flag != undefined) {
        showChoice(obj.flag, obj.flagName, '.open-addition');
    }

    if (obj.replies != "" && obj.replies != undefined) {
        showChoice(obj.replies, obj.replies, '.open-replies');
    }

    if (obj.shrname != "" && obj.shrname != undefined) {
        showChoice(obj.shrname, obj.shrname, '.open-auditor');
    }

    if (obj["flag"] == "1") {
        jq("#additionCell").hide();
    } else {
        jq("#additionCell").show();
    }
    for (var key in obj) {
        jq("[name='" + key + "']").val(obj[key]);
    }

    if ("" != obj.attachids) {
        var array = obj.attachids.split(',');
        for (var i = 0; i < array.length; i++) {
            attachids.push({VCHR_ID: array[i]});
        }
        showPictures(attachids, "/appinterface/upload/showPictureszxjb.xhtml");
    }
}

function fnPicker() {
    fileNameArr = [];
    window.imagePicker.getPictures(
        function (urlarr) {//成功时返回的图片列表
            for (var i = 0; i < urlarr.length; i++) {
                var fileName = uuid() + '.jpg';
                fileNameArr.push(fileName);
                var fileURL = cordova.file.externalRootDirectory + '/hangyjx/photo/' + fileName;
                var fileTransfer = new FileTransfer();
                fileTransfer.download(
                    urlarr[i], fileURL,
                    function (entry) {

                    },

                    function (error) {
                        console.log("download error code" + error.code);
                    },

                    false, {
                        headers: {
                            "Authorization": "Basic dGVzdHVzZXJuYW1lOnRlc3RwYXNzd29yZA=="
                        }
                    }
                );
            }
            uploadImage();
        }, onFail,//失败调用
        {
            maximumImagesCount: 5  //参数
        });

}

function onFail() {

}

function getPic(sourceType) {
    navigator.camera.getPicture(function (imageURI) {
        var fileName = uuid() + '.jpg';
        var fileURL = cordova.file.externalRootDirectory + '/hangyjx/photo/' + fileName;
        var fileTransfer = new FileTransfer();
        fileTransfer.download(
            imageURI, fileURL,
            function (entry) {
                cordova.exec(function (data) {
                    savePictures(data);
                }, null, 'ReadFilePlugin', 'readAsBinaryString', [fileName]);
            },

            function (error) {
                console.log("download error code" + error.code);
            },

            false, {
                headers: {
                    "Authorization": "Basic dGVzdHVzZXJuYW1lOnRlc3RwYXNzd29yZA=="
                }
            }
        );
    }, onLoadImageFail, {
        quality: 25,
        destinationType: navigator.camera.DestinationType.FILE_URI,
        sourceType: sourceType
    });
}

function onLoadImageFail(message) {
//    navigator.notification.alert("拍照失败，原因：" + message, null, "警告");
//    $.toast("拍照失败，原因：" + message);
}

function loadImage(lx) {
    if (lx == "camera") {
        var sourceType = navigator.camera.PictureSourceType.CAMERA;
        getPic(sourceType);
    } else {
        fnPicker();
    }
}

//调查人
function getDcrs() {
    var params = {
        userName: username,
        usertype: 'dc',
        url: "/appinterface/zxjbSearch/perList.xhtml"
    };

    commonQuery(params, function (data) {
        var arr = data.data;
        if (arr.length > 0) {
            var temp = '';
            var curUserName = getUserName();
            for (var i = 0; i < arr.length; i++) {
                // temp+='<option value="'+arr[i].sys_user_name+'">'+arr[i].user_name+'</option>';
                if (curUserName != arr[i].user_name) {
                    temp += '<li><label class="input-box input-box_checkbox">' +
                        '<input type="checkbox" hidden name="inspector" value="' + arr[i].sys_user_name + '">' +
                        '<span class="icon"></span>' +
                        '<span class="txt" >' + arr[i].user_name + '</span>' +
                        '</label></li>';
                }
            }
            jq("#dcr").append(temp);
        }
    });
}

function uuid() {
    var s = [];
    var hexDigits = "0123456789abcdef";
    for (var i = 0; i < 36; i++) {
        s[i] = hexDigits.substr(Math.floor(Math.random() * 0x10), 1);
    }
    s[14] = "4";  // bits 12-15 of the time_hi_and_version field to 0010
    s[19] = hexDigits.substr((s[19] & 0x3) | 0x8, 1);  // bits 6-7 of the clock_seq_hi_and_reserved to 01
    s[8] = s[13] = s[18] = s[23] = "";

    var uuid = s.join("");
    return uuid;
}

function getShrs() {
    var params = {
        userName: username,
        usertype: 'sp',
        url: "/appinterface/zxjbSearch/perList.xhtml"
    };

    commonQuery(params, function (data) {
        var arr = data.data;
        if (arr.length > 0) {
            var temp = '';

            for (var i = 0; i < arr.length; i++) {
                // temp+='<option value="'+arr[i].sys_user_name+'">'+arr[i].user_name+'</option>';
                temp += '<li><label class="input-box input-box_checkbox">' +
                    '<input type="checkbox" hidden name="auditor" value="' + arr[i].sys_user_name + '">' +
                    '<span class="icon"></span>' +
                    '<span class="txt">' + arr[i].user_name + '</span>' +
                    '</label></li>';
            }
            jq("#add_shr").append(temp);
        }
    });
}

function fnSubmit() {
    var content = jq("#content").val().trim();
    var dcr = jq("#invusename").val();
    if (content == "") {
        $.toast("调查信息不能为空");
        return;
    }

    if (dcr == null || dcr == "") {
        $.toast("调查人不能为空");
        return;
    }

    $.modal({
        title: '确认提交以上信息?',
        buttons: [
            {
                text: '取消',
                onClick: function () {
                }
            },
            {
                text: '确认提交',
                onClick: function () {
                    submit();
                }
            },
        ]
    });
}

function submit() {
    if (reBackArr.length > 0) {
        jq("#attachids").val(reBackArr.join());
    }
    var params = jq("#form1").serializeObject();

    // 合并检查人、协同检查人
    if (null != params["invuseid1"] && "" != params["invuseid1"]) {
        params["invuseid"] = params["invuseid"] + "," + params["invuseid1"];
    }
    if (null != params["invusename1"] && "" != params["invusename1"]) {
        params["invusename"] = params["invusename"] + "," + params["invusename1"];
    }

    params["url"] = "/appinterface/zxjbSearch/huidan.xhtml";
    console.log(JSON.stringify(params))
    commonQuery(params, function (data) {
        if (data.success == true) {
            $.alert(data.message, function () {
                // 清除草稿
                clearDraft();
                onBack();
                onBack();
            });
        } else {
            $.alert(data.message)
        }
    });
}

function getCyy() {
    var params = {
        userName: username,
        url: "/appinterface/zxjbSearch/queryPrompt.xhtml"
    };
    commonQuery(params, function (data) {
        var arr = data.data;
        if (arr.length > 0) {
            var temp = '';
            for (var i = 0; i < arr.length; i++) {
                // temp+='<option value="'+arr[i].content+'">'+arr[i].subject+'</option>';
                temp += '<li><label class="input-box input-box_radio">' +
                    '<input type="radio" hidden name="replies" checked value="' + arr[i].content + '">' +
                    '<span class="icon"></span>' +
                    '<span class="txt">' + arr[i].subject + '</span>' +
                    '</label>' +
                    '</li>';
            }
            jq("#cyy").append(temp);
        }
    });
}

function pageInit() {
    $.showPreloader("加载中..");
    var params = {
        userName: username,
        infowareid: window.localStorage.getItem("infowareid"),
        url: "/appinterface/zxjbSearch/zxjbinforware.xhtml"
    };
    commonQuery(params, function (data) {
        var obj = data.data;
        jq("#persname").html(obj.persname);
        jq("#mobile").html(obj.mobile);
        jq("#jyqk").html(obj.content);
        jq("#contentmore").html(obj.contentmore);
        jq("#regdepname").html(obj.regdepname);

        console.log(JSON.stringify(obj.zxjbPro));
        $.hidePreloader();
    });
}

//将表单转成json object
jq.fn.serializeObject = function () {
    var o = {};
    var a = this.serializeArray();
    jq.each(a, function () {
        if (o[this.name] !== undefined) {
            if (!o[this.name].push) {
                o[this.name] = [o[this.name]];
            }
            o[this.name].push(this.value || '');
        } else {
            o[this.name] = this.value || '';
        }
    });
    return o;
};

function initEvent() {
    var now = new Date();

    /**
     * 在元素上注册时间组件
     */
    $("#datetime-picker").datetimePicker({
        value: [now.getFullYear(), now.getMonth() + 1, now.getDate(), '9', '01'],
        toolbarTemplate: [
            '<div class="picker-footer">',
            '<button class="btn-ellipse close-picker">确定</button>',
            '</div>'
        ].join(''),
        onOpen: function (e) {
            var $el = e.container;

            $el.find('.picker-items-col').slice(3).hide();
            $el.before('<div class="p3-picker-bg"></div>')
        },
        onClose: function () {
            $('.p3-picker-bg').remove();
        },
        formatValue: function (picker, value, displayValue) {
            return value[0] + '-' + value[1] + '-' + value[2]
        }
    });


    /* 弹框开关事件可抽成公共方法，也可以修改下面的方法，针对每个弹框进行不同处理 */

    /* 调查人弹框开关事件 */
    $(document).on('click', '.open-inspector', function () {
        $.popup('.popup-inspector');
    });
    $(document).on('click', '.close-inspector', function () {
        $.closeModal('.popup-inspector');
        var value = $('.popup-inspector input:checked').map(function () {
            return $(this)[0].value
        }).get();

        var name = $('.popup-inspector input:checked').map(function () {
            return $(this).siblings('.txt').text();
        }).get().join(',')
        console.log(name)
        name && $('.open-inspector').html(name)
        jq("#invuseid1").val(value);
        jq("#invusename1").val(name);
    });


    /* 被调查人性别弹框开关事件 */
    $(document).on('click', '.open-respondent-sex', function () {
        $.popup('.popup-respondent-sex');
    });
    $(document).on('click', '.close-respondent-sex', function () {
        $.closeModal('.popup-respondent-sex');

        var value = $('.popup-respondent-sex input:checked').map(function () {
            return $(this)[0].value
        }).get();
        jq("#invedsex").val(value);

        var name = $('.popup-respondent-sex input:checked').map(function () {
            return $(this).siblings('.txt').text();
        }).get();
        console.log(name)
        jq('#invedsexName').val(name);
        jq('#dcrxb').html(name);
    });

    /* 附加处理别弹框开关事件 */
    $(document).on('click', '.open-addition', function () {
        $.popup('.popup-addition');
    });
    $(document).on('click', '.close-addition', function () {
        $.closeModal('.popup-addition');
        var value = $('.popup-addition input:checked').map(function () {
            return $(this)[0].value
        }).get().join('、')
        value && $('.open-addition').html(value)
        jq("#flag").val(value);
        var name = $('.popup-addition input:checked').map(function () {
            return $(this).siblings('.txt').text();
        }).get().join(',')

        jq('#flagName').val(name);
        jq('#fjcl').html(name);

        if ("1" == value) {
            jq("#additionCell").hide();
        } else {
            jq("#additionCell").show();
        }
    });

    /* 常用语弹框开关事件 */
    $(document).on('click', '.open-replies', function () {
        $.popup('.popup-replies');
    });
    $(document).on('click', '.close-replies', function () {
        $.closeModal('.popup-replies');
        var value = $('.popup-replies input:checked').map(function () {
            return $(this)[0].value
        }).get().join('、');
        // value &&  $('.open-replies').html(value)
        jq("#remark").val(value);
        // 临时存储数据用
        jq("#replies").val(value);

        var name = $('.popup-replies input:checked').map(function () {
            return $(this).siblings('.txt').text();
        }).get().join(',');
        jq("#remarkName").val(name);
        jq('#cyyxz').html(name)
    });

    /* 审核人弹框开关事件 */
    $(document).on('click', '.open-auditor', function () {
        $.popup('.popup-auditor');
    });
    $(document).on('click', '.close-auditor', function () {
        $.closeModal('.popup-auditor');
        var value = $('.popup-auditor input:checked').map(function () {
            return $(this)[0].value
        }).get().join('、')
        value && $('.open-auditor').html(value)
        jq("#shrid").val(value);

        var name = $('.popup-auditor input:checked').map(function () {
            return $(this).siblings('.txt').text();
        }).get().join(',');
        jq("#shrname").val(name);
        jq('#shr').html(name);
    });

    // 点击蒙板关闭弹窗
    $(document).on('click', '.popup-overlay', function () {
        $.closeModal()
    })
}

function queryPicturesList() {
    var params = {
        taskid: jq("#infowareid").val(),
        userName: window.localStorage.getItem('username'),
        url: "appinterface/upload/queryPicturesList.xhtml"
    };

    commonQuery(params, function (data) {
        if (data.success == true) {
            showPictures(data.data, "/appinterface/upload/showPictureszxjb.xhtml");
        } else {
            $.alert(data.message);
        }
    });
}

function uploadImage() {
    for (var i = 0; i < fileNameArr.length; i++) {
        cordova.exec(function (data) {
            savePictures(data);
        }, null, 'ReadFilePlugin', 'readAsBinaryString', [fileNameArr[i]]);
    }
}

function savePictures(data) {
    var datas = {
        'taskId': jq("#infowareid").val(),
        'fileName': data.fileName,
        'userName': window.localStorage.getItem("username"),
        'fileContent': data.data,
        'businessType': 'zxjb',
        'url': "/appinterface/upload/savePictures.xhtml"
    };

    commonQuery(datas, function (result) {
        console.info("图片上传成功");
        reBackArr.push(result.data);
        attachids.push({VCHR_ID: result.data});
        jq("#attachids").val(reBackArr.join());
        showPictures(attachids, "/appinterface/upload/showPictureszxjb.xhtml");
    });
}

function deletePictures() {
    var vchr_id = window.localStorage.getItem('vchr_id');
    var id = window.localStorage.getItem("picid");
    var src = jq("#" + id).attr("src");
    currentImageURIArr.splice(jq.inArray(src, currentImageURIArr), 1);
    reBackArr.splice(jq.inArray(vchr_id, reBackArr), 1);
    var index = null;
    attachids.map(function (item, i) {
        if (item.VCHR_ID == vchr_id) {
            index = i;
        }
    });
    attachids.splice(index, 1)

    jq("#attachids").val(reBackArr.join());
    jq("#" + id).parent().remove();
}
