define([],function(){
    return {
    	query: function(params, callBack){
    		//查询接口
    		var urlconfig = window.localStorage.getItem("urlconfig");
    		var token = window.sessionStorage.getItem("token");
    		params['token'] = token;

	        $.showPreloader("加载中..");
		    jq.ajax({
		        url: urlconfig+"appinterface/query/queryMethod.xhtml",
		        type: 'post',
		        data: params,
		        async: true,
		        dataType: "json",
		        success: function (data, textStatus) {
		            $.hidePreloader();
		            callBack(data);
		        },
		        error: function (data, textStatus) {
		            $.hidePreloader();
		            $.alert("提示：服务链接异常");
		        }
		    });
	    },
	    checkToken: function (dofun) {
	    	var token = window.sessionStorage.getItem("token");
	    	var password = window.sessionStorage.getItem("password");
	    	var username = window.localStorage.getItem("username");
	    	var urlconfig = window.localStorage.getItem("urlconfig");

	    	var params = {
	    		'token':token,
	    		'password': password,
	    		'userName':username
	    	};

	    	jq.ajax({
		        url: urlconfig+"appinterface/login/checkToken.xhtml",
		        type: 'post',
		        data: params,
		        async: true,
		        dataType: "json",
		        success: function (data, textStatus) {
		            $.hidePreloader();
		            if (data.success == false && data.message == 'deviceLost') {
		            	$.alert("该设备已挂失，无法登录系统");
		            	setTimeout(function () {
		            		window.location.href = 'login.html';
		            	}, 1000);
		            } else if (data.success == false && data.message == 'passwordError') {
		            	$.alert("身份验证失败，请重新登录");
		            	setTimeout(function () {
		            		window.location.href = 'login.html';
		            	}, 1000);
		            } else {
		            	window.sessionStorage.setItem('token',data.data.token);
		            	dofun(data);
		            }
		        },
		        error: function (data, textStatus) {
		            $.hidePreloader();
		            $.alert("提示：服务链接异常");
		        }
		    });

	    }, 
	    commonQuery: function(params, callBack){
    		this.checkToken(function () {
    			//查询接口
	    		var urlconfig = window.localStorage.getItem("urlconfig");
	    		var token = window.sessionStorage.getItem("token");
	    		params['token'] = token;
    			$.showPreloader("加载中..");
			    jq.ajax({
			        url: urlconfig+params.url,
			        type: 'post',
			        data: params,
			        async: true,
			        dataType: "json",
			        success: function (data, textStatus) {
			            $.hidePreloader();
			            if (data.success == false && data.message == 'tokenValidError') {
			            	$.alert("身份验证失败，请重新登录。");
			            	setTimeout(function () {
			            		window.location.href = 'login.html';
			            	}, 1000);
			            } else {
			            	callBack(data);
			            }
			        },
			        error: function (data, textStatus) {
			            $.hidePreloader();
			            $.alert("提示：服务链接异常");
			        }
			    });
    		});
	    }
    };
});