var jq = jQuery.noConflict();
var lastIndex = 0;
// 加载flag   下拉加载更多的参数
var loading = false;
//总页数
var pageCount;
//第几页
var pageNo = 1 ;
//每页条数
var pageSize = 10 ;
var arrayObj =[];
var ipconfig = window.localStorage.getItem('urlconfig');

(function () {
    document.addEventListener("deviceready",onDeviceReady,false);
})();

function onDeviceReady() {
    if(window.localStorage.getItem('type') == 'jg'
        || window.localStorage.getItem('type') == ''){
        var tab = window.location.hash.replace(/^#/, '') || 'jg';
        $('.js_' + tab).addClass('active').trigger('click');
        jq("#mytitle").html("企业监管");
        initDataQyjg('jg');
    } else if (window.localStorage.getItem('type') == 'zr') {
        var tab = window.location.hash.replace(/^#/, '') || 'zr';
        $('.js_' + tab).addClass('active').trigger('click');
        jq("#mytitle").html("异常名录载入");
        initDataYcmlzr('zr');
    } else if (window.localStorage.getItem('type') == 'yc') {
        var tab = window.location.hash.replace(/^#/, '') || 'yc';
        $('.js_' + tab).addClass('active').trigger('click');
        jq("#mytitle").html("异常名录移出");
        initDataYcmlyc('yc');

    }
    //企业监管气泡
    /*var qyjg_count = getUserLocalStorage("taskQyjg");
    if(qyjg_count != null || qyjg_count!= undefined){
        qyjg_count = Number(qyjg_count);
        if(qyjg_count && qyjg_count >0 ){
            jq("#qyjg_qp").show();
        }else{
            jq("#qyjg_qp").hide();
        }
    }
    var abnormal_count = getUserLocalStorage("tskAbnormal");
    if(abnormal_count != null || abnormal_count!= undefined){
        abnormal_count = Number(abnormal_count);
        if(abnormal_count && abnormal_count >0 ){
            jq("#ycmlyc_qp").show();
        }else{
            jq("#ycmlyc_qp").hide();
        }
    }*/
    initEvent();
    form.onsubmit = function() {
        var type = window.localStorage.getItem('type');
        pageNo=1;
        if(type == 'jg'){
            initDataQyjg('jg');
        }else if(type == 'zr'){
            initDataYcmlzr('zr');
        }else if(type == 'yc'){
            initDataYcmlyc('yc');
        }

        return false;
    };
}

function init_qyjg(taskTypeCode) {
    window.localStorage.setItem("queryType","Db");
    window.location.href = '../ydjg_html/qyjg/qyjg.html';
    window.localStorage.setItem("taskTypeCode",taskTypeCode);
}
//企业监管列表
function initDataQyjg(type) {
    jq("#rowCount").html('');
    window.localStorage.setItem("type",type);
    var key = jq("#search").val();
    var taskTypeCode =  window.localStorage.getItem('taskTypeCode');

    var params = {
        key:key,
        recentdays:"0",
        page: pageNo,
        rows: pageSize,
        taskTypeCode:taskTypeCode,
        userName:window.localStorage.getItem("username"),
        url:"/appinterface/task/list.xhtml"

    };

    commonQuery(params, function(data) {
        try{
            if(data!=null){
                jq("#rowCount").html("共"+data.data.rowCount+"家企业");
                if(data.data.rowCount && data.data.rowCount >0 ){
                    jq("#qyjg_qp").show();
                }else{
                    jq("#qyjg_qp").hide();
                }
                pageCount = data.data.pageCount;
                if(pageCount == 0 && pageNo ==1){
                    $.hidePreloader();
                    // $.toast("未查询到相关数据。");
                    cordova.exec(null,null,'WidgetPlugin','toast',['未查询到相关数据。']);
                    setEmptyView(type);
                    return;
                }
                if (pageNo <= pageCount) {
                    if(data.data.pageNo == 1){
                        addItems(JSON.stringify(data.data.resultList));
                    }else{
                        addItems(JSON.stringify(data.data.resultList));
                    }
                }
            }else{
                cordova.exec(null,null,'WidgetPlugin','toast',['数据加载失败。']);
            }
            $.hidePreloader();
        }catch (e){
        }finally {
            dissmisLoad();
            loading = false;
        }
    });
}
//异常名录载入列表
function initDataYcmlzr(type) {
    jq("#rowCount").html('');
    window.localStorage.setItem("type",type);
    var key = jq("#search").val();
    var userName =  window.localStorage.getItem('username');
    var userInfo = JSON.parse(getUserLocalStorage("userInfo"));
    var params = {
        key:key,
        page: pageNo,
        rows: pageSize,
        userName:userName,
        urlType:"annualReport",
        operatorer: userInfo.sys_right_user_id,
        url:"/appinterface/abnormalDirectory/findychistoryList.xhtml"
    };

    commonQuery(params,function (data) {
        try{
            if(data!=null){
                jq("#rowCount").html("已载入"+data.data.rowCount+"条异常经营企业");
                pageCount = data.data.pageCount;
                if(pageCount == 0 && pageNo ==1){
                    $.hidePreloader();
                    cordova.exec(null,null,'WidgetPlugin','toast',['未查询到相关数据。']);
                    // $.alert("未查询到相关数据。");
                    setEmptyView(type)
                    return;
                }
                if (pageNo <= pageCount) {
                    if(data.data.pageNo == 1){
                        addItems(JSON.stringify(data.data.resultList));
                    }else{
                        addItems(JSON.stringify(data.data.resultList));
                    }
                }
            }else{
                cordova.exec(null,null,'WidgetPlugin','toast',['数据加载失败。']);
            }
            $.hidePreloader();
        }catch (e){
        }finally {
            dissmisLoad();
            loading = false;
        }
    });
}
//异常名录移出列表
function initDataYcmlyc(type) {
    jq("#rowCount").html('');
    window.localStorage.setItem("type",type);
    var key = jq("#search").val();
    var userName =  window.localStorage.getItem('username');

    var params = {
        key: key,
        page: pageNo,
        rows: pageSize,
        userName:userName,
        url: "appinterface/abnormalDirectory/list.xhtml"
    };

    commonQuery(params,function (data) {
        try{
            if(data!=null){
                jq("#rowCount").html("共"+data.data.rowCount+"家企业");
                if(data.data.rowCount && data.data.rowCount >0 ){
                    jq("#ycmlyc_qp").show();
                }else{
                    jq("#ycmlyc_qp").hide();
                }
                pageCount = data.data.pageCount;
                if(pageCount == 0 && pageNo ==1){
                    $.hidePreloader();
                    cordova.exec(null,null,'WidgetPlugin','toast',['未查询到相关数据。']);
                    setEmptyView(type)
                    return;
                }
                if (pageNo <= pageCount) {
                    if(data.data.pageNo == 1){
                        addItems(JSON.stringify(data.data.resultList));
                    }else{
                        addItems(JSON.stringify(data.data.resultList));
                    }
                }
            }else{
                cordova.exec(null,null,'WidgetPlugin','toast',['数据加载失败。']);
            }
            $.hidePreloader();
        }catch (e){
        }finally {
            dissmisLoad();
            loading = false;
        }
    });
}


function addItems(data) {
    var type = window.localStorage.getItem('type');
    var dataList = JSON.parse(data);
    var html = '';
    if(pageNo == '1'){
        if(type == 'jg'){
            $('#qyjg').empty();
        }else if(type == 'zr'){
            $('#ycmlzr').empty();
        }else if(type == 'yc'){
            $('#ycmlyc').empty();
        }
    }

    for (var i = 0; i <dataList.length; i++) {
        var fr = '';
        var linkPhone = '';
        if (dataList[i].lerepname!=null){
            fr = dataList[i].lerepname;
        }
        if (dataList[i].linkPhone!=null){
            linkPhone = dataList[i].linkPhone;
        }
        if(type == 'jg'){
            var checkpersonHtml = '';
            if(dataList[i].checkperson !=null && dataList[i].checkperson !="" && dataList[i].checkperson!=undefined){
                checkpersonHtml = '<div class="dailytask-litop_text">检查人：'+dataList[i].checkperson.replace(new RegExp(',','g'),'、')+'</div>'
            }else{
                checkpersonHtml = '<div class="dailytask-litop_text">检查人：'+getUserName()+'</div>'
            }
            var daysTitle = dataList[i].remaindate.indexOf('-') == -1 ? "剩余天数：" : "逾期天数：";
            if (dataList[i].iscare!="0"){
                html += '<li class="dailytask-list_item"  > ' +
                    '<div class="dailytask-litem_top" onclick="init_jyqk(\'' + JSON.stringify(dataList[i]).replace(/"/g, '&quot;') + '\');">' +
                    '<img class="dailytask-rightarrow" src="../../images/dailytask/icon_rarrow.svg" alt="rightArrow" /> ' +
                    '<h1 class="dailytask-litop_title">' + dataList[i].entname + '</h1> ' +
                    '<div class="dailytask-litop_text_adr">地址：' + dataList[i].addr + '</div> ' +
                    '<div class="dailytask-litop_text"> ' +
                    '<span class="dailytask-littext_item">' + dataList[i].entregno + '</span> ' +
                    '<span class="dailytask-littext_item">' + dataList[i].tasktypename + '</span> ' +
                    '</div> <div class="dailytask-litop_textwrap"> ' +
                    '<span class="dailytask-litwrap_item">负责人：' + fr + '</span> ' +
                    '<span class="dailytask-litwrap_item">联系电话：'+linkPhone+'</span> ' +
                    '</div>' +
                    checkpersonHtml+
                    ' <div class="dailytask-litop_text"> ' +
                    '<span>' + daysTitle + '</span> <span class="red">' + dataList[i].remaindate.replace('-', '') + '</span> ' +
                    '</div> </div> <div class="dailytask-litem_btm"> ' +
                    '<div class="dailytask-libtm_item"  onclick="toTaskCare(\'' + dataList[i].taskid + '\',\'' + "cancel" + '\');"> ' +
                    '<img class="dailytask-libtmi_icon" src="../../images/dailytask/icon_subtract.svg" alt="icon_plus" /> ' +
                    '<span class="dailytask-libitem_text">移出今日任务</span> </div> ' +
                    '<a class="dailytask-libtm_item" href="tel:'+linkPhone+'">' +
                    '<img class="dailytask-libtmi_icon" src="../../images/dailytask/icon_phone.svg" alt="icon_phone" /> ' +
                    '<span class="dailytask-libitem_text">联系Ta</span></a> ' +
                    '<div class="dailytask-libtm_item" onclick="gotodhMap(\'' + dataList[i].addr + '\',\'' + dataList[i].entname + '\');" id="dtdh"> ' +
                    '<img class="dailytask-libtmi_icon" src="../../images/dailytask/icon_daohang.svg" alt="icon_daohang" /> ' +
                    '<span class="dailytask-libitem_text">导航</span> </div> </div> </li>';
            }else{
                html += '<li class="dailytask-list_item"  > ' +
                '<div class="dailytask-litem_top" onclick="init_jyqk(\''+JSON.stringify(dataList[i]).replace(/"/g, '&quot;')+'\');">'  +
                '<img class="dailytask-rightarrow" src="../../images/dailytask/icon_rarrow.svg" alt="rightArrow" /> ' +
                '<h1 class="dailytask-litop_title">'+dataList[i].entname+'</h1> ' +
                '<div class="dailytask-litop_text_adr">地址：'+dataList[i].addr+'</div> ' +
                '<div class="dailytask-litop_text"> ' +
                '<span class="dailytask-littext_item">'+dataList[i].entregno+'</span> ' +
                '<span class="dailytask-littext_item">'+dataList[i].tasktypename+'</span> ' +
                '</div> <div class="dailytask-litop_textwrap"> ' +
                '<span class="dailytask-litwrap_item">负责人：'+fr+'</span> ' +
                '<span class="dailytask-litwrap_item">联系电话：'+linkPhone+'</span> ' +
                '</div>' +
                checkpersonHtml+
                '<div class="dailytask-litop_text"> ' +
                '<span>' + daysTitle + '</span> <span class="red">'+dataList[i].remaindate.replace('-', '') +'</span> ' +
                '</div> </div> <div class="dailytask-litem_btm"> ' +
                '<div class="dailytask-libtm_item long1-5"  onclick="toTaskCare(\''+dataList[i].taskid+'\',\''+"add"+'\');"> ' +
                '<img class="dailytask-libtmi_icon" src="../../images/dailytask/icon_plus.svg" alt="icon_plus" /> ' +
                '<span class="dailytask-libitem_text">加入今日任务</span> </div> ' +
                '<a class="dailytask-libtm_item" href="tel:'+linkPhone+'">' +
                '<img class="dailytask-libtmi_icon" src="../../images/dailytask/icon_phone.svg" alt="icon_phone" /> ' +
                '<span class="dailytask-libitem_text">联系Ta</span></a>' +
                '<div class="dailytask-libtm_item" onclick="gotodhMap(\''+dataList[i].addr+'\',\''+dataList[i].entname+'\');" id="dtdh"> ' +
                '<img class="dailytask-libtmi_icon" src="../../images/dailytask/icon_daohang.svg" alt="icon_daohang" /> ' +
                '<span class="dailytask-libitem_text">导航</span> </div> </div> </li>';
            }
        }else if(type == 'zr'){
            html += '<li class="dailytask-list_item"  > ' +
                '<div class="dailytask-litem_top" onclick="init_ycjy(\''+JSON.stringify(dataList[i]).replace(/"/g, '&quot;')+'\');">'  +
                '<img class="dailytask-rightarrow" src="../../images/dailytask/icon_rarrow.svg" alt="rightArrow" /> ' +
                '<h1 class="dailytask-litop_title">'+dataList[i].entName+'</h1> ' +
                '<div class="dailytask-litop_text_adr">地址：'+dataList[i].addr+'</div> ' +
                '<div class="dailytask-litop_text"> ' +
                '<span class="dailytask-littext_item">'+dataList[i].regNo+'</span> ' +
                '<span class="dailytask-littext_item">'+dataList[i].remark+'</span> </div> ' +
                '<div class="dailytask-litop_textwrap"> ' +
                '<span class="dailytask-litwrap_item">负责人：'+ dataList[i].lerep +'</span> ' +
                '<span class="dailytask-litwrap_item">联系电话：</span> </div> ' +
                '<div class="dailytask-litop_text"> ' +
                '</div> </div> ' +
                ' </li>';
        }else if(type == 'yc'){
            html += '<li class="dailytask-list_item" > ' +
                '<div class="dailytask-litem_top" onclick="init_ycmllr(\''+JSON.stringify(dataList[i]).replace(/"/g, '&quot;')+'\');">'  +
                '<img class="dailytask-rightarrow" src="../../images/dailytask/icon_rarrow.svg" alt="rightArrow" /> ' +
                '<h1 class="dailytask-litop_title">'+dataList[i].entName+'</h1> ' +
                '<div class="dailytask-litop_text_adr">地址：'+dataList[i].addr+'</div> ' +
                '<div class="dailytask-litop_text"> ' +
                '<span class="dailytask-littext_item">JY4403052015025040</span> ' +
                '<span class="dailytask-littext_item">异常名录移出申请</span> </div> ' +
                '<div class="dailytask-litop_textwrap"> ' +
                '<span class="dailytask-litwrap_item">负责人：'+ dataList[i].lerep +'</span> ' +
                '<span class="dailytask-litwrap_item">联系电话：</span> </div> ' +
                '<div class="dailytask-litop_text"> ' +
                '<span>已申请天数：</span> <span class="red">'+ dataList[i].countdown +'</span> </div> </div> ' +
                '<div class="dailytask-litem_btm"> ' +
                '<div class="dailytask-libtm_item"  onclick="gotodhMap(\''+dataList[i].addr+'\',\''+dataList[i].entname+'\');" id="dtdh"> ' +
                '<img class="dailytask-libtmi_icon" src="../../images/dailytask/icon_daohang.svg" alt="icon_daohang" /> ' +
                '<span class="dailytask-libitem_text">导航</span> </div> </div> </li>';
        }

        var qydata = {
            addr : dataList[i].addr,
            entname : dataList[i].entname,
        };
        arrayObj.push(qydata);
    }
    // 添加新条目
    if(type == 'jg'){
        $('#qyjg').append(html);
    }else if(type == 'zr'){
        $('#ycmlzr').append(html);
    }else if(type == 'yc'){
        $('#ycmlyc').append(html);
    }
    if(pageNo==1){
        $.attachInfiniteScroll($('.infinite-scroll'));
        if (lastIndex > 9) {
            $('.infinite-scroll-preloader').show();
        }
    }
}

function dissmisLoad() {
    if (pageNo > pageCount) {
        // 加载完毕，则注销无限加载事件，以防不必要的加载
        $.detachInfiniteScroll($('.infinite-scroll'));
        // 删除加载提示符
        $('.infinite-scroll-preloader').hide();
        if(pageNo != 1){
            cordova.exec(null,null,'WidgetPlugin','toast',['暂无更多数据。']);
        }
        return;
    }
}

function initEvent() {
    // 注册'infinite'事件处理函数
    $(document).on('infinite', '.infinite-scroll-bottom',function() {

        // 如果正在加载，则退出
        if (loading) return;
        // 设置flag
        loading = true;
        pageNo ++;
        // 添加新条目
        var type = window.localStorage.getItem('type');
        if(type == 'jg'){
            initDataQyjg('jg');
        }else if(type == 'zr'){
            initDataYcmlzr('zr');
        }else if(type == 'yc'){
            initDataYcmlyc();
        }

    });

    // 点击导航按钮弹出弹窗
    $('.dailytask-list').on('click', '#dtdh', function () {
        $.popup('.popup-dtdh');
    });
    $(document).on('click', '.popup-overlay', function () {
        $.closeModal('.popup-dtdh');
    });

}
//跳转地图（H5）
function gotodhMap(addr,entname) {

    cordova.exec(function (result) {
        // alert(result);
        window.localStorage.setItem('apkList',result);
    },function (error) {
        console.log("Location Plugin Error");
    },"ApkListPlugin","",[]);



    arrayObj =[];
    var MapData = {
        addr : addr,
        entname : entname,
    };
    arrayObj.push(MapData)
    window.localStorage.setItem('arrayObj',JSON.stringify(arrayObj));

}
function toTaskCare(taskId,TaskType) {
    var userName =  window.localStorage.getItem('username');
    var params = {
        taskId: taskId,
        type: TaskType,
        userName:userName,
        url: "appinterface/task/taskCare.xhtml"
    };

    commonQuery(params, function(data) {
        pageNo=1;
        $('#qyjg').empty();
        initDataQyjg('jg');
        cordova.exec(null,null,'WidgetPlugin','toast',[data.message]);
    });
}


function init_jyqk(dataList) {
    window.localStorage.setItem("jyqk_type","");
    window.localStorage.setItem("dataList",dataList);
    window.location.href = '../transact/jyqk_info.html';
}

function init_ycmllr(qydata) {
    window.localStorage.setItem('dataList',qydata);
    window.localStorage.setItem("queryType","ycyc");
    window.location.href = 'ycml_info.html';
    // window.location.href = '../../ydjg_html/ydjg_new/ycml_info.html';
}

function init_ycjy(dataList) {
    var detail = JSON.parse(dataList);
    var detaildata = {
        flow : detail.flow,
        id : detail.id,
        recordId : detail.recordId
    };
    window.localStorage.setItem("detaildata",JSON.stringify(detaildata));
    window.location.href = '../transact/abnorma_directory_detail.html';
}

function getJwd(dtdhType) {
    var qydata = JSON.parse(window.localStorage.getItem('arrayObj'));
    $.showPreloader("加载中..");
    var url="";
    if (dtdhType=="bd") {
        var params = {
        };
        url = "http://api.map.baidu.com/geocoder/v2/?address="+qydata[0].addr+"&output=json&ak=371WZUHBHUeqstdtnCHbkfYs1a7LMD7x";
    }else{
        url = "http://restapi.amap.com/v3/geocode/geo";
        var params = {
            key: "f30c9d52b003c2b3ac089e2672e18baf",
            address : qydata[0].addr
        };
    }

    jq.ajax({
        url: url,
        type: 'post',
        data: params,
        async: true,
        dataType: "json",
        success: function (data, textStatus) {
            $.hidePreloader();
            if (dtdhType=="bd"){
                if (data.status=="0"){
                    cordova.exec(function (result) {
                        alert(result);
                    },function (error) {
                        console.log("Location Plugin Error");
                    },"ApkListPlugin",dtdhType,[qydata[0].addr,data.result.location.lat,data.result.location.lng]);
                }
            }else{
                if (data.status=="1"){
                    var location =  data.geocodes[0].location.split(",");
                    cordova.exec(function (result) {
                        alert(result);
                    },function (error) {
                        console.log("Location Plugin Error");
                    },"ApkListPlugin",dtdhType,[qydata[0].addr,location[0],location[1]]);
                }
            }
        },
        error: function (data, textStatus) {
            $.hidePreloader();
            $.alert("提示：服务链接异常");
        }
    });
}

function addCase() {
    window.localStorage.setItem("queryType", "add_Case");
    window.localStorage.setItem("dataList", "");
    window.location.href = '../transact/abnorma_directory.html';
}

function setScanResult(result) {
    jq("#search").val(result);
    pageNo=1;
    var type = window.localStorage.getItem('type');
    if(type == 'jg'){
        initDataQyjg('jg');
    }else if(type == 'zr'){
        initDataYcmlzr('zr');
    }else if(type == 'yc'){
        initDataYcmlyc('yc');
    }
}

function setEmptyView(type) {
    if(type == 'jg'){
        $('#qyjg').empty();
    }else if(type == 'zr'){
        $('#ycmlzr').empty();
    }else if(type == 'yc'){
        $('#ycmlyc').empty();
    }
}

function gotoMap(type) {
    if ('0'==type){
        window.location.href = '../../ydjg_html/dtdh/map.html';
    } else if ('1'==type){
        var apklist = window.localStorage.getItem('apkList');
        if (apklist.indexOf("百度地图") > -1) {
            getJwd("bd");
        } else {
            cordova.exec(null, null, 'WidgetPlugin', 'toast', ['请安装百度地图。']);
        }
    }else{
        var apklist = window.localStorage.getItem('apkList');
        if (apklist.indexOf("高德地图") > -1) {
            getJwd("gd");
        } else {
            cordova.exec(null, null, 'WidgetPlugin', 'toast', ['请安装高德地图。']);
        }
    }
}