/******
 *  双随机陪同检查人确认结果页
 *
 * */
var jq = jQuery.noConflict();

(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
})();

function onDeviceReady() {
    var jcrid = "jcr"+getSysUserName().replace("@","_")+"Signture";
    var jcr = "jcr"+getSysUserName().replace("@","_");
    var  html = '<label style="color: #384744;font-size: 0.48rem;font-weight: bold;">签字</label><div class="cell-content"><div class="sign-box" id="'+jcrid+'" onclick="gotoTaskSignture(\''+jcr+'\')">点击签字</div></div>'
    jq("#ptjcrqz").append(html);
    initEvent();
    queryPicturesList();
}


function initEvent() {

    
}

function queryPicturesList() {
    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
    var params = {
        taskid: qydata.taskid,
        userName: window.localStorage.getItem('username'),
        url: "appinterface/upload/queryPicturesList.xhtml"
    };

    commonQuery(params, function (data) {
        currentImageURIArr = [];
        if (data.success == true) {
            showAllSignturePictures(data.data);
        } else {
            $.alert(data.message);
        }
    });
}

function onComfirm() {
    var cljg = $("input[name=cljg]:checked").val();
    if(cljg==undefined || cljg== ""){
        $.toast("请选择处理结果");
        return;
    }
    if($("#remark").val().length > 200){
        $.toast("原因字数不超过200");
        return;
    }
    var confirmMsg = "是否提交确认结果，提交后检查录入人可在APP上查看";
    $.modal({
        text: confirmMsg,
        buttons: [
            {
                text: '取消',
                onClick: function () {
                    $.closeModal();
                }
            },
            {
                text: "确认提交",
                onClick: function () {
                    //先检验是否确认通过。
                    checkConfPass();
                    // submit();
                }
            }
        ]
    })
}

function submit() {
    var qydata  = JSON.parse(window.localStorage.getItem("dataList"));
    var taskId =qydata.taskid;
    var cljg = $("input[name=cljg]:checked").val();
    var remark = $("#remark").val();
    $.showPreloader("正在加载");
    var params = {
        userId:getSysUserId(),
        taskId:taskId,
        reason:remark,
        result:cljg,
        url: "/appinterface/ssg/saveConfLog.xhtml"
    };

    commonQuery(params, function(data) {
        try{
            if(data.success){
                // $.toast(data.message);
                init_Status();
            }else{
                $.toast("数据加载失败。");
            }
            $.hidePreloader();
        }catch (e){

        }
    });
}


function init_Status() {
    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
    var cljg = $("input[name=cljg]:checked").val();
    var params = {
        taskId: qydata.taskid,
        execFlag: "1",
        checkFlag:cljg,
        userName: window.localStorage.getItem('username'),
        url: "/appinterface/task/changeStatus.xhtml"
    };

    commonQuery(params, function (data) {
        if (data.success == true) {
            var pageSource = window.localStorage.getItem("pageSource");
            window.localStorage.setItem('queryType',"dqr");
            //我的任务来的。还跳转到我的任务
            if(pageSource == "mytask"){
                window.location.href = '../../ydjg_html/transact/mytaskquery.html';
            }else{
                window.location.href = 'backlog_ssj.html';
            }

            // window.location.href = 'backlog_ssj.html';
        } else {
            $.alert(data.message);
        }
    });
}


/*******
 *  检验是否确认不通过
 *
 * */

function checkConfPass() {
    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
    var params = {
        taskId: qydata.taskid,
        url: "/appinterface/ssg/checkConfPass.xhtml"
    };

    commonQuery(params, function (data) {
        if (data.success == true) {
            /*确认通过的可以接着确认。确认不通过后就不用再确认了*/
            if(data.data.flag == true){
                submit();
            }else{
                $.alert("该任务已被判定确认为不通过",function () {
                    var pageSource = window.localStorage.getItem("pageSource");
                    window.localStorage.setItem('queryType',"dqr");
                    //我的任务来的。还跳转到我的任务
                    if(pageSource == "mytask"){
                        window.location.href = '../../ydjg_html/transact/mytaskquery.html';
                    }else{
                        window.location.href = 'backlog_ssj.html';
                    }
                    
                });
            }
        } else {
            $.alert(data.message);
        }
    });
}


function initEvent() {

}


function uploadSigntureImage(imageBase64, domain) {
    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
    console.log(domain)
    console.log(imageBase64)
    var fileName = uuid() + '.jpg';
    var datas = {
        'taskId': qydata.taskid,
        'fileName': fileName,
        'domain':domain,
        'userName': window.localStorage.getItem("username"),
        'fileContent': imageBase64,
        'url': "/appinterface/upload/savePictures.xhtml"
    };
    commonQuery(datas, function (result) {
        console.info("图片上传成功");
        showSignturePictures(domain, result.data.id);
    });
}

function showAllSignturePictures(data) {
    for (var i = 0; i < data.length; i++) {
        // 检查人、见证人签名
        if(data[i].VCHR_DOMAIN.indexOf("jcr") != -1 || data[i].VCHR_DOMAIN == 'jzr'){
            showSignturePictures(data[i].VCHR_DOMAIN, data[i].VCHR_ID);
        }
    }
}

function showSignturePictures(domain, imageId) {
    var urlconfig = window.localStorage.getItem("urlconfig");
    console.log("domain---: " + domain)
    console.log("imageId---: " + imageId)
    var picUrl = "/appinterface/upload/showPictures.xhtml";

    var url = urlconfig + picUrl + "?userName=" + window.localStorage.getItem('username') + "&id=" + imageId;
    if ('yb' == window.localStorage.getItem("queryType")) {
        var temp =
            '<div class="img-box" id="imgbox' + domain + '">' +
            '<span id="add' + domain + '"></span>' +
            '<img src="" onerror="this.style.display=\'none\'" onclick="viewSignturePic(\'' + url + '\')" id="' + domain + '" name="photokeng">' +
            '</div>'
        //当不是检查人和见证人时。签名时的点击事件
        if (domain != 'jcr' && domain != 'jzr' && domain != 'jcr2' && domain.indexOf("jcr") == -1 ) {
            // 移除打开签名页面点击事件
            jq("#" + domain + "Signture").attr('onclick', '').unbind('click');
        }
    } else {
        var temp =
            '<div class="img-box" id="imgbox' + domain + '">' +
            '<span class="close" onclick="deletepic(\'' + domain + '\', \'' + imageId + '\')" id="add' + domain + '"></span>' +
            '<img src="" onerror="this.style.display=\'none\'" id="' + domain + '" name="photokeng">' +
            '</div>'
    }
    jq("#" + domain + "Signture").empty();
    jq("#" + domain + "Signture").prepend(temp);
    jq("#add" + domain).next().attr("src", url);
}
