/******
 *  年报信息界面
 *  需要审计的任务类型：0708   1303
 *  需要认证的任务类型：0708   0469
 *  年报、即时公示信息：0708
 *
 * */
var jq = jQuery.noConflict();
var unNo;


(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
})();

function onDeviceReady() {
    initData();
}




/**
 *  加载列表数据
 */
function initData(unNo) {
    var qydata  = JSON.parse(window.localStorage.getItem("dataList"));
    unNo =qydata.entregno
    $.showPreloader("正在加载");
    var params = {
        pripid:unNo,
        ancheyear:ancheyear,
        url: "/appinterface/ssg/gotoview.xhtml"
    };

    commonQuery(params, function(data) {
        try{

            if(data!=null){
                addItems(JSON.stringify(data.data.data));
            }else{
                $.toast("数据加载失败。");
                $.hidePreloader();
            }

        }catch (e){

        }
    });
}


function addItems(data) {
    var dataList = JSON.parse(data);
    var html = '';
    $('#add_li').empty();
    for (var i = 0; i <dataList.length; i++) {
        if(dataList[i].STATUS=="2"){  //status   2  表示已认证、   1  表示认证未通过   0  未认证
            html += '<li class="dailytask-list_item">' +
                '<div class="dailytask-litem_top">' +
                    '<div class="dailytask-litop_titlewarp">' +
                    '<div class="dailytask-litop_title">'+dataList[i].NAME+'</div>' +
                    '<div class="reportClass">'+dataList[i].DUTY+'</div>' +
                    '<span class="dailytask-status-ok fr rzjg">已认证</span>' +
                    '</div>' +
                    '<div class="dailytask-litop_text">身份证号： '+dataList[i].IDCARD+'</div>' +
                    '<div class="dailytask-litop_text">认证时间： '+dataList[i].LASTDATE+'</div>'+
                '</div>' +
                '</li>'
        }else{
            html += '<li class="dailytask-list_item">' +
                '<div class="dailytask-litem_top">' +
                    '<div class="dailytask-litop_titlewarp">' +
                    '<div class="dailytask-litop_title">'+dataList[i].NAME+'</div>' +
                    '<div class="reportClass">'+dataList[i].DUTY+'</div>' +
                    '<span class="dailytask-status-no fr rzjg">未认证</span>' +
                    '</div>' +
                    '<div class="dailytask-litop_text">身份证号： '+dataList[i].IDCARD+'</div>' +
                '</div>' +
                '<div class="dailytask-litem_btm">' +
                    '<div class="dailytask-libtm_item">' +
                    '<a class="dailytask-libitem_text" onclick="rgrz(\''+dataList[i].ID+'\','+i+')">人工认证</a>' +
                    '</div>' +
                '</div>' +
                '</li>'
        }

    }
    $('#add_li').append(html);
    $.hidePreloader();
}


function rgrz(id,i) {
    var confirmMsg = "是否已确认该人员身份，提交后该人员认证状态将直接变为“已认证”";
    $.modal({
        text: confirmMsg,
        buttons: [
            {
                text: '取消',
                onClick: function () {
                    $.closeModal();
                }
            },
            {
                text: "确认提交",
                onClick: function () {
                    submit(id,i);
                }
            }
        ]
    })
}


function submit(id,i) {
    $.showPreloader("正在加载");
    var params = {
        id:id,
        url: "/appinterface/ssg/updateCerInfoById.xhtml"
    };
    commonQuery(params, function(data) {
        try{
            if(data.success){
                $.toast(data.message);
                $("#add_li").find("li").eq(i).find(".dailytask-litem_btm").remove();
                $("#add_li").find("li").eq(i).find(".rzjg").removeClass("dailytask-status-no").addClass("dailytask-status-ok");
                $("#add_li").find("li").eq(i).find(".rzjg").html("已认证");

            }else{
                $.toast(data.message);

            }
            $.hidePreloader();
        }catch (e){

        }
    });
}


function initEvent() {

}

