/******
 *  审计信息不符合项
 *  需要审计的任务类型：0708   1303
 *  需要认证的任务类型：0708   0469
 *  年报、即时公示信息：0708
 *
 * */
var jq = jQuery.noConflict();


(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
    document.addEventListener("backbutton", onBackKeyDown, false);
})();


function onBackKeyDown() {
    onBack();
}

function onDeviceReady() {
    initData("sjlx");

}
/*******
 * sjlx
 * sjsxdx
 * sjsxxx
 *
 * */
function initData(codeTable,parentCode) {
    $.showPreloader("正在加载");
    var params = {
        codeTable:codeTable,
        parentCode:parentCode,
        url: "/appinterface/codetable/findCodeTable.xhtml"
    };

    commonQuery(params, function(data) {
        try{
            if(data.success){
                addScType(codeTable,data.data);
            }else{
                $.toast("数据加载失败。");
            }
            $.hidePreloader();
        }catch (e){

        }
    });
}


function addScType(codeTable,data) {
    if(codeTable=="sjlx"){
        //获取审计项目列表
        $("#scxm_pop").empty();
    }else if(codeTable=="sjsxdx"){
        //获取事项类别
        $("#sxlb_pop").empty();
    }else if(codeTable=="sjsxxx"){
        //获取事项名称
        $("#sxmc_pop").empty();
    }
    var html ="";
    for(var i=0;i<data.length;i++){
        html += '<li>' +
            '<label class="input-box input-box_checkbox">' +
            '<input type="radio" hidden name="'+data[i].codetable+'" value="'+data[i].code+'">' +
            '<span class="icon"></span>' +
            '<span class="txt">'+data[i].name+'</span>' +
            '</label>'+
            '</li>'
    }
    if(codeTable=="sjlx"){
        //获取审计项目列表
        $("#scxm_pop").append(html);
    }else if(codeTable=="sjsxdx"){
        //获取事项类别
        $("#sxlb_pop").append(html);
    }else if(codeTable=="sjsxxx"){
        //获取事项名称
        $("#sxmc_pop").append(html);
    }
}


/**
 *  加载列表数据
 */
function Submit() {
    var qydata  = JSON.parse(window.localStorage.getItem("dataList"));
    var ssjx = JSON.parse(window.localStorage.getItem("sjxx"));
    var sxlbid = $("#sxlbid").val();
    var scxmid = $("#scxmid").val();
    var scmcid = $("#scmcid").val();
    var name = $("#name").val();
    var gsxx = $("#gsxx").val();
    var sjqk = $("#sjqk").val();
    var  cy = $("#cy").val();
    var bz = $("#bz").val();
    if(sxlbid == "" || sxlbid== undefined){
        $.toast("请选择事项类别");
        return;
    }
    if(scxmid == "" || scxmid== undefined){
        $.toast("请选择审查项目");
        return;
    }
    if(scmcid == "" || scmcid== undefined){
        $.toast("请选择事项名称");
        return;
    }
    if(name == "" || name== undefined){
        $.toast("请输入姓名");
        return;
    }
    if(gsxx == "" || gsxx== undefined){
        $.toast("请输入公示信息");
        return;
    }
    if(sjqk == "" || sjqk== undefined){
        $.toast("请输入实际情况");
        return;
    }
    $.showPreloader("正在加载");
    var params = {
        baseid:ssjx.info.baseid,
        infotype:scxmid,
        items:sxlbid,
        content:scmcid,
        publics:gsxx,
        reality:sjqk,
        different:cy,
        entry_name:name,
        remark:bz,
        url: "/appinterface/ssg/addAuditinfo.xhtml"
    };

    commonQuery(params, function(data) {
        try{

            if(data!=null){
                $.toast(data.message);
            }else{
                $.toast("数据加载失败。");
                $.hidePreloader();
            }

        }catch (e){

        }
    });
}




function initEvent() {

}

