var jq = jQuery.noConflict();
var urlconfig = window.localStorage.getItem('urlconfig');
var username = window.localStorage.getItem('username');
var num = 0;
var currentImageURIArr = [];
var reBackArr = [];
var fileNameArr = [];
var imglenth = 0;
var taskId;
var loaded = false;
var isSave = false;
(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
    document.addEventListener("backbutton", onBackKeyDown, false);
}());

//获取平安智慧监管过来的参数
function showAlert(content) {
    console.log("content --- " + JSON.stringify(content))
    if (undefined == content || null == content || "" == content) {
        window.localStorage.setItem("dataList", "");
        return;
    }
    for (var key in content) {
        console.log("params key = " + key + "   value = " + content[key]);
        window.localStorage.setItem(key, content[key]);
    }
    queryUserInfo();
    onDeviceReady();
}

function onBackKeyDown() {
    onBack();
}

function onDeviceReady() {
    var qydata = null;
    if ("" != window.localStorage.getItem("dataList")){
        qydata = JSON.parse(window.localStorage.getItem("dataList"));
    }
    findYcmlByTaskId();
    taskId = qydata.taskid;

}

function queryPicturesList() {
    var params = {
        taskid: jq("#infowareid").val(),
        userName: window.localStorage.getItem('username'),
        url: "appinterface/upload/queryPicturesList.xhtml"
    };

    commonQuery(params, function (data) {
        if (data.success == true) {
            imglenth = data.data.length;
            showPictures(data.data);
        } else {
            $.alert(data.message);
        }
    });
}





function closeAndBack() {
    // 深圳智慧监管，调用
    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
    if ("PinganSupervise" == qydata.fromApp){
        window.localStorage.setItem("dataList","");
        sendBroadcast("TaskChangeStatus");
        navigator.app.exitApp();
    }else {
        history.back(-1);
    }
}









function showPictures(data, url) {
    jq(".img-box").not('.upload-box').not("#imgboxjzr")
        .not("#imgboxjcr").remove();
    if (currentImageURIArr) {
        currentImageURIArr.splice(0, currentImageURIArr.length)
    }

    var picUrl;
    if (url == undefined || url.length == 0){
        picUrl = "/appinterface/upload/showPictures.xhtml";
    }else {
        picUrl = url;
    }
    // data.reverse();
    var num = data.length - 1;
    var urlconfig = window.localStorage.getItem("urlconfig");
    for (var i = 0; i < data.length; i++) {
        // 过滤检查人、见证人签名
        if (data[i].VCHR_DOMAIN == 'jcr' || data[i].VCHR_DOMAIN == 'jzr' || data[i].VCHR_DOMAIN == 'jcr2' ||data[i].VCHR_DOMAIN == 'sdhc' ||data[i].VCHR_FILETYPE == '.pdf') {
            continue;
        }

        var url = urlconfig + picUrl + "?userName=" + window.localStorage.getItem('username') + "&id=" + data[i].VCHR_ID;
        currentImageURIArr.push(url);
        //实地核查界面的图片显示出来。删除按钮也要显示出来
        var temp =
            '<div class="img-box">' +
            '<span id="add' + num + '"></span>' +
            '<img src="" onerror="this.style.display=\'none\'" onclick="viewpic(\'' + num + '\')" id="' + num + '" name="photokeng">' +
            '</div>'
        jq(".img-pnl").prepend(temp);
        jq("#add" + num).next().attr("src", url);
        num--;
    }
    // currentImageURIArr.reverse();
}



/**********
 * 根据任务ID查询载入异常信息
 * */
function findYcmlByTaskId() {
    var qydata = JSON.parse(window.localStorage.getItem("dataList"));
    var params = {
        taskId: qydata.taskid,
        url: "/appinterface/ssg/findYcmlByTaskId.xhtml"
    };
    commonQuery(params, function (data) {
        if (data.success == true) {
            parseYcml(data.data.data);
        } else {
            loaded = false;
        }
    });
}

function parseYcml(data) {
    var ycmls = data;
    if(data.length <= 0){
        return;
    }
    for (var i=0;i<ycmls.length;i++){
        if(ycmls[i].abnormalType == "1"){
            jq("#infowareid").val(ycmls[i].annexID);
            //来源
            jq("#abnormal").val(ycmls[i].abnormalId);
            showAbnormal(ycmls[i].abnormalId);
            jq("#abnormalRemark").val(ycmls[i].abnormalRemarkId);
            showAbnormalRemark(ycmls[i].abnormalRemarkId);
            jq("#abnormalCanTelId").val(ycmls[i].abnormalCanTelId);
            showabnormalCanTelId(ycmls[i].abnormalCanTelId);
            jq("#verifiDesc").val(ycmls[i].verifiDesc);
            jq("#operatorDesc").val(ycmls[i].operatorDesc);
            $('#jbr').html(ycmls[i].operator);
            jq("#verifiTime").val(ycmls[i].verifiTime);
            jq("#xcbldz").val(ycmls[i].addr);

            //如果已经载入了异常名录。则只可查看不可修改
            jq("#ccg").hide();
            jq("#tijiao").hide();
            isSave = true;

            if ("yb" == window.localStorage.getItem("queryType")) {
                jq("input[type='radio']").attr("disabled", "disabled");
                jq("input[type='checkbox']").attr("disabled", "disabled");
                jq("input[type='text']").attr("disabled", "disabled");
            }
            queryPicturesList();
            break;
        }
    }

}

/*显示异常情形来源*/
function showabnormalCanTelId(id) {
    var messgae = "";
    switch (id){
        case '10':
            messgae = "否";
            break;
        case '11':
            messgae = "是";
            break;
    }
    $('.open-respondent-sfkydhlx').html(messgae)
}

/*显示异常情形来源*/
function showAbnormal(id) {
    var messgae = "";
    switch (id){
        case '1':
            messgae = "日常监管发现无法联系";
            break;
        case '2':
            messgae = "外单位告知无法联系";
            break;
        case '3':
            messgae = "投诉举报无法联系";
            break;
        case '4':
            messgae = "执法办案发现无法联系";
            break;
        case '5':
            messgae = "随机抽查无法联系";
            break;
    }
    $('.open-respondent-ycqx').html(messgae);
}

/*显示情形*/
function showAbnormalRemark(id) {
    var messgae = "";
    switch (id){
        case '6':
            messgae = "无此地址";
            break;
        case '7':
            messgae = "地址不详";
            break;
        case '8':
            messgae = "该地址查无此商事主体";
            break;
        case '9':
            messgae = "无法进入该地址";
            break;
    }
    $('.open-respondent-qx').html(messgae);
}