//分局
var _FJ_LIST = {
	'4000': '福田局',
	'4100': '罗湖局',
	'4200': '南山局',
	'4300': '盐田局',
	'4400': '宝安局',
	'4500': '龙岗局',
	'4600': '光明局',
	'4700': '坪山局',
	'4800': '龙华局',
	'4900': '大鹏局'
};

//所
var _KS_LIST = {
	'4000': [	{"ksCode": "5000","ksName": "华强北所"}, 
				{"ksCode": "5010","ksName": "园岭所"}, 
				{"ksCode": "5020","ksName": "华富所"}, 
				{"ksCode": "5030","ksName": "福保所"}, 
				{"ksCode": "5040","ksName": "梅林所"}, 
				{"ksCode": "5050","ksName": "莲花所"}, 
				{"ksCode": "5060","ksName": "福田所"}, 
				{"ksCode": "5070","ksName": "南园所"}, 
				{"ksCode": "5080","ksName": "沙头所"}, 
				{"ksCode": "5090","ksName": "香蜜湖所"}],

	'4100': [	{"ksCode": "5100","ksName": "黄贝所"}, 
				{"ksCode": "5110","ksName": "南湖所"}, 
				{"ksCode": "5120","ksName": "东门所"}, 
				{"ksCode": "5130","ksName": "桂园所"}, 
				{"ksCode": "5140","ksName": "笋岗所"}, 
				{"ksCode": "5150","ksName": "翠竹所"}, 
				{"ksCode": "5160","ksName": "莲塘所"}, 
				{"ksCode": "5170","ksName": "东湖所"}, 
				{"ksCode": "5180","ksName": "东晓所"}, 
				{"ksCode": "5190","ksName": "清水河所"}],

	'4200': [	{"ksCode": "5200","ksName": "南头所"},
				{"ksCode": "5210","ksName": "南山所"},
				{"ksCode": "5220","ksName": "粤海所"},
				{"ksCode": "5230","ksName": "招商所"},
				{"ksCode": "5240","ksName": "沙河所"},
				{"ksCode": "5250","ksName": "蛇口所"},
				{"ksCode": "5260","ksName": "西丽所"},
				{"ksCode": "5270","ksName": "桃源所"}],

	'4300': [	{"ksCode": "43D0","ksName": "盐田局综合监管一科"},
				{"ksCode": "43E0","ksName": "盐田局综合监管二科"},
				{"ksCode": "43F0","ksName": "盐田局综合监管三科"},
				{"ksCode": "43G0","ksName": "盐田局综合监管四科"},
				{"ksCode": "43H0","ksName": "--中英街综合监管办公室"}],

	'4400': [	{"ksCode": "5400","ksName": "新安所"},
				{"ksCode": "5410","ksName": "西乡所"},
				{"ksCode": "5420","ksName": "黄田所"},
				{"ksCode": "5430","ksName": "福永所"},
				{"ksCode": "5440","ksName": "沙井所"},
				{"ksCode": "5450","ksName": "新桥所"},
				{"ksCode": "5460","ksName": "松岗所"},
				{"ksCode": "5470","ksName": "沙溪所"},
				{"ksCode": "5480","ksName": "石岩所"}],

	'4500': [	{"ksCode": "5500","ksName": "横岗所"}, 
				{"ksCode": "5510","ksName": "布吉所"}, 
				{"ksCode": "5520","ksName": "平湖所"}, 
				{"ksCode": "5530","ksName": "平南所"}, 
				{"ksCode": "5540","ksName": "龙城所"}, 
				{"ksCode": "5550","ksName": "坂田所"}, 
				{"ksCode": "5560","ksName": "南湾所"}, 
				{"ksCode": "5570","ksName": "坪地所"}, 
				{"ksCode": "5580","ksName": "龙岗所"}],

	'4600': [	{"ksCode": "46A0","ksName": "公明所"}, 
				{"ksCode": "46B0","ksName": "光明局监督管理科"}, 
				{"ksCode": "5600","ksName": "光明所"}, 
				{"ksCode": "5610","ksName": "光明局综合业务科"}],

	'4700': [	{"ksCode": "4790","ksName": "坪山局综合业务科"}, 
				{"ksCode": "47A0","ksName": "坪山局监督管理科"}, 
				{"ksCode": "5700","ksName": "坪山所"}, 
				{"ksCode": "5710","ksName": "坑梓所"}],

	'4800': [	{"ksCode": "5800","ksName": "大浪所"}, 
				{"ksCode": "5810","ksName": "观澜所"}, 
				{"ksCode": "5820","ksName": "龙华所"}, 
				{"ksCode": "5830","ksName": "民治所"}],

	'4900': [	{"ksCode": "5900","ksName": "大鹏所"}, 
				{"ksCode": "5910","ksName": "葵涌所"}, 
				{"ksCode": "5920","ksName": "南澳所"}]
};

// 行业类别
var _industryphy = [
		{"value":"A","lable":"农、林、牧、渔业"},
		{"value":"B","lable":"采矿业"},
		{"value":"C","lable":"制造业"},
		{"value":"D","lable":"电力、燃气及水的生产和供应业"},
		{"value":"E","lable":"建筑业"},
		{"value":"F","lable":"批发和零售业"},
		{"value":"G","lable":"交通运输、仓储和邮政业"},
		{"value":"H","lable":"住宿和餐饮业"},
		{"value":"I","lable":"信息传输、软件和信息技术服务业"},
		{"value":"J","lable":"金融业"},
		{"value":"K","lable":"房地产业"},
		{"value":"L","lable":"租赁和商务服务业"},
		{"value":"M","lable":"科学研究和技术服务业"},
		{"value":"N","lable":"水利、环境和公共设施管理业"},
		{"value":"O","lable":"居民服务、修理和其他服务业"},
		{"value":"P","lable":"教育"},
		{"value":"Q","lable":"卫生和社会工作"},
		{"value":"R","lable":"文化、体育和娱乐业"},
		{"value":"S","lable":"公共管理、社会保障和社会组织"},
		{"value":"T","lable":"国际组织"}];

