var jq = jQuery.noConflict();
var lastIndex = 0;
// 加载flag   下拉加载更多的参数
var loading = false;
//总页数
var pageCount;
//第几页
var pageNo = 1;
//每页条数
var pageSize = 10;

var ipconfig = window.localStorage.getItem('urlconfig');

(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
})();

function onDeviceReady() {
    jq("#mytitle").html(window.localStorage.getItem("title"));
    initData();
    initEvent();
    form.onsubmit = function () {
        pageNo = 1;
        initData();
        return false;
    };
}


function init_jyqk(dataList) {
    window.localStorage.setItem("dataList", dataList);
    window.location.href = '../../ydjg_html/ydjg_new/business_circumstance.html';
}

function addItems(data) {

    jq("#totalCount").html('共' + data.pageInfo.totalCount + '家企业');
    if(pageNo == '1'){
        $('#add_li').empty();
    }
    var html = '';
    for (var i = 0; i < data.items.length; i++) {
        var item = data.items[i];

        html += '<li class="dailytask-list_item">' +
            '            <div class="dailytask-litem_top">' +
            '                <h1 class="dailytask-litop_title">' + item.name + '</h1>' +
            '                <div class="dailytask-litop_text">地址：' + item.address + '</div>' +
            '                <div class="dailytask-litop_text">' +
            '                    <span class="dailytask-littext_item">' + item.socialCreditCode + '</span>' +
            '                </div>\n' +
            '                <div class="dailytask-litop_textwrap">' +
            '                    <span class="dailytask-litwrap_item">负责人：' + item.director + '</span>' +
            '                    <span class="dailytask-litwrap_item">联系电话：' + item.phone + '</span>' +
            '                </div>' +
            '                <div class="dailytask-litop_text">' +
            '                    <span class="dailytask-littext_item">有效期至：' + item.expiration + '</span>' +
            '                    <span class="dailytask-littext_item">剩余天数：' + item.remainingDays + '</span>' +
            '                </div>\n' +
            '            </div>\n' +
            '            <div class="dailytask-litem_btm" onclick="callPhone(item.phone)">' +
            '               <div class="dailytask-libtm_item">' +
            '                <img class="dailytask-libtmi_icon" src="../../images/dailytask/icon_phone.svg" alt="icon_phone"/>' +
            '                <span class="dailytask-libitem_text">联系Ta</span>' +
            '               </div>\n' +
            '            </div>\n' +
            '        </li>';
    }
    // 添加新条目
    $('#add_li').append(html);
    if (pageNo == 1) {
        $.attachInfiniteScroll($('.infinite-scroll'));
        if (lastIndex > 9) {
            $('.infinite-scroll-preloader').show();
        }
    }
}

function callPhone(phone) {
    alert(phone);
}

function initEvent() {
    // 注册'infinite'事件处理函数
    $(document).on('infinite', '.infinite-scroll-bottom', function () {
        // 如果正在加载，则退出
        if (loading) return;
        // 设置flag
        loading = true;
        pageNo++;
        // 添加新条目
        initData();

    });
}

function dissmisLoad() {
    if (pageNo > pageCount) {
        // 加载完毕，则注销无限加载事件，以防不必要的加载
        $.detachInfiniteScroll($('.infinite-scroll'));
        // 删除加载提示符
        $('.infinite-scroll-preloader').hide();
        if (pageNo != 1) {
            cordova.exec(null,null,'WidgetPlugin','toast',['暂无更多数据。']);
        }
        return;
    }
}

/**
 *  加载列表数据
 */
function initData() {
    var key = jq("#search").val();

    var params = {
        userName : window.localStorage.getItem('username'),
        searchCondition: key,
        pageNumber: pageNo,
        pageSize: pageSize,
        url: "/appinterface/warning/businessLicense.xhtml"
    };

    commonQuery(params, function (data) {
        try {
            if (data != null) {
                pageCount = data.pageInfo.pageSize;
                if (pageCount == 0 && pageNo == 1) {
                    $.hidePreloader();
                    cordova.exec(null,null,'WidgetPlugin','toast',['未查询到相关数据。']);
                    return;
                }
                if (pageNo <= pageCount) {
                    if (data.pageInfo.pageNumber == 1) {
                        addItems(data);
                    } else {
                        addItems(data);
                    }
                }
            } else {
                cordova.exec(null,null,'WidgetPlugin','toast',['数据加载失败。']);
            }
            $.hidePreloader();
        } catch (e) {
        } finally {
            dissmisLoad();
            loading = false;
        }
    });
}