var jq = jQuery.noConflict();
var lastIndex = 0;
// 加载flag   下拉加载更多的参数
var loading = false;
//总页数
var pageCount;
//第几页
var pageNo = 1;
//每页条数
var pageSize = 10;

var ipconfig = window.localStorage.getItem('urlconfig');

(function () {
    document.addEventListener("deviceready", onDeviceReady, false);
})();

function onDeviceReady() {
    jq("#mytitle").html(window.localStorage.getItem("title"));
    initData();
    initEvent();
    form.onsubmit = function () {
        pageNo = 1;
        jq("#totalCount").html('');
        $('.infinite-scroll-preloader').remove();
        initData();
        return false;
    };
}

function init_jyqk(dataList) {
    window.localStorage.setItem("dataList", dataList);
    window.location.href = '../../ydjg_html/ydjg_new/business_circumstance.html';
}

function addItems(data) {
    jq("#totalCount").html('共' + data.pageInfo.totalCount + '家企业');
    var html = '';
    if(pageNo == '1'){
        $('#add_li').empty();
    }
    for (var i = 0; i < data.items.length; i++) {
        var item = data.items[i];

        html += '<li class="dailytask-list_item">' +
            '            <div class="dailytask-litem_top">' +
            '                <h1 class="dailytask-litop_title">' + item.name + '</h1>' +
            '                <div class="dailytask-litop_textwrap">' +
            '                    <span class="dailytask-litwrap_item">地址：' + item.address + '</span>' +
            '                </div>' +
            '                <div class="dailytask-litop_text">' +
            '                    <span>' + item.permitNo + '</span>' +
            '                </div>' +
            '                <div class="dailytask-litop_textwrap">' +
            '                    <span class="dailytask-litwrap_item">负责人：' + item.director + '</span>' +
            '                    <span class="dailytask-litwrap_item">联系电话：' + item.phone + '</span>' +
            '                </div>' +
            '                <div class="dailytask-litop_text">' +
            '                    <span class="dailytask-littext_item">有效期至：' + item.expiration + '</span>' +
            '                    <span class="dailytask-littext_item">剩余天数：' + item.remainingDays + '</span>' +
            '                </div>' +
            '            </div>' +
            '            <a class="dailytask-litem_btm" href="tel:' + item.phone + '"><span class="dailytask-libtm_item">' +
            '                <img class="dailytask-libtmi_icon" src="../../images/dailytask/icon_phone.svg" alt="icon_phone"/>' +
            '                <span class="dailytask-libitem_text">联系Ta</span>' +
            '            </span></a>' +
            '        </li>';
    }
    // 添加新条目
    $('#add_li').append(html);
    if (pageNo == 1) {
        $.attachInfiniteScroll($('.infinite-scroll'));
    }
}

function initEvent() {
    // 注册'infinite'事件处理函数
    $(document).on('infinite', '.infinite-scroll-bottom', function () {
        // 如果正在加载，则退出
        if (loading) return;
        // 设置flag
        loading = true;
        pageNo++;
        // 添加新条目
        initData();

    });
}

function dissmisLoad() {
    if (pageNo > pageCount) {
        // 加载完毕，则注销无限加载事件，以防不必要的加载
        $.detachInfiniteScroll($('.infinite-scroll'));
        $('.infinite-scroll-preloader').remove();
        if (pageCount > 0) {
            $('.infinite-scroll').append('<div class="infinite-scroll-preloader"><div>暂无更多数据</div></div>');
        }
        // if (pageNo != 1){
        //     $.toast('暂无更多数据。');
        // }
        return;
    }
}

/**
 *  加载列表数据
 */
function initData() {
    var userType = getUserType();
    var key = jq("#search").val();
    var params = {
        userName : window.localStorage.getItem('username'),
        searchCondition: key,
        pageNumber: pageNo,
        pageSize: pageSize,
        type: userType,
        uniqueCode: userType == "3" ? getGridCode() : getDepCode(),
        url: "appinterface/warning/foodProductLicense.xhtml"
    };

    commonQuery(params, function (data) {
        try {
            if (data != null) {
                pageCount = data.data.pageInfo.totalPage;
                if (pageCount == 0 && pageNo == 1) {
                    $.hidePreloader();
                    $.toast("未查询到相关数据。");
                    $('#add_li').empty();
                    return;
                }
                if (pageNo <= pageCount) {
                    if (data.data.pageInfo.pageNumber == 1) {
                        addItems(data.data);
                    } else {
                        addItems(data.data);
                    }
                }
            } else {
                $.toast("数据加载失败。");
            }
            $.hidePreloader();
        } catch (e) {
        } finally {
            dissmisLoad();
            loading = false;
        }
    });
}

function setScanResult(result) {
    jq("#search").val(result);
    pageNo=1;
    initData();
}